!******************************************************************************!
!                                                                              !
!    fill_ctcouplings3.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings3.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: M. Chiesa, J.N. Lang                   |            !
!        | `---' | UFO date: No date                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-05-07 19:53             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings3
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl3()
      coupl(nGC_4191) = -3d0*cima*coupl(nGC_17)**4d0*sq2**4d0/(32d0*pi**2d0*Nc &
                        **3d0)
      coupl(nGC_4121) = coupl(nGC_17)*sq2*(coupl(nGC_132)*coupl(nGC_134) +     &
                        coupl(nGC_133)**2d0 + coupl(nGC_146)**2d0 + 4d0*coupl( &
                        nGC_2)**2d0 + 4d0*coupl(nGC_31)**2d0 + 4d0*coupl(nGC_53&
                        )**2d0)/(64d0*pi**2d0)
      coupl(nGC_4122) = coupl(nGC_17)*sq2*(coupl(nGC_131)**2d0 + coupl(nGC_132 &
                        )*coupl(nGC_134) + coupl(nGC_133)**2d0 + 4d0*coupl(    &
                        nGC_2)**2d0 + 4d0*coupl(nGC_49)**2d0)/(64d0*pi**2d0)
      coupl(nGC_4125) = coupl(nGC_17)*sq2*(-coupl(nGC_157)**2d0 - coupl(nGC_158&
                        )*coupl(nGC_160) - coupl(nGC_159)**2d0 - 4d0*coupl(    &
                        nGC_2)**2d0 - 4d0*coupl(nGC_49)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_4124) = coupl(nGC_17)*sq2*(-coupl(nGC_135)**2d0 - coupl(nGC_158&
                        )*coupl(nGC_160) - coupl(nGC_159)**2d0 - 4d0*coupl(    &
                        nGC_2)**2d0 - 4d0*coupl(nGC_31)**2d0 - 4d0*coupl(nGC_53&
                        )**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_4127) = coupl(nGC_17)*sq2*(coupl(nGC_157)**2d0 + coupl(nGC_158 &
                        )*coupl(nGC_160) + coupl(nGC_159)**2d0 + 4d0*coupl(    &
                        nGC_2)**2d0 + 4d0*coupl(nGC_49)**2d0)/(64d0*pi**2d0)
      coupl(nGC_4126) = coupl(nGC_17)*sq2*(coupl(nGC_135)**2d0 + coupl(nGC_158 &
                        )*coupl(nGC_160) + coupl(nGC_159)**2d0 + 4d0*coupl(    &
                        nGC_2)**2d0 + 4d0*coupl(nGC_31)**2d0 + 4d0*coupl(nGC_53&
                        )**2d0)/(64d0*pi**2d0)
      coupl(nGC_6138) = coupl(nGC_17)*dZsL_QCD2
      coupl(nGC_6798) = coupl(nGC_MI)*dZuR_QCD2
      coupl(nGC_6094) = coupl(nGC_31)*(dZcL_QCD2 + dZsL_QCD2)/2d0
      coupl(nGC_6159) = coupl(nGC_4338) + coupl(nGC_6157)
      coupl(nGC_6795) = coupl(nGC_MI)*dZuL_QCD2
      coupl(nGC_6796) = coupl(nGC_MU)*(dZuL_QCD2 + dZuR_QCD2)/2d0
      coupl(nGC_4330) = coupl(nGC_4329)*dyt_QED1_QCD2
      coupl(nGC_4137) = coupl(nGC_17)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(     &
                        nGC_128)**2d0 - coupl(nGC_129)*coupl(nGC_437) - coupl( &
                        nGC_130)**2d0 - 4d0*coupl(nGC_48)**2d0)/(64d0*pi**2d0* &
                        Nc)
      coupl(nGC_4134) = coupl(nGC_17)*sq2*(coupl(nGC_128)**2d0 + coupl(nGC_150 &
                        )*coupl(nGC_152) + coupl(nGC_151)**2d0 + 4d0*coupl(    &
                        nGC_2)**2d0 + 4d0*coupl(nGC_31)**2d0 + 4d0*coupl(nGC_53&
                        )**2d0)/(64d0*pi**2d0)
      coupl(nGC_4135) = coupl(nGC_17)*sq2*(coupl(nGC_149)**2d0 + coupl(nGC_150 &
                        )*coupl(nGC_152) + coupl(nGC_151)**2d0 + 4d0*coupl(    &
                        nGC_2)**2d0 + 4d0*coupl(nGC_49)**2d0)/(64d0*pi**2d0)
      coupl(nGC_4132) = coupl(nGC_17)*sq2*(-coupl(nGC_128)**2d0 - coupl(nGC_150&
                        )*coupl(nGC_152) - coupl(nGC_151)**2d0 - 4d0*coupl(    &
                        nGC_2)**2d0 - 4d0*coupl(nGC_31)**2d0 - 4d0*coupl(nGC_53&
                        )**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_4133) = coupl(nGC_17)*sq2*(-coupl(nGC_149)**2d0 - coupl(nGC_150&
                        )*coupl(nGC_152) - coupl(nGC_151)**2d0 - 4d0*coupl(    &
                        nGC_2)**2d0 - 4d0*coupl(nGC_49)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_4326) = coupl(nGC_4325)*dyc_QED1_QCD2
      coupl(nGC_6367) = coupl(nGC_150)*dZtL_QCD2/2d0 + coupl(nGC_150)*dZtR_QCD2&
                        /2d0 + coupl(nGC_4330)
      coupl(nGC_4138) = coupl(nGC_17)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(      &
                        nGC_129)*coupl(nGC_437) + coupl(nGC_130)**2d0 + coupl( &
                        nGC_149)**2d0 + 4d0*coupl(nGC_31)**2d0 + 4d0*coupl(    &
                        nGC_52)**2d0)/(64d0*pi**2d0)
      coupl(nGC_4139) = coupl(nGC_17)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(      &
                        nGC_128)**2d0 + coupl(nGC_129)*coupl(nGC_437) + coupl( &
                        nGC_130)**2d0 + 4d0*coupl(nGC_48)**2d0)/(64d0*pi**2d0)
      coupl(nGC_6240) = coupl(nGC_48)*dZdR_QCD2
      coupl(nGC_6241) = coupl(nGC_52)*dZdL_QCD2
      coupl(nGC_6249) = coupl(nGC_147)*(dZsL_QCD2 + dZsR_QCD2)/2d0
      coupl(nGC_6085) = coupl(nGC_17)*dZuR_QCD2
      coupl(nGC_6086) = coupl(nGC_17)*dZuL_QCD2
      coupl(nGC_6087) = coupl(nGC_17)*dZg_QCD2/2d0 + coupl(nGC_4361)
      coupl(nGC_6080) = 3d0*coupl(nGC_16)*dZg_QCD2/2d0 + coupl(nGC_4290)
      coupl(nGC_6137) = coupl(nGC_17)*dZsR_QCD2
      coupl(nGC_6088) = coupl(nGC_6085) + coupl(nGC_6087)
      coupl(nGC_6089) = coupl(nGC_6086) + coupl(nGC_6087)
      coupl(nGC_4147) = coupl(nGC_130)*coupl(nGC_17)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_4146) = coupl(nGC_151)*coupl(nGC_17)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_4145) = sq2**3d0*(11d0*Nc*cima*coupl(nGC_16)**3d0 + 48d0*coupl(&
                        nGC_17)**3d0)/(768d0*pi**2d0)
      coupl(nGC_4144) = sq2**3d0*(-11d0*Nc*cima*coupl(nGC_16)**3d0 - 48d0*coupl&
                        (nGC_17)**3d0)/(768d0*pi**2d0)
      coupl(nGC_4304) = coupl(nGC_4303)*dys_QED1_QCD2
      coupl(nGC_4149) = coupl(nGC_129)*coupl(nGC_17)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_4148) = coupl(nGC_17)**2d0*coupl(nGC_437)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_4300) = coupl(nGC_4299)*dyb_QED1_QCD2
      coupl(nGC_6236) = coupl(nGC_137)*(dZdL_QCD2 + dZdR_QCD2)/2d0
      coupl(nGC_6233) = coupl(nGC_149)*dZbL_QCD2/2d0 + coupl(nGC_149)*dZtR_QCD2&
                        /2d0 + coupl(nGC_4294)
      coupl(nGC_6232) = coupl(nGC_128)*dZbR_QCD2/2d0 + coupl(nGC_128)*dZtL_QCD2&
                        /2d0 + coupl(nGC_4293)
      coupl(nGC_6325) = coupl(nGC_31)*(dZdL_QCD2 + dZuL_QCD2)/2d0
      coupl(nGC_6133) = coupl(nGC_135)*dZdR_QCD2/2d0 + coupl(nGC_135)*dZuL_QCD2&
                        /2d0 + coupl(nGC_4296)
      coupl(nGC_6134) = coupl(nGC_157)*dZdL_QCD2/2d0 + coupl(nGC_157)*dZuR_QCD2&
                        /2d0 + coupl(nGC_4295)
      coupl(nGC_6239) = coupl(nGC_2)*dZtR_QCD2
      coupl(nGC_6238) = coupl(nGC_2)*dZtL_QCD2
      coupl(nGC_4150) = coupl(nGC_150)*coupl(nGC_17)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
    end subroutine fill_CTcouplings_mdl3
end module fill_ctcouplings3
