!******************************************************************************!
!                                                                              !
!    fill_ctcouplings4.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings4.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: M. Chiesa, J.N. Lang                   |            !
!        | `---' | UFO date: No date                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-05-07 19:53             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings4
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl4()
      coupl(nGC_4151) = coupl(nGC_152)*coupl(nGC_17)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_4152) = coupl(nGC_17)**2d0*coupl(nGC_31)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_4153) = coupl(nGC_149)*coupl(nGC_17)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_4154) = coupl(nGC_128)*coupl(nGC_17)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_4155) = cima*coupl(nGC_17)**2d0*coupl(nGC_31)**2d0*sq2**2d0/(  &
                        32d0*pi**2d0)
      coupl(nGC_4156) = -cima*coupl(nGC_17)**2d0*coupl(nGC_31)**2d0*sq2**2d0/( &
                        32d0*pi**2d0*Nc)
      coupl(nGC_4157) = cima*coupl(nGC_17)**2d0*sq2**2d0*(-coupl(nGC_130)**2d0 &
                         - coupl(nGC_133)**2d0 - coupl(nGC_137)**2d0 - coupl(  &
                        nGC_148)**2d0 - coupl(nGC_151)**2d0 - coupl(nGC_159)** &
                        2d0)/(16d0*pi**2d0)
      coupl(nGC_4158) = cima*coupl(nGC_17)**2d0*sq2**2d0*(coupl(nGC_130)**2d0  &
                         + coupl(nGC_133)**2d0 + coupl(nGC_137)**2d0 + coupl(  &
                        nGC_148)**2d0 + coupl(nGC_151)**2d0 + coupl(nGC_159)** &
                        2d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_6127) = coupl(nGC_49)*dZcR_QCD2
      coupl(nGC_6185) = coupl(nGC_134)*dZcL_QCD2/2d0 + coupl(nGC_134)*dZcR_QCD2&
                        /2d0 + coupl(nGC_4326)
      coupl(nGC_6105) = coupl(nGC_6087) + coupl(nGC_6104)
      coupl(nGC_4090) = cima*(-coupl(nGC_4)**2d0 - coupl(nGC_50)**2d0)/(16d0*pi&
                        **2d0)
      coupl(nGC_6106) = coupl(nGC_6087) + coupl(nGC_6101)
      coupl(nGC_4095) = cMU*cima*coupl(nGC_17)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_4096) = cMU*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_49)*coupl(    &
                        nGC_53))/(8d0*pi**2d0)
      coupl(nGC_4099) = cMC*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_49)*coupl(    &
                        nGC_53))/(8d0*pi**2d0)
      coupl(nGC_4098) = cMC*cima*coupl(nGC_17)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_6252) = coupl(nGC_4304) + coupl(nGC_6249)
      coupl(nGC_6431) = coupl(nGC_MD)*(dZdL_QCD2 + dZdR_QCD2)/2d0
      coupl(nGC_6430) = coupl(nGC_MI)*dZdL_QCD2
      coupl(nGC_4164) = cima*coupl(nGC_17)**2d0*sq2**2d0*(coupl(nGC_128)**2d0  &
                         + coupl(nGC_131)**2d0 + coupl(nGC_135)**2d0 + coupl(  &
                        nGC_146)**2d0 + coupl(nGC_149)**2d0 + coupl(nGC_157)** &
                        2d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_4163) = cima*coupl(nGC_17)**2d0*sq2**2d0*(-coupl(nGC_128)**2d0 &
                         - coupl(nGC_131)**2d0 - coupl(nGC_135)**2d0 - coupl(  &
                        nGC_146)**2d0 - coupl(nGC_149)**2d0 - coupl(nGC_157)** &
                        2d0)/(32d0*pi**2d0)
      coupl(nGC_6810) = -coupl(nGC_6809)
      coupl(nGC_6192) = coupl(nGC_MS)*(dZsL_QCD2 + dZsR_QCD2)/2d0
      coupl(nGC_6191) = coupl(nGC_MI)*dZsL_QCD2
      coupl(nGC_6194) = coupl(nGC_MI)*dZsR_QCD2
      coupl(nGC_6195) = coupl(nGC_4374) + coupl(nGC_6192)
      coupl(nGC_4094) = cima*(-coupl(nGC_2)**2d0 - coupl(nGC_31)**2d0 - coupl( &
                        nGC_53)**2d0)/(16d0*pi**2d0)
      coupl(nGC_4088) = cima*(-coupl(nGC_31)**2d0 - coupl(nGC_4)**2d0 - coupl( &
                        nGC_54)**2d0)/(16d0*pi**2d0)
      coupl(nGC_4086) = (2d0*Nc*cMB**2d0*cima*coupl(nGC_48)**2d0 + 2d0*Nc*cMB**&
                        2d0*cima*coupl(nGC_52)**2d0 + 2d0*Nc*cMC**2d0*cima*    &
                        coupl(nGC_49)**2d0 + 2d0*Nc*cMC**2d0*cima*coupl(nGC_53 &
                        )**2d0 + 2d0*Nc*cMD**2d0*cima*coupl(nGC_48)**2d0 + 2d0*&
                        Nc*cMD**2d0*cima*coupl(nGC_52)**2d0 + 2d0*Nc*cMS**2d0* &
                        cima*coupl(nGC_48)**2d0 + 2d0*Nc*cMS**2d0*cima*coupl(  &
                        nGC_52)**2d0 + 2d0*Nc*cMT**2d0*cima*coupl(nGC_49)**2d0 &
                         + 2d0*Nc*cMT**2d0*cima*coupl(nGC_53)**2d0 + 2d0*Nc*cMU&
                        **2d0*cima*coupl(nGC_49)**2d0 + 2d0*Nc*cMU**2d0*cima*  &
                        coupl(nGC_53)**2d0 + 2d0*cME**2d0*cima*coupl(nGC_50)** &
                        2d0 + 2d0*cME**2d0*cima*coupl(nGC_54)**2d0 + 2d0*cMM** &
                        2d0*cima*coupl(nGC_50)**2d0 + 2d0*cMM**2d0*cima*coupl( &
                        nGC_54)**2d0 + 2d0*cMTA**2d0*cima*coupl(nGC_50)**2d0 + &
                        2d0*cMTA**2d0*cima*coupl(nGC_54)**2d0 + 3d0*cMW**2d0*  &
                        cima*coupl(nGC_329)**2d0 + 3d0*cMW**2d0*cima*coupl(    &
                        nGC_36)**2d0 - 2d0*cMW**2d0*coupl(nGC_25))/(16d0*pi**  &
                        2d0)
      coupl(nGC_4087) = cima*(-coupl(nGC_31)**2d0 - coupl(nGC_55)**2d0)/(16d0* &
                        pi**2d0)
      coupl(nGC_4084) = cima*(-2d0*Nc*coupl(nGC_48)**2d0 - 2d0*Nc*coupl(nGC_49 &
                        )**2d0 - 2d0*Nc*coupl(nGC_52)**2d0 - 2d0*Nc*coupl(     &
                        nGC_53)**2d0 - coupl(nGC_329)**2d0 - coupl(nGC_36)**2d0&
                         - 2d0*coupl(nGC_50)**2d0 - 2d0*coupl(nGC_54)**2d0 -   &
                        2d0*coupl(nGC_55)**2d0)/(32d0*pi**2d0)
      coupl(nGC_4085) = cima*(coupl(nGC_329)**2d0 + coupl(nGC_36)**2d0)/(48d0* &
                        pi**2d0)
      coupl(nGC_6211) = coupl(nGC_4340) + coupl(nGC_6210)
      coupl(nGC_6099) = coupl(nGC_146)*dZcL_QCD2/2d0 + coupl(nGC_146)*dZsR_QCD2&
                        /2d0 + coupl(nGC_4297)
      coupl(nGC_4070) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_128)**2d0 - 4d0*Nc*cMB&
                        **2d0*cima*coupl(nGC_149)**2d0 - 4d0*Nc*cMC**2d0*cima* &
                        coupl(nGC_131)**2d0 - 4d0*Nc*cMC**2d0*cima*coupl(      &
                        nGC_146)**2d0 - 4d0*Nc*cMD**2d0*cima*coupl(nGC_135)**  &
                        2d0 - 4d0*Nc*cMD**2d0*cima*coupl(nGC_157)**2d0 - 4d0*Nc&
                        *cMS**2d0*cima*coupl(nGC_131)**2d0 - 4d0*Nc*cMS**2d0*  &
                        cima*coupl(nGC_146)**2d0 - 4d0*Nc*cMT**2d0*cima*coupl( &
                        nGC_128)**2d0 - 4d0*Nc*cMT**2d0*cima*coupl(nGC_149)**  &
                        2d0 - 4d0*Nc*cMU**2d0*cima*coupl(nGC_135)**2d0 - 4d0*Nc&
                        *cMU**2d0*cima*coupl(nGC_157)**2d0 - 4d0*cME**2d0*cima*&
                        coupl(nGC_138)**2d0 - cMH**2d0*cima*coupl(nGC_28)*coupl&
                        (nGC_971) - cMH**2d0*cima*coupl(nGC_281)*coupl(nGC_29  &
                        ) - 4d0*cMM**2d0*cima*coupl(nGC_142)**2d0 - 4d0*cMTA** &
                        2d0*cima*coupl(nGC_153)**2d0 - cMW**2d0*cima*coupl(    &
                        nGC_1423)**2d0 - cMW**2d0*cima*coupl(nGC_28)*coupl(    &
                        nGC_971) - cMW**2d0*cima*coupl(nGC_281)*coupl(nGC_29   &
                        ) - 2d0*cMW**2d0*cima*coupl(nGC_30)*coupl(nGC_315) -   &
                        cMW**2d0*cima*coupl(nGC_353)**2d0 - cMW**2d0*cima*coupl&
                        (nGC_4)**2d0 - cMW**2d0*cima*coupl(nGC_54)**2d0 - 8d0* &
                        cMW**2d0*coupl(nGC_21) - cMZ**2d0*cima*coupl(nGC_1423  &
                        )**2d0 - 2d0*cMZ**2d0*cima*coupl(nGC_30)*coupl(nGC_315 &
                        ) - cMZ**2d0*cima*coupl(nGC_54)**2d0 - 4d0*cMZ**2d0*   &
                        coupl(nGC_59) + 8d0*cima*coupl(nGC_66)**2d0 + 8d0*cima*&
                        coupl(nGC_86)**2d0)/(64d0*pi**2d0)
      coupl(nGC_4077) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_130)**2d0 - 4d0*Nc*cMC&
                        **2d0*cima*coupl(nGC_133)**2d0 - 4d0*Nc*cMD**2d0*cima* &
                        coupl(nGC_137)**2d0 - 4d0*Nc*cMS**2d0*cima*coupl(      &
                        nGC_148)**2d0 - 4d0*Nc*cMT**2d0*cima*coupl(nGC_151)**  &
                        2d0 - 4d0*Nc*cMU**2d0*cima*coupl(nGC_159)**2d0 - 4d0*  &
                        cME**2d0*cima*coupl(nGC_140)**2d0 - 4d0*cMM**2d0*cima* &
                        coupl(nGC_144)**2d0 - 4d0*cMTA**2d0*cima*coupl(nGC_155 &
                        )**2d0 - cMW**2d0*cima*coupl(nGC_28)*coupl(nGC_971) -  &
                        cMW**2d0*cima*coupl(nGC_281)*coupl(nGC_29) - 2d0*cMW** &
                        2d0*coupl(nGC_21) - cMZ**2d0*cima*coupl(nGC_219)*coupl(&
                        nGC_51) - cMZ**2d0*coupl(nGC_60) + cima*coupl(nGC_116  &
                        )**2d0 + 2d0*cima*coupl(nGC_78)**2d0)/(16d0*pi**2d0)
      coupl(nGC_4075) = (-8d0*Nc*cMB**2d0*cima*coupl(nGC_129)*coupl(nGC_437) - &
                        8d0*Nc*cMC**2d0*cima*coupl(nGC_132)*coupl(nGC_134) -   &
                        8d0*Nc*cMD**2d0*cima*coupl(nGC_136)*coupl(nGC_479) -   &
                        8d0*Nc*cMS**2d0*cima*coupl(nGC_147)*coupl(nGC_295) -   &
                        8d0*Nc*cMT**2d0*cima*coupl(nGC_150)*coupl(nGC_152) -   &
                        8d0*Nc*cMU**2d0*cima*coupl(nGC_158)*coupl(nGC_160) -   &
                        8d0*cME**2d0*cima*coupl(nGC_139)*coupl(nGC_141) - cMH**&
                        2d0*cima*coupl(nGC_219)*coupl(nGC_51) - 8d0*cMM**2d0*  &
                        cima*coupl(nGC_143)*coupl(nGC_145) - 8d0*cMTA**2d0*cima&
                        *coupl(nGC_154)*coupl(nGC_156) - 4d0*cMW**2d0*cima*    &
                        coupl(nGC_30)*coupl(nGC_315) - 4d0*cMW**2d0*coupl(     &
                        nGC_21) - cMZ**2d0*cima*coupl(nGC_219)*coupl(nGC_51) - &
                        2d0*cMZ**2d0*coupl(nGC_60))/(32d0*pi**2d0)
      coupl(nGC_6470) = coupl(nGC_48)*dZbR_QCD2
      coupl(nGC_6885) = coupl(nGC_MI)*dZtR_QCD2
      coupl(nGC_6886) = coupl(nGC_4370) + coupl(nGC_6883)
      coupl(nGC_6882) = coupl(nGC_MI)*dZtL_QCD2
      coupl(nGC_6285) = coupl(nGC_17)*dZcR_QCD2
      coupl(nGC_6282) = coupl(nGC_17)*dZcL_QCD2
      coupl(nGC_6154) = -coupl(nGC_4300) - coupl(nGC_6152)
      coupl(nGC_6100) = coupl(nGC_131)*dZcR_QCD2/2d0 + coupl(nGC_131)*dZsL_QCD2&
                        /2d0 + coupl(nGC_4298)
      coupl(nGC_6419) = coupl(nGC_16)*dZg_QCD2/2d0 + coupl(nGC_4290)
      coupl(nGC_4308) = coupl(nGC_4307)*dydo_QED1_QCD2
      coupl(nGC_7100) = -coupl(nGC_4145)
      coupl(nGC_4136) = coupl(nGC_17)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(     &
                        nGC_129)*coupl(nGC_437) - coupl(nGC_130)**2d0 - coupl( &
                        nGC_149)**2d0 - 4d0*coupl(nGC_31)**2d0 - 4d0*coupl(    &
                        nGC_52)**2d0)/(64d0*pi**2d0*Nc)
    end subroutine fill_CTcouplings_mdl4
end module fill_ctcouplings4
