!******************************************************************************!
!                                                                              !
!    vertices_info3.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info3.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: M. Chiesa, J.N. Lang                   |            !
!        | `---' | UFO date: No date                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-05-07 19:53             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info3
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl3()
      allocate(vertices(371)%branchR2(0:0))
      call avR2(371, 0, 20, 1, 0, VFaF0, 0, [2, 1, 0], [nGC_4115, nGC_4114])

      allocate(vertices(435)%branchR2(0:0))
      call avR2(435, 0, 10, 1, 0, FFaV0, 0, [2, 1, 0], [nGC_4115, nGC_4114])

      allocate(vertices(587)%branchR2(0:0))
      call avR2(587, 0, 10, 1, 0, FFaV0, 0, [2, 1, 0], [nGC_4113, nGC_4112])

      allocate(vertices(1183)%branchR2(0:0))
      call avR2(1183, 0, 42, 1, 0, VV2, 0, [0, 2, 0], [nGC_4085, nGC_4084,     &
      nGC_4086])

      allocate(vertices(655)%branchR2(0:0))
      call avR2(655, 0, 20, 1, 0, VFaF0, 0, [2, 1, 0], [nGC_4111, nGC_4111])

      allocate(vertices(1184)%branchR2(0:1))
      call avR2(1184, 0, 61, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_4165, nGC_4165,   &
      nGC_4165])

      call avR2(1184, 1, 62, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_4166, nGC_4166,   &
      nGC_4166])

      allocate(vertices(1185)%branchR2(0:1))
      call avR2(1185, 0, 57, 1, 0, SVSV0, 0, [2, 2, 0], [nGC_4163])

      call avR2(1185, 1, 58, 1, 0, SVSV0, 0, [2, 2, 0], [nGC_4164])

      allocate(vertices(1186)%branchR2(0:1))
      call avR2(1186, 0, 59, 1, 0, VSVS0, 0, [2, 2, 0], [nGC_4163])

      call avR2(1186, 1, 60, 1, 0, VSVS0, 0, [2, 2, 0], [nGC_4164])

      allocate(vertices(781)%branchR2(0:3))
      call avR2(781, 0, 23, 1, 0, FaVF0, 0, [1, 2, 0], [nGC_4135, nGC_4134])

      call avR2(781, 1, 23, 1, 0, FaVF0, 0, [3, 0, 0], [nGC_4123, nGC_4123])

      call avR2(781, 2, 24, 1, 0, FaVF0, 0, [1, 2, 0], [nGC_4133, nGC_4132])

      call avR2(781, 3, 24, 1, 0, FaVF0, 0, [3, 0, 0], [nGC_4120, nGC_4120])

      allocate(vertices(67)%branchR2(0:0))
      call avR2(67, 0, 16, 1, 0, FSFa0, 0, [2, 1, 0], [nGC_4150, nGC_4151])

      allocate(vertices(1187)%branchR2(0:1))
      call avR2(1187, 0, 57, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_4165, nGC_4165,   &
      nGC_4165])

      call avR2(1187, 1, 58, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_4166, nGC_4166,   &
      nGC_4166])

      allocate(vertices(1095)%branchR2(0:0))
      call avR2(1095, 0, 20, 1, 0, VFaF1, 0, [2, 1, 0], [nGC_4152])

      allocate(vertices(1188)%branchR2(0:1))
      call avR2(1188, 0, 53, 1, 0, SSVV0, 0, [2, 2, 0], [nGC_4157])

      call avR2(1188, 1, 54, 1, 0, SSVV0, 0, [2, 2, 0], [nGC_4158])

      allocate(vertices(58)%branchR2(0:3))
      call avR2(58, 0, 25, 1, 0, FaFV0, 0, [1, 2, 0], [nGC_4143, nGC_4142])

      call avR2(58, 1, 25, 1, 0, FaFV0, 0, [3, 0, 0], [nGC_4123, nGC_4123])

      call avR2(58, 2, 26, 1, 0, FaFV0, 0, [1, 2, 0], [nGC_4141, nGC_4140])

      call avR2(58, 3, 26, 1, 0, FaFV0, 0, [3, 0, 0], [nGC_4120, nGC_4120])

      allocate(vertices(965)%branchR2(0:0))
      call avR2(965, 0, 16, 1, 0, FVFa0, 0, [2, 1, 0], [nGC_4152])

      allocate(vertices(941)%branchR2(0:3))
      call avR2(941, 0, 23, 1, 0, FaVF0, 0, [1, 2, 0], [nGC_4139, nGC_4138])

      call avR2(941, 1, 23, 1, 0, FaVF0, 0, [3, 0, 0], [nGC_4123, nGC_4123])

      call avR2(941, 2, 24, 1, 0, FaVF0, 0, [1, 2, 0], [nGC_4137, nGC_4136])

      call avR2(941, 3, 24, 1, 0, FaVF0, 0, [3, 0, 0], [nGC_4120, nGC_4120])

      allocate(vertices(1189)%branchR2(0:1))
      call avR2(1189, 0, 63, 1, 0, VVSS0, 0, [2, 2, 0], [nGC_4157])

      call avR2(1189, 1, 64, 1, 0, VVSS0, 0, [2, 2, 0], [nGC_4158])

      allocate(vertices(1190)%branchR2(0:5))
      call avR2(1190, 0, 65, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_4172, nGC_4172,   &
      nGC_4172])

      call avR2(1190, 1, 66, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_4173, nGC_4173,   &
      nGC_4173])

      call avR2(1190, 2, 67, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_4173, nGC_4173,   &
      nGC_4173])

      call avR2(1190, 3, 68, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_4174, nGC_4174,   &
      nGC_4174])

      call avR2(1190, 4, 69, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_4173, nGC_4173,   &
      nGC_4173])

      call avR2(1190, 5, 70, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_4172, nGC_4172,   &
      nGC_4172])

      allocate(vertices(170)%branchR2(0:0))
      call avR2(170, 0, 18, 1, 0, FaFV0, 0, [2, 1, 0], [nGC_4110, nGC_4110])

      allocate(vertices(1191)%branchR2(0:0))
      call avR2(1191, 0, 42, 1, 0, VV1, 0, [0, 2, 0], [nGC_4082, nGC_4081,     &
      nGC_4083])

      allocate(vertices(1192)%branchR2(0:1))
      call avR2(1192, 0, 59, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_4167, nGC_4167,   &
      nGC_4167])

      call avR2(1192, 1, 60, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_4168, nGC_4168,   &
      nGC_4168])

      allocate(vertices(1102)%branchR2(0:1))
      call avR2(1102, 0, 41, 1, 0, FaF0, 0, [2, 0, 0], [nGC_4093, nGC_4093,    &
      nGC_4098, nGC_4098])

      call avR2(1102, 1, 41, 1, 0, FaF0, 0, [0, 2, 0], [nGC_4097, nGC_4094,    &
      nGC_4099, nGC_4099])

      allocate(vertices(59)%branchR2(0:3))
      call avR2(59, 0, 29, 1, 0, VFaF0, 0, [1, 2, 0], [nGC_4135, nGC_4134])

      call avR2(59, 1, 29, 1, 0, VFaF0, 0, [3, 0, 0], [nGC_4123, nGC_4123])

      call avR2(59, 2, 30, 1, 0, VFaF0, 0, [1, 2, 0], [nGC_4133, nGC_4132])

      call avR2(59, 3, 30, 1, 0, VFaF0, 0, [3, 0, 0], [nGC_4120, nGC_4120])

      allocate(vertices(156)%branchR2(0:0))
      call avR2(156, 0, 20, 1, 0, VFaF0, 0, [2, 1, 0], [nGC_4110, nGC_4110])

      allocate(vertices(1103)%branchR2(0:1))
      call avR2(1103, 0, 41, 1, 0, FaF0, 0, [2, 0, 0], [nGC_4093, nGC_4093,    &
      nGC_4103, nGC_4103])

      call avR2(1103, 1, 41, 1, 0, FaF0, 0, [0, 2, 0], [nGC_4105, nGC_4102,    &
      nGC_4104, nGC_4104])

      allocate(vertices(846)%branchR2(0:0))
      call avR2(846, 0, 16, 1, 0, FVFa1, 0, [2, 1, 0], [nGC_4111, nGC_4111])

      allocate(vertices(468)%branchR2(0:0))
      call avR2(468, 0, 20, 1, 0, SFaF0, 0, [2, 1, 0], [nGC_4154, nGC_4153])

      allocate(vertices(276)%branchR2(0:3))
      call avR2(276, 0, 27, 1, 0, VFFa1, 0, [1, 2, 0], [nGC_4122, nGC_4121])

      call avR2(276, 1, 27, 1, 0, VFFa1, 0, [3, 0, 0], [nGC_4123, nGC_4123])

      call avR2(276, 2, 28, 1, 0, VFFa1, 0, [1, 2, 0], [nGC_4119, nGC_4118])

      call avR2(276, 3, 28, 1, 0, VFFa1, 0, [3, 0, 0], [nGC_4120, nGC_4120])

      allocate(vertices(1193)%branchR2(0:1))
      call avR2(1193, 0, 63, 1, 0, VVSS0, 0, [2, 2, 0], [nGC_4159])

      call avR2(1193, 1, 64, 1, 0, VVSS0, 0, [2, 2, 0], [nGC_4160])

      allocate(vertices(502)%branchR2(0:0))
      call avR2(502, 0, 20, 1, 0, VFaF0, 0, [2, 1, 0], [nGC_4113, nGC_4112])

      allocate(vertices(860)%branchR2(0:0))
      call avR2(860, 0, 16, 1, 0, FSFa0, 0, [2, 1, 0], [nGC_4147, nGC_4147])

      allocate(vertices(966)%branchR2(0:3))
      call avR2(966, 0, 27, 1, 0, VFFa1, 0, [1, 2, 0], [nGC_4131, nGC_4130])

      call avR2(966, 1, 27, 1, 0, VFFa1, 0, [3, 0, 0], [nGC_4123, nGC_4123])

      call avR2(966, 2, 28, 1, 0, VFFa1, 0, [1, 2, 0], [nGC_4129, nGC_4128])

      call avR2(966, 3, 28, 1, 0, VFFa1, 0, [3, 0, 0], [nGC_4120, nGC_4120])

      allocate(vertices(1194)%branchR2(0:1))
      call avR2(1194, 0, 57, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_4155, nGC_4155,   &
      nGC_4155])

      call avR2(1194, 1, 58, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_4156, nGC_4156,   &
      nGC_4156])

      allocate(vertices(668)%branchR2(0:0))
      call avR2(668, 0, 17, 1, 0, FaVF1, 0, [2, 1, 0], [nGC_4152])

      allocate(vertices(1195)%branchR2(0:1))
      call avR2(1195, 0, 53, 1, 0, SSVV0, 0, [2, 2, 0], [nGC_4163])

      call avR2(1195, 1, 54, 1, 0, SSVV0, 0, [2, 2, 0], [nGC_4164])

      allocate(vertices(501)%branchR2(0:0))
      call avR2(501, 0, 20, 1, 0, VFaF0, 0, [2, 1, 0], [nGC_4113, nGC_4112])

      allocate(vertices(700)%branchR2(0:0))
      call avR2(700, 0, 10, 1, 0, FFaV0, 0, [2, 1, 0], [nGC_4113, nGC_4112])

      allocate(vertices(182)%branchR2(0:0))
      call avR2(182, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_4153, nGC_4154])

      allocate(vertices(340)%branchR2(0:0))
      call avR2(340, 0, 16, 1, 0, FSFa0, 0, [2, 1, 0], [nGC_4154, nGC_4153])

      allocate(vertices(537)%branchR2(0:0))
      call avR2(537, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_4148, nGC_4149])

      allocate(vertices(1196)%branchR2(0:1))
      call avR2(1196, 0, 55, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_4155, nGC_4155,   &
      nGC_4155])

      call avR2(1196, 1, 56, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_4156, nGC_4156,   &
      nGC_4156])

      allocate(vertices(633)%branchR2(0:0))
      call avR2(633, 0, 18, 1, 0, FaFV0, 0, [2, 1, 0], [nGC_4115, nGC_4114])

      allocate(vertices(564)%branchR2(0:0))
      call avR2(564, 0, 19, 1, 0, VFFa0, 0, [2, 1, 0], [nGC_4152])

      allocate(vertices(1197)%branchR2(0:1))
      call avR2(1197, 0, 53, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_4161, nGC_4161,   &
      nGC_4161])

      call avR2(1197, 1, 54, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_4162, nGC_4162,   &
      nGC_4162])

      allocate(vertices(878)%branchR2(0:0))
      call avR2(878, 0, 16, 1, 0, FVFa1, 0, [2, 1, 0], [nGC_4115, nGC_4114])

      allocate(vertices(1198)%branchR2(0:1))
      call avR2(1198, 0, 59, 1, 0, VSVS0, 0, [2, 2, 0], [nGC_4159])

      call avR2(1198, 1, 60, 1, 0, VSVS0, 0, [2, 2, 0], [nGC_4160])

      allocate(vertices(1199)%branchR2(0:1))
      call avR2(1199, 0, 53, 1, 0, SSVV0, 0, [2, 2, 0], [nGC_4159])

      call avR2(1199, 1, 54, 1, 0, SSVV0, 0, [2, 2, 0], [nGC_4160])

      allocate(vertices(379)%branchR2(0:3))
      call avR2(379, 0, 29, 1, 0, VFaF0, 0, [1, 2, 0], [nGC_4127, nGC_4126])

      call avR2(379, 1, 29, 1, 0, VFaF0, 0, [3, 0, 0], [nGC_4123, nGC_4123])

      call avR2(379, 2, 30, 1, 0, VFaF0, 0, [1, 2, 0], [nGC_4125, nGC_4124])

      call avR2(379, 3, 30, 1, 0, VFaF0, 0, [3, 0, 0], [nGC_4120, nGC_4120])

      allocate(vertices(1106)%branchR2(0:1))
      call avR2(1106, 0, 14, 1, 0, VV2, 0, [2, 0, 0], [nGC_4064, nGC_4063,     &
      nGC_4065])

      call avR2(1106, 1, 15, 1, 0, VV2, 0, [2, 0, 0], [nGC_4067, nGC_4066,     &
      nGC_4068])

      allocate(vertices(1200)%branchR2(0:1))
      call avR2(1200, 0, 53, 1, 0, SSVV0, 0, [2, 2, 0], [nGC_4163])

      call avR2(1200, 1, 54, 1, 0, SSVV0, 0, [2, 2, 0], [nGC_4164])

      allocate(vertices(79)%branchR2(0:0))
      call avR2(79, 0, 18, 1, 0, FaFV0, 0, [2, 1, 0], [nGC_4115, nGC_4114])

      allocate(vertices(902)%branchR2(0:0))
      call avR2(902, 0, 10, 1, 0, FFaV0, 0, [2, 1, 0], [nGC_4115, nGC_4114])

      allocate(vertices(1201)%branchR2(0:1))
      call avR2(1201, 0, 59, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_4161, nGC_4161,   &
      nGC_4161])

      call avR2(1201, 1, 60, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_4162, nGC_4162,   &
      nGC_4162])

      allocate(vertices(660)%branchR2(0:0))
      call avR2(660, 0, 17, 1, 0, FaVF1, 0, [2, 1, 0], [nGC_4152])

      allocate(vertices(1202)%branchR2(0:1))
      call avR2(1202, 0, 63, 1, 0, VVSS0, 0, [2, 2, 0], [nGC_4163])

      call avR2(1202, 1, 64, 1, 0, VVSS0, 0, [2, 2, 0], [nGC_4164])

      allocate(vertices(1203)%branchR2(0:5))
      call avR2(1203, 0, 77, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_4169, nGC_4169,   &
      nGC_4169])

      call avR2(1203, 1, 78, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_4170, nGC_4170,   &
      nGC_4170])

      call avR2(1203, 2, 79, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_4170, nGC_4170,   &
      nGC_4170])

      call avR2(1203, 3, 80, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_4170, nGC_4170,   &
      nGC_4170])

      call avR2(1203, 4, 81, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_4171, nGC_4171,   &
      nGC_4171])

      call avR2(1203, 5, 82, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_4169, nGC_4169,   &
      nGC_4169])

      allocate(vertices(951)%branchR2(0:0))
      call avR2(951, 0, 17, 1, 0, FaVF1, 0, [2, 1, 0], [nGC_4152])

      allocate(vertices(1057)%branchR2(0:0))
      call avR2(1057, 0, 16, 1, 0, FVFa1, 0, [2, 1, 0], [nGC_4113, nGC_4112])

      allocate(vertices(943)%branchR2(0:0))
      call avR2(943, 0, 16, 1, 0, FVFa0, 0, [2, 1, 0], [nGC_4152])

    end subroutine fill_vertices_mdl3
end module vertices_info3
