!******************************************************************************!
!                                                                              !
!    fill_ctcouplings1.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings1.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: M. Chiesa, J.N. Lang                   |            !
!        | `---' | UFO date: No date                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-05-07 19:53             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl1()
      coupl(nGC_4332) = coupl(nGC_4331)*dyup_QED1_QCD2
      coupl(nGC_4334) = coupl(nGC_4333)*dyup_QED1_QCD2
      coupl(nGC_4336) = coupl(nGC_4335)*dyc_QED1_QCD2
      coupl(nGC_4338) = coupl(nGC_4337)*dyt_QED1_QCD2
      coupl(nGC_4340) = coupl(nGC_4339)*dyup_QED1_QCD2
      coupl(nGC_4306) = coupl(nGC_4305)*dyb_QED1_QCD2
      coupl(nGC_4302) = coupl(nGC_4301)*dydo_QED1_QCD2
      coupl(nGC_6128) = coupl(nGC_53)*dZcL_QCD2
      coupl(nGC_6220) = coupl(nGC_1)*dZdR_QCD2
      coupl(nGC_6221) = coupl(nGC_1)*dZdL_QCD2
      coupl(nGC_6222) = coupl(nGC_2)*dZuR_QCD2
      coupl(nGC_6223) = coupl(nGC_2)*dZuL_QCD2
      coupl(nGC_4089) = cME*cima*(-coupl(nGC_4)**2d0 - coupl(nGC_50)*coupl(    &
                        nGC_54))/(8d0*pi**2d0)
      coupl(nGC_4170) = cima*coupl(nGC_17)**3d0*sq2**3d0*(-coupl(nGC_1) - coupl&
                        (nGC_2))/(32d0*pi**2d0*Nc)
      coupl(nGC_4171) = cima*coupl(nGC_17)**3d0*sq2**3d0*(coupl(nGC_1) + coupl(&
                        nGC_2))/(16d0*pi**2d0*Nc**2d0)
      coupl(nGC_4120) = coupl(nGC_17)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(nGC_16 &
                        ) + coupl(nGC_17))/(64d0*pi**2d0*Nc**2d0)
      coupl(nGC_4123) = coupl(nGC_17)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(nGC_16&
                        ) - coupl(nGC_17))/(64d0*pi**2d0*Nc)
      coupl(nGC_4371) = -cima*dMU_QCD2
      coupl(nGC_4310) = coupl(nGC_4309)*dys_QED1_QCD2
      coupl(nGC_6104) = coupl(nGC_17)*dZdR_QCD2
      coupl(nGC_6101) = coupl(nGC_17)*dZdL_QCD2
      coupl(nGC_4169) = cima*coupl(nGC_17)**3d0*sq2**3d0*(coupl(nGC_1) + coupl(&
                        nGC_2))/(64d0*pi**2d0)
      coupl(nGC_4168) = cima*coupl(nGC_17)**2d0*sq2**2d0*(-coupl(nGC_48)**2d0  &
                         - coupl(nGC_49)**2d0 - coupl(nGC_52)**2d0 - coupl(    &
                        nGC_53)**2d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_4165) = cima*coupl(nGC_17)**2d0*sq2**2d0*(coupl(nGC_1)*coupl(  &
                        nGC_48) + coupl(nGC_1)*coupl(nGC_52) + coupl(nGC_2)*   &
                        coupl(nGC_49) + coupl(nGC_2)*coupl(nGC_53))/(32d0*pi** &
                        2d0)
      coupl(nGC_4167) = cima*coupl(nGC_17)**2d0*sq2**2d0*(coupl(nGC_48)**2d0 + &
                        coupl(nGC_49)**2d0 + coupl(nGC_52)**2d0 + coupl(nGC_53 &
                        )**2d0)/(32d0*pi**2d0)
      coupl(nGC_4166) = cima*coupl(nGC_17)**2d0*sq2**2d0*(-coupl(nGC_1)*coupl( &
                        nGC_48) - coupl(nGC_1)*coupl(nGC_52) - coupl(nGC_2)*   &
                        coupl(nGC_49) - coupl(nGC_2)*coupl(nGC_53))/(32d0*pi** &
                        2d0*Nc)
      coupl(nGC_4161) = cima*coupl(nGC_17)**2d0*sq2**2d0*(coupl(nGC_1)**2d0 +  &
                        coupl(nGC_2)**2d0)/(16d0*pi**2d0)
      coupl(nGC_4162) = cima*coupl(nGC_17)**2d0*sq2**2d0*(-coupl(nGC_1)**2d0 - &
                        coupl(nGC_2)**2d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_4361) = coupl(nGC_169)*dZgs_QCD2
      coupl(nGC_6469) = coupl(nGC_52)*dZbL_QCD2
      coupl(nGC_6210) = coupl(nGC_159)*(dZuL_QCD2 + dZuR_QCD2)/2d0
      coupl(nGC_6353) = coupl(nGC_136)*(dZdL_QCD2 + dZdR_QCD2)/2d0
      coupl(nGC_6355) = -coupl(nGC_4302) - coupl(nGC_6353)
      coupl(nGC_6356) = coupl(nGC_4302) + coupl(nGC_6353)
      coupl(nGC_6357) = coupl(nGC_2)*dZcL_QCD2
      coupl(nGC_4091) = cMM*cima*(-coupl(nGC_4)**2d0 - coupl(nGC_50)*coupl(    &
                        nGC_54))/(8d0*pi**2d0)
      coupl(nGC_4093) = cima*coupl(nGC_17)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(64d0&
                        *pi**2d0*Nc)
      coupl(nGC_4092) = cMTA*cima*(-coupl(nGC_4)**2d0 - coupl(nGC_50)*coupl(   &
                        nGC_54))/(8d0*pi**2d0)
      coupl(nGC_4097) = cima*(-coupl(nGC_2)**2d0 - coupl(nGC_49)**2d0)/(16d0*pi&
                        **2d0)
      coupl(nGC_6077) = coupl(nGC_1)*dZsL_QCD2
      coupl(nGC_6076) = coupl(nGC_1)*dZsR_QCD2
      coupl(nGC_4185) = (-8d0*Nc*cima*coupl(nGC_16)**4d0*sq2**4d0 + 12d0*Nc*   &
                        cima*coupl(nGC_18)**2d0 + 12d0*Nc*cima*coupl(nGC_3497  &
                        )**2d0 + 39d0*Nc*coupl(nGC_16)**2d0*coupl(nGC_18)*sq2**&
                        2d0 - 3d0*Nc*coupl(nGC_16)**2d0*coupl(nGC_3497)*sq2**  &
                        2d0 + 36d0*cima*coupl(nGC_17)**4d0*sq2**4d0)/(768d0*pi &
                        **2d0)
      coupl(nGC_4184) = (-4d0*Nc*cima*coupl(nGC_16)**4d0*sq2**4d0 - 12d0*Nc*   &
                        cima*coupl(nGC_18)*coupl(nGC_3497) + 12d0*Nc*coupl(    &
                        nGC_16)**2d0*coupl(nGC_18)*sq2**2d0 - 9d0*Nc*coupl(    &
                        nGC_16)**2d0*coupl(nGC_3497)*sq2**2d0 + 18d0*cima*coupl&
                        (nGC_17)**4d0*sq2**4d0)/(384d0*pi**2d0)
      coupl(nGC_4182) = (-10d0*cima*coupl(nGC_16)**4d0*sq2**4d0 + 6d0*cima*    &
                        coupl(nGC_3499)**2d0 + 3d0*coupl(nGC_16)**2d0*coupl(   &
                        nGC_18)*sq2**2d0 + 3d0*coupl(nGC_16)**2d0*coupl(       &
                        nGC_3497)*sq2**2d0 + 15d0*coupl(nGC_16)**2d0*coupl(    &
                        nGC_3499)*sq2**2d0)/(192d0*pi**2d0)
      coupl(nGC_4180) = (-5d0*cima*coupl(nGC_16)**4d0*sq2**4d0 + 3d0*cima*coupl&
                        (nGC_18)**2d0 - 6d0*cima*coupl(nGC_18)*coupl(nGC_3497  &
                        ) + 3d0*cima*coupl(nGC_3497)**2d0 + 9d0*coupl(nGC_16)**&
                        2d0*coupl(nGC_18)*sq2**2d0 - 6d0*coupl(nGC_16)**2d0*   &
                        coupl(nGC_3497)*sq2**2d0)/(96d0*pi**2d0)
      coupl(nGC_4189) = (-4d0*Nc*cima*coupl(nGC_16)**4d0*sq2**4d0 - 12d0*Nc*   &
                        cima*coupl(nGC_18)*coupl(nGC_3497) + 9d0*Nc*coupl(     &
                        nGC_16)**2d0*coupl(nGC_18)*sq2**2d0 - 12d0*Nc*coupl(   &
                        nGC_16)**2d0*coupl(nGC_3497)*sq2**2d0 + 18d0*cima*coupl&
                        (nGC_17)**4d0*sq2**4d0)/(384d0*pi**2d0)
      coupl(nGC_4188) = (-8d0*Nc*cima*coupl(nGC_16)**4d0*sq2**4d0 - 24d0*Nc*   &
                        cima*coupl(nGC_18)*coupl(nGC_3497) + 3d0*Nc*coupl(     &
                        nGC_16)**2d0*coupl(nGC_18)*sq2**2d0 - 39d0*Nc*coupl(   &
                        nGC_16)**2d0*coupl(nGC_3497)*sq2**2d0 + 36d0*cima*coupl&
                        (nGC_17)**4d0*sq2**4d0)/(768d0*pi**2d0)
      coupl(nGC_4324) = coupl(nGC_4323)*dyc_QED1_QCD2
      coupl(nGC_4328) = coupl(nGC_4327)*dyt_QED1_QCD2
    end subroutine fill_CTcouplings_mdl1
end module fill_ctcouplings1
