!******************************************************************************!
!                                                                              !
!    fill_ctcouplings6.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings6.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: M. Chiesa, J.N. Lang                   |            !
!        | `---' | UFO date: No date                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-05-07 19:53             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings6
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl6()
      coupl(nGC_4072) = cima*(coupl(nGC_233)**2d0 + coupl(nGC_3)**2d0 + coupl( &
                        nGC_329)**2d0 + coupl(nGC_36)**2d0)/(48d0*pi**2d0)
      coupl(nGC_6929) = 2d0*coupl(nGC_18)*dZg_QCD2 + coupl(nGC_4292)
      coupl(nGC_4160) = cima*coupl(nGC_17)**2d0*sq2**2d0*(coupl(nGC_129)*coupl(&
                        nGC_437) + coupl(nGC_132)*coupl(nGC_134) + coupl(      &
                        nGC_136)*coupl(nGC_479) + coupl(nGC_147)*coupl(nGC_295 &
                        ) + coupl(nGC_150)*coupl(nGC_152) + coupl(nGC_158)*    &
                        coupl(nGC_160))/(16d0*pi**2d0*Nc)
      coupl(nGC_4129) = coupl(nGC_17)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(     &
                        nGC_135)**2d0 - coupl(nGC_136)*coupl(nGC_479) - coupl( &
                        nGC_137)**2d0 - 4d0*coupl(nGC_48)**2d0)/(64d0*pi**2d0* &
                        Nc)
      coupl(nGC_4128) = coupl(nGC_17)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(     &
                        nGC_136)*coupl(nGC_479) - coupl(nGC_137)**2d0 - coupl( &
                        nGC_157)**2d0 - 4d0*coupl(nGC_31)**2d0 - 4d0*coupl(    &
                        nGC_52)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_6420) = -coupl(nGC_6419)
      coupl(nGC_6940) = -2d0*coupl(nGC_6929)
      coupl(nGC_4186) = sq2**2d0*(-4d0*Nc*cima*coupl(nGC_16)**4d0*sq2**2d0 -   &
                        3d0*Nc*coupl(nGC_16)**2d0*coupl(nGC_3499) + 9d0*Nc*    &
                        coupl(nGC_16)**2d0*coupl(nGC_3509) - 60d0*cima*coupl(  &
                        nGC_17)**4d0*sq2**2d0)/(768d0*pi**2d0)
      coupl(nGC_6251) = -coupl(nGC_4304) - coupl(nGC_6249)
      coupl(nGC_6139) = coupl(nGC_6087) + coupl(nGC_6137)
      coupl(nGC_4082) = cima*(coupl(nGC_233)*coupl(nGC_329) + coupl(nGC_3)*    &
                        coupl(nGC_36))/(48d0*pi**2d0)
      coupl(nGC_4083) = (2d0*Nc*cMB**2d0*cima*coupl(nGC_1)*coupl(nGC_48) + 2d0*&
                        Nc*cMB**2d0*cima*coupl(nGC_1)*coupl(nGC_52) + 2d0*Nc*  &
                        cMC**2d0*cima*coupl(nGC_2)*coupl(nGC_49) + 2d0*Nc*cMC**&
                        2d0*cima*coupl(nGC_2)*coupl(nGC_53) + 2d0*Nc*cMD**2d0* &
                        cima*coupl(nGC_1)*coupl(nGC_48) + 2d0*Nc*cMD**2d0*cima*&
                        coupl(nGC_1)*coupl(nGC_52) + 2d0*Nc*cMS**2d0*cima*coupl&
                        (nGC_1)*coupl(nGC_48) + 2d0*Nc*cMS**2d0*cima*coupl(    &
                        nGC_1)*coupl(nGC_52) + 2d0*Nc*cMT**2d0*cima*coupl(nGC_2&
                        )*coupl(nGC_49) + 2d0*Nc*cMT**2d0*cima*coupl(nGC_2)*   &
                        coupl(nGC_53) + 2d0*Nc*cMU**2d0*cima*coupl(nGC_2)*coupl&
                        (nGC_49) + 2d0*Nc*cMU**2d0*cima*coupl(nGC_2)*coupl(    &
                        nGC_53) + 2d0*cME**2d0*cima*coupl(nGC_4)*coupl(nGC_50  &
                        ) + 2d0*cME**2d0*cima*coupl(nGC_4)*coupl(nGC_54) + 2d0*&
                        cMM**2d0*cima*coupl(nGC_4)*coupl(nGC_50) + 2d0*cMM**2d0&
                        *cima*coupl(nGC_4)*coupl(nGC_54) + 2d0*cMTA**2d0*cima* &
                        coupl(nGC_4)*coupl(nGC_50) + 2d0*cMTA**2d0*cima*coupl( &
                        nGC_4)*coupl(nGC_54) + 3d0*cMW**2d0*cima*coupl(nGC_233 &
                        )*coupl(nGC_329) + 3d0*cMW**2d0*cima*coupl(nGC_3)*coupl&
                        (nGC_36) - 2d0*cMW**2d0*coupl(nGC_47))/(16d0*pi**2d0)
      coupl(nGC_4080) = (4d0*Nc*cMB**2d0*cima*coupl(nGC_1)**2d0 + 4d0*Nc*cMC** &
                        2d0*cima*coupl(nGC_2)**2d0 + 4d0*Nc*cMD**2d0*cima*coupl&
                        (nGC_1)**2d0 + 4d0*Nc*cMS**2d0*cima*coupl(nGC_1)**2d0  &
                         + 4d0*Nc*cMT**2d0*cima*coupl(nGC_2)**2d0 + 4d0*Nc*cMU &
                        **2d0*cima*coupl(nGC_2)**2d0 + 4d0*cME**2d0*cima*coupl(&
                        nGC_4)**2d0 + 4d0*cMM**2d0*cima*coupl(nGC_4)**2d0 + 4d0&
                        *cMTA**2d0*cima*coupl(nGC_4)**2d0 + 3d0*cMW**2d0*cima* &
                        coupl(nGC_233)**2d0 + 3d0*cMW**2d0*cima*coupl(nGC_3)** &
                        2d0 - 2d0*cMW**2d0*coupl(nGC_9))/(16d0*pi**2d0)
      coupl(nGC_4081) = cima*(-2d0*Nc*coupl(nGC_1)*coupl(nGC_48) - 2d0*Nc*coupl&
                        (nGC_1)*coupl(nGC_52) - 2d0*Nc*coupl(nGC_2)*coupl(     &
                        nGC_49) - 2d0*Nc*coupl(nGC_2)*coupl(nGC_53) - coupl(   &
                        nGC_233)*coupl(nGC_329) - coupl(nGC_3)*coupl(nGC_36) - &
                        2d0*coupl(nGC_4)*coupl(nGC_50) - 2d0*coupl(nGC_4)*coupl&
                        (nGC_54))/(32d0*pi**2d0)
      coupl(nGC_6237) = coupl(nGC_4308) + coupl(nGC_6236)
      coupl(nGC_6799) = coupl(nGC_4371) + coupl(nGC_6796)
      coupl(nGC_6155) = coupl(nGC_4300) + coupl(nGC_6152)
      coupl(nGC_6150) = coupl(nGC_4375) + coupl(nGC_6147)
      coupl(nGC_4073) = (2d0*Nc*cMB**2d0*cima*coupl(nGC_31)**2d0 + 2d0*Nc*cMC**&
                        2d0*cima*coupl(nGC_31)**2d0 + 2d0*Nc*cMD**2d0*cima*    &
                        coupl(nGC_31)**2d0 + 2d0*Nc*cMS**2d0*cima*coupl(nGC_31 &
                        )**2d0 + 2d0*Nc*cMT**2d0*cima*coupl(nGC_31)**2d0 + 2d0*&
                        Nc*cMU**2d0*cima*coupl(nGC_31)**2d0 + 2d0*cME**2d0*cima&
                        *coupl(nGC_31)**2d0 + 2d0*cMM**2d0*cima*coupl(nGC_31)**&
                        2d0 + 2d0*cMTA**2d0*cima*coupl(nGC_31)**2d0 + 3d0*cMW**&
                        2d0*cima*coupl(nGC_233)**2d0 + 3d0*cMW**2d0*cima*coupl(&
                        nGC_3)**2d0 + 3d0*cMW**2d0*cima*coupl(nGC_329)**2d0 +  &
                        3d0*cMW**2d0*cima*coupl(nGC_36)**2d0 - 4d0*cMW**2d0*   &
                        coupl(nGC_22) + 3d0*cMZ**2d0*cima*coupl(nGC_329)**2d0  &
                         + 3d0*cMZ**2d0*cima*coupl(nGC_36)**2d0 - 2d0*cMZ**2d0*&
                        coupl(nGC_25))/(32d0*pi**2d0)
      coupl(nGC_6931) = 2d0*coupl(nGC_6929)
      coupl(nGC_4071) = cima*(-2d0*Nc*coupl(nGC_31)**2d0 - coupl(nGC_233)**2d0 &
                         - coupl(nGC_3)**2d0 - 2d0*coupl(nGC_31)**2d0 - coupl( &
                        nGC_329)**2d0 - coupl(nGC_36)**2d0)/(32d0*pi**2d0)
      coupl(nGC_4130) = coupl(nGC_17)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(      &
                        nGC_136)*coupl(nGC_479) + coupl(nGC_137)**2d0 + coupl( &
                        nGC_157)**2d0 + 4d0*coupl(nGC_31)**2d0 + 4d0*coupl(    &
                        nGC_52)**2d0)/(64d0*pi**2d0)
      coupl(nGC_4131) = coupl(nGC_17)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(      &
                        nGC_135)**2d0 + coupl(nGC_136)*coupl(nGC_479) + coupl( &
                        nGC_137)**2d0 + 4d0*coupl(nGC_48)**2d0)/(64d0*pi**2d0)
      coupl(nGC_4159) = cima*coupl(nGC_17)**2d0*sq2**2d0*(-coupl(nGC_129)*coupl&
                        (nGC_437) - coupl(nGC_132)*coupl(nGC_134) - coupl(     &
                        nGC_136)*coupl(nGC_479) - coupl(nGC_147)*coupl(nGC_295 &
                        ) - coupl(nGC_150)*coupl(nGC_152) - coupl(nGC_158)*    &
                        coupl(nGC_160))/(16d0*pi**2d0)
      coupl(nGC_4078) = cima*(-4d0*Nc*coupl(nGC_1)**2d0 - 4d0*Nc*coupl(nGC_2)**&
                        2d0 - coupl(nGC_233)**2d0 - coupl(nGC_3)**2d0 - 4d0*   &
                        coupl(nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_4177) = (20d0*Nc*cima*coupl(nGC_16)**4d0*sq2**4d0 - 12d0*Nc*   &
                        cima*coupl(nGC_18)*coupl(nGC_3499) + 12d0*Nc*cima*coupl&
                        (nGC_3497)*coupl(nGC_3499) - 21d0*Nc*coupl(nGC_16)**2d0&
                        *coupl(nGC_18)*sq2**2d0 + 15d0*Nc*coupl(nGC_16)**2d0*  &
                        coupl(nGC_3497)*sq2**2d0 - 15d0*Nc*coupl(nGC_16)**2d0* &
                        coupl(nGC_3499)*sq2**2d0 - 3d0*Nc*coupl(nGC_16)**2d0*  &
                        coupl(nGC_3509)*sq2**2d0 - 12d0*cima*coupl(nGC_17)**4d0&
                        *sq2**4d0)/(768d0*pi**2d0*Nc)
      coupl(nGC_6286) = coupl(nGC_6087) + coupl(nGC_6285)
      coupl(nGC_6287) = coupl(nGC_6087) + coupl(nGC_6282)
      coupl(nGC_6180) = coupl(nGC_4336) + coupl(nGC_6179)
      coupl(nGC_6930) = -coupl(nGC_6929)
    end subroutine fill_CTcouplings_mdl6
end module fill_ctcouplings6
