!******************************************************************************!
!                                                                              !
!    lcVSV.f90                                                                 !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   lcVSV.f90                                      |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: M. Chiesa, J.N. Lang                   |            !
!        | `---' | UFO date: No date                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-05-07 19:53             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module lcVSV
  use class_vertices
  use constants_mdl
  implicit none
  complex (dp) :: x0, x1, x2, x3, x4, x5, x6, x7, x8, x9, x10, x11, x12, x13,  &
                  x14, x15, x16, x17, x18, x19, x20, x21, x22, x23, x24, x25,  &
                  x26, x27, x28, x29, x30, x31, x32, x33, x34, x35, x36, x37,  &
                  x38, x39, x40, x41, x42, x43, x44, x45, x46, x47, x48, x49,  &
                  x50, x51, x52, x53, x54, x55, x56, x57, x58, x59, x60, x61,  &
                  x62, x63, x64, x65, x66, x67, x68, x69, x70, x71, x72, x73,  &
                  x74, x75, x76, x77, x78, x79, x80, x81, x82, x83, x84, x85,  &
                  x86, x87, x88, x89, x90, x91, x92, x93, x94, x95, x96, x97,  &
                  x98, x99, x100, x101, x102, x103, x104, x105, x106, x107,    &
                  x108, x109, x110, x111, x112, x113, x114, x115, x116, x117,  &
                  x118, x119, x120, x121, x122, x123, x124, x125, x126, x127,  &
                  x128, x129, x130, x131, x132, x133, x134, x135, x136, x137,  &
                  x138, x139, x140, x141, x142, x143, x144, x145, x146, x147,  &
                  x148, x149, x150, x151, x152, x153, x154, x155, x156, x157,  &
                  x158, x159, x160, x161, x162, x163, x164, x165, x166, x167,  &
                  x168, x169, x170, x171, x172, x173, x174, x175, x176, x177,  &
                  x178, x179, x180, x181, x182, x183, x184, x185, x186, x187,  &
                  x188, x189, x190, x191, x192, x193, x194, x195, x196, x197,  &
                  x198, x199, x200, x201, x202, x203, x204, x205, x206, x207,  &
                  x208, x209, x210, x211, x212, x213, x214, x215, x216, x217,  &
                  x218, x219, x220, x221, x222, x223, x224, x225, x226, x227,  &
                  x228, x229, x230, x231, x232, x233, x234, x235, x236, x237,  &
                  x238, x239, x240, x241, x242, x243, x244, x245, x246, x247,  &
                  x248, x249, x250, x251, x252, x253, x254, x255, x256, x257,  &
                  x258, x259, x260, x261, x262, x263, x264, x265, x266, x267,  &
                  x268, x269, x270, x271, x272, x273, x274, x275, x276, x277,  &
                  x278, x279, x280, x281, x282, x283, x284, x285, x286, x287,  &
                  x288, x289, x290, x291, x292, x293, x294, x295, x296, x297,  &
                  x298, x299, x300, x301, x302, x303, x304, x305, x306, x307,  &
                  x308, x309, x310, x311, x312, x313, x314, x315, x316, x317,  &
                  x318, x319, x320, x321, x322, x323, x324, x325, x326, x327,  &
                  x328, x329, x330, x331, x332, x333, x334, x335, x336, x337,  &
                  x338, x339, x340, x341, x342, x343, x344, x345, x346, x347,  &
                  x348, x349, x350, x351, x352, x353, x354, x355, x356, x357,  &
                  x358, x359, x360, x361, x362, x363, x364, x365, x366, x367,  &
                  x368, x369, x370, x371, x372, x373, x374, x375, x376, x377,  &
                  x378, x379, x380, x381, x382, x383, x384, x385, x386, x387,  &
                  x388, x389, x390, x391, x392, x393, x394, x395, x396, x397,  &
                  x398, x399, x400, x401, x402, x403, x404, x405, x406, x407,  &
                  x408, x409, x410, x411, x412, x413, x414, x415, x416, x417,  &
                  x418, x419, x420, x421, x422, x423, x424, x425, x426, x427,  &
                  x428, x429, x430, x431, x432, x433, x434, x435, x436, x437,  &
                  x438, x439, x440, x441, x442, x443, x444, x445, x446, x447,  &
                  x448, x449, x450, x451, x452, x453, x454, x455, x456, x457,  &
                  x458, x459, x460, x461, x462, x463, x464, x465, x466, x467,  &
                  x468, x469, x470, x471, x472, x473, x474, x475, x476, x477,  &
                  x478, x479, x480, x481, x482, x483, x484, x485, x486, x487,  &
                  x488, x489, x490, x491, x492, x493, x494, x495, x496, x497,  &
                  x498, x499, x500, x501, x502, x503, x504, x505, x506, x507,  &
                  x508, x509, x510, x511, x512, x513, x514, x515, x516, x517,  &
                  x518, x519, x520, x521, x522, x523, x524, x525, x526, x527,  &
                  x528, x529, x530, x531, x532, x533, x534, x535, x536, x537,  &
                  x538, x539, x540, x541, x542, x543, x544, x545, x546, x547,  &
                  x548, x549, x550, x551, x552, x553, x554, x555, x556, x557,  &
                  x558, x559, x560, x561, x562, x563, x564, x565, x566, x567,  &
                  x568, x569, x570, x571, x572, x573, x574, x575, x576, x577,  &
                  x578, x579, x580, x581, x582, x583, x584, x585, x586, x587,  &
                  x588, x589, x590, x591, x592, x593, x594, x595, x596, x597,  &
                  x598, x599, x600, x601, x602, x603, x604, x605, x606, x607,  &
                  x608, x609, x610, x611, x612, x613, x614, x615, x616, x617,  &
                  x618, x619, x620, x621, x622, x623, x624, x625, x626, x627,  &
                  x628, x629, x630, x631, x632, x633, x634, x635, x636, x637,  &
                  x638, x639, x640, x641, x642, x643, x644, x645, x646, x647,  &
                  x648, x649, x650, x651, x652, x653, x654, x655, x656, x657,  &
                  x658, x659, x660, x661, x662, x663, x664, x665, x666, x667,  &
                  x668, x669, x670, x671, x672, x673, x674, x675, x676, x677,  &
                  x678, x679, x680, x681, x682, x683, x684, x685, x686, x687,  &
                  x688, x689, x690, x691, x692, x693, x694, x695, x696, x697,  &
                  x698, x699, x700, x701, x702, x703, x704, x705, x706, x707,  &
                  x708, x709, x710, x711, x712, x713, x714, x715, x716, x717,  &
                  x718, x719, x720, x721, x722, x723, x724, x725, x726, x727,  &
                  x728, x729, x730, x731, x732, x733, x734, x735, x736, x737,  &
                  x738, x739, x740, x741, x742, x743, x744, x745, x746, x747,  &
                  x748, x749, x750, x751, x752, x753, x754, x755, x756, x757,  &
                  x758, x759, x760, x761, x762, x763, x764, x765, x766, x767,  &
                  x768, x769, x770, x771, x772, x773, x774, x775, x776, x777,  &
                  x778, x779, x780, x781, x782, x783, x784, x785, x786, x787,  &
                  x788, x789, x790, x791, x792, x793, x794, x795, x796, x797,  &
                  x798, x799, x800, x801, x802, x803, x804, x805, x806, x807,  &
                  x808, x809, x810, x811, x812, x813, x814, x815, x816, x817,  &
                  x818, x819, x820, x821, x822, x823, x824, x825, x826, x827,  &
                  x828, x829, x830, x831, x832, x833, x834, x835, x836, x837,  &
                  x838, x839, x840, x841, x842, x843, x844, x845, x846, x847,  &
                  x848, x849, x850, x851, x852, x853, x854, x855, x856, x857,  &
                  x858, x859, x860, x861, x862, x863, x864, x865, x866, x867,  &
                  x868, x869, x870, x871, x872, x873, x874, x875, x876, x877,  &
                  x878, x879, x880, x881, x882, x883, x884, x885, x886, x887,  &
                  x888, x889, x890, x891, x892, x893, x894, x895, x896, x897,  &
                  x898, x899, x900, x901, x902, x903, x904, x905, x906, x907,  &
                  x908, x909, x910, x911, x912, x913, x914, x915, x916, x917,  &
                  x918, x919, x920, x921, x922, x923, x924, x925, x926, x927,  &
                  x928, x929, x930, x931, x932, x933, x934, x935, x936, x937,  &
                  x938, x939, x940, x941, x942, x943, x944, x945, x946, x947,  &
                  x948, x949, x950, x951, x952, x953, x954, x955, x956, x957,  &
                  x958, x959, x960, x961, x962, x963, x964, x965, x966, x967,  &
                  x968, x969, x970, x971, x972, x973, x974, x975, x976, x977,  &
                  x978, x979, x980, x981, x982, x983, x984, x985, x986, x987,  &
                  x988, x989, x990, x991, x992, x993, x994, x995, x996, x997,  &
                  x998, x999, x1000, x1001, x1002, x1003, x1004, x1005
  complex (dp), dimension(0:3) :: x0vec, x1vec, x2vec, x3vec, x4vec, x5vec,    &
                                  x6vec, x7vec, x8vec
  contains
    subroutine loopVSV(ty, co, wl, P1, PL1, w2, P2, PL2, m, wp, riMaxIn,       &
    riMaxOut, rankInc)
      integer, intent(in) :: riMaxIn, riMaxOut, rankInc
      complex (kind = dp), intent(in), dimension(0:3) :: P1, PL1
      complex (kind = dp), intent(in), dimension(0:3, 0:riMaxIn) :: wl
      complex (kind = dp), intent(in), dimension(0:3) :: P2, PL2
      complex (kind = dp), intent(in), dimension(0:3) :: w2
      complex (dp), intent(out), dimension(0:3,0:riMaxOut) :: wp
      complex (kind = dp), intent(in) :: m
      complex (kind = dp), dimension(0:3) :: pl, p
      integer, intent(in) :: ty
      complex (kind = dp), dimension(0:), intent(in) :: co
      complex (kind = dp), dimension(0:3) :: sp1
      complex (kind = dp), dimension(0:3,0:3) :: sp2
      complex (kind = dp), dimension(0:3,0:3,0:3) :: sp3
      complex (kind = dp), dimension(0:3,0:3,0:3,0:3) :: sp4
      character(len=3) :: ty_str
      integer :: riOut, j
      logical :: isFirstRI
      integer :: mu, nu, ro, ta, te, tu
      select case(ty)
      case(VSV0)
!       c0*(-P(-1,1)*P(-1,2)*P(1,3)*P(3,2) + P(-1,1)*P(-1,3)*P(1,2)*P(3,2) - P(-1
!       ,2)*P(-1,3)*P(1,2)*P(3,1))
!       Metric(1,3)*P(-1,1)*P(-1,2)**2*P(-1,3)*c1
!       c2*(-Epsilon(-1,-2,-3,1)*P(-1,1)*P(-2,2)*P(-3,3)*P(3,2) - Epsilon(-1,-2,1
!       ,3)*P(-1,1)*P(-2,2)*P(-3,2)*P(-3,3))
!       c3*(Epsilon(-1,-2,-3,3)*P(-1,1)*P(-2,2)*P(-3,3)*P(1,2) - Epsilon(-2,-3,1,
!       3)*P(-1,1)*P(-1,2)*P(-2,2)*P(-3,3))
        x10 = P1(0)*P2(0)*co(3)
        x11 = P1(0)*P2(0)
        x25 = P2(1)**2
        x33 = P2(2)**2
        x35 = P2(3)**2
        x37 = P1(1)*P2(0)
        x58 = P2(0)**2
        x61 = P1(1)*P2(1)
        x62 = P1(2)*P2(2)
        x63 = P1(3)*P2(3)
        x66 = P1(2)*P2(0)
        x85 = P1(3)*P2(0)*co(2)
        x103 = P1(1)*P2(1)*co(3)
        x104 = P1(2)*P2(3)
        x105 = P1(3)*P2(2)
        x108 = P1(2)*P2(2)*co(3)
        x109 = P1(3)*P2(1)
        x110 = P1(1)*P2(3)
        x112 = P1(3)*P2(3)*co(3)
        x113 = P1(1)*P2(2)
        x114 = P1(2)*P2(1)
        x117 = P1(1)**2
        x119 = P1(2)**2
        x120 = P1(3)**2
        x128 = P1(3)*P2(0)
        x137 = cima*w2(0)
        x141 = P1(2)*P2(1)*co(2)
        x143 = P1(0)*P2(3)
        x145 = P1(3)*P2(1)*co(2)
        x147 = P1(0)**2
        x149 = P1(0)*P2(1)*co(2)
        x150 = P1(0)*P2(1)
        x153 = P1(0)*P2(2)
        x167 = P1(3)*P2(2)*co(2)
        x173 = P1(0)*P2(2)*co(2)
        x183 = P1(3)*P2(3)*co(2)
        x196 = P2(0)*co(3)
        x203 = P2(1)*co(3)
        x209 = P1(0)*co(2)
        x218 = P2(2)*co(3)
        x227 = P2(3)*co(3)
        x314 = P2(0)*cima*w2(0)
        x317 = P2(1)*cima*w2(0)
        x318 = P2(2)*cima*w2(0)
        x319 = P2(3)*cima*w2(0)
        do j = riMaxIn, 0, -1
          x0 = P1(2)*wl(3,j)
          x1 = P1(3)*wl(2,j)
          x2 = x0 - x1
          x3 = P1(1)*wl(2,j)
          x4 = P1(2)*wl(1,j)
          x5 = x3 - x4
          x6 = P1(1)*wl(3,j)
          x7 = P1(3)*wl(1,j)
          x8 = x6 - x7
          x9 = P2(1)*x2 - P2(2)*x8 + P2(3)*x5
          x12 = P2(2)*wl(3,j)
          x13 = P2(3)*wl(2,j)
          x14 = x12 - x13
          x15 = P2(1)*wl(2,j)
          x16 = P2(2)*wl(1,j)
          x17 = x15 - x16
          x18 = P2(3)*x17
          x19 = P2(1)*wl(3,j)
          x20 = P2(3)*wl(1,j)
          x21 = x19 - x20
          x22 = P2(2)*x21
          x23 = P2(1)*x14 + x18 - x22
          x24 = co(3)*x23
          x26 = P2(1)*wl(1,j)
          x27 = P2(2)*wl(2,j)
          x28 = P2(3)*wl(3,j)
          x29 = P2(0)*wl(0,j)
          x30 = x26 + x27 + x28 - x29
          x31 = co(0)*x30
          x32 = x25*x31
          x34 = x31*x33
          x36 = x31*x35
          x38 = P1(0)*wl(2,j)
          x39 = P1(2)*wl(0,j)
          x40 = x38 - x39
          x41 = P1(0)*wl(3,j)
          x42 = P1(3)*wl(0,j)
          x43 = x41 - x42
          x44 = P2(0)*x2 - P2(2)*x43 + P2(3)*x40
          x45 = co(2)*x44
          x46 = P2(0)*x14
          x47 = P2(0)*wl(2,j)
          x48 = P2(2)*wl(0,j)
          x49 = x47 - x48
          x50 = P2(3)*x49
          x51 = P2(0)*wl(3,j)
          x52 = P2(3)*wl(0,j)
          x53 = x51 - x52
          x54 = P2(2)*x53
          x55 = x46 + x50 - x54
          x56 = co(2)*x55
          x57 = -x12 + x13
          x59 = x25 + x33 + x35 - x58
          x60 = P1(1)*co(2)*x59
          x64 = -x11 + x61 + x62 + x63
          x65 = P1(1)*co(2)*x64
          x67 = P2(1)*x43
          x68 = P2(0)*x8
          x69 = P1(0)*wl(1,j)
          x70 = P1(1)*wl(0,j)
          x71 = x69 - x70
          x72 = P2(3)*x71
          x73 = x67 - x68 - x72
          x74 = co(2)*x73
          x75 = P2(1)*x53
          x76 = P2(0)*x21
          x77 = P2(0)*wl(1,j)
          x78 = P2(1)*wl(0,j)
          x79 = x77 - x78
          x80 = P2(3)*x79
          x81 = x75 - x76 - x80
          x82 = co(2)*x81
          x83 = P1(2)*co(2)*x21
          x84 = P2(0)*x5 - P2(1)*x40 + P2(2)*x71
          x86 = P2(0)*x17
          x87 = P2(2)*x79
          x88 = P2(1)*x49
          x89 = x86 + x87 - x88
          x90 = -x15 + x16
          x91 = P1(3)*co(2)*x59
          x92 = P1(3)*co(2)*x64
          x93 = co(2)*x9
          x94 = co(2)*x23
          x95 = P1(1)*wl(1,j)
          x96 = P1(2)*wl(2,j)
          x97 = P1(3)*wl(3,j)
          x98 = P1(0)*wl(0,j)
          x99 = x95 + x96 + x97 - x98
          x100 = co(0)*x58
          x101 = x100*x99
          x102 = x31*x58
          x106 = x104 - x105
          x107 = P1(1)*co(3)*x30
          x111 = P1(2)*co(3)*x30
          x115 = x113 - x114
          x116 = P1(3)*co(3)*x30
          x118 = P2(0)*co(0)*x30
          x121 = x31*x61
          x122 = x31*x62
          x123 = x31*x63
          x124 = co(1)*x29
          x125 = x124*x59
          x126 = x124*x64
          x127 = P2(0)*co(0)*x99
          x129 = P2(3)*co(0)*x99
          x130 = co(1)*x59
          x131 = P1(1)*P2(1)*wl(0,j)
          x132 = co(1)*x64
          x133 = P1(2)*P2(2)*wl(0,j)
          x134 = co(1)*x42
          x135 = P2(3)*x59
          x136 = P2(3)*x64
          x138 = P1(0)*co(3)*x30
          x139 = co(0)*x25
          x140 = x139*x99
          x142 = P1(2)*co(2)*x53
          x144 = -x128 + x143
          x146 = -x47 + x48
          x148 = P2(1)*co(0)*x30
          x151 = P1(0)*co(2)*x59
          x152 = P1(0)*co(2)*x64
          x154 = x153 - x66
          x155 = co(1)*x77
          x156 = x155*x59
          x157 = x155*x64
          x158 = P2(1)*co(0)*x99
          x159 = x31*x37
          x160 = co(1)*wl(1,j)*x59
          x161 = co(1)*wl(1,j)*x64
          x162 = co(1)*x7
          x163 = -x109 + x110
          x164 = -x51 + x52
          x165 = co(0)*x33
          x166 = x165*x99
          x168 = co(2)*x59
          x169 = P1(3)*x79
          x170 = co(2)*x64
          x171 = x150 - x37
          x172 = P2(2)*co(0)*x30
          x174 = -x19 + x20
          x175 = P1(0)*P2(0)*co(1)*wl(2,j)
          x176 = P2(2)*co(0)*x99
          x177 = x31*x66
          x178 = P1(1)*P2(1)*co(1)*wl(2,j)
          x179 = P1(2)*P2(2)*wl(2,j)
          x180 = P1(3)*P2(3)*wl(2,j)
          x181 = P1(1)*co(2)*x49
          x182 = P1(2)*(-x77 + x78)
          x184 = co(0)*x35
          x185 = x184*x99
          x186 = P2(3)*co(0)*x30
          x187 = co(1)*x51
          x188 = x187*x59
          x189 = x187*x64
          x190 = x128*x31
          x191 = co(1)*x19
          x192 = x191*x59
          x193 = x191*x64
          x194 = P1(2)*P2(2)*co(1)*wl(3,j)
          x195 = P1(3)*P2(3)*co(1)*wl(3,j)
          x197 = co(2)*x77
          x198 = co(2)*x51
          x199 = co(0)*x29
          x200 = co(2)*x47
          x201 = -x102
          x202 = x121 + x123 + x201 + x32 + x34 + x36
          x204 = x150*x31
          x205 = P2(0)*x158
          x206 = co(0)*x77
          x207 = P2(0)*co(2)*wl(0,j)
          x208 = co(1)*x78
          x210 = co(3)*x14
          x211 = co(2)*x21
          x212 = co(2)*x49
          x213 = co(2)*x13
          x214 = co(2)*x14
          x215 = co(2)*x53
          x216 = co(2)*x12
          x217 = -x11*x210 + x114*x211 + x128*x212 - x145*x17 + x209*x46 + x210&
                 *x61 + x210*x62 + x210*x63 + x213*x59 + x213*x64 - x214*x61 - &
                 x215*x66 - x216*x59 - x216*x64
          x219 = co(1)*x48
          x220 = x153*x31
          x221 = P2(2)*x127
          x222 = co(0)*x47
          x223 = co(3)*x21
          x224 = co(2)*x20
          x225 = co(2)*x19
          x226 = x11*x211 - x11*x223 + x113*x214 + x167*x17 - x211*x62 - x215* &
                 x37 + x223*x61 + x223*x62 + x223*x63 + x224*x59 + x224*x64 -  &
                 x225*x59 - x225*x64 + x79*x85
          x228 = x143*x31
          x229 = P2(3)*x127
          x230 = co(0)*x51
          x231 = co(2)*x115
          x232 = co(1)*x52
          x233 = co(3)*x17
          x234 = co(2)*x79
          x235 = co(3)*x18
          x236 = co(2)*x16
          x237 = co(3)*x86
          x238 = co(2)*x15
          x239 = -P1(0)*x237 - P1(3)*co(2)*x18 + P1(3)*x235 + x104*x211 - x110*&
                 x214 + x209*x86 - x212*x37 + x233*x61 + x233*x62 + x234*x66 + &
                 x236*x59 + x236*x64 - x238*x59 - x238*x64
          x240 = P2(1)*co(2)*wl(1,j)
          x241 = co(0)*x78
          x242 = co(0)*x26
          x243 = co(1)*x26
          x244 = co(2)*x78
          x245 = -x11*x31
          x246 = x122 + x201 + x245 + x32 + x34 + x36
          x247 = co(1)*x16
          x248 = x113*x31
          x249 = P2(2)*x158
          x250 = co(0)*x15
          x251 = x114*x31
          x252 = co(3)*x53
          x253 = co(2)*x52
          x254 = x105*x212 - x11*x252 + x14*x173 + x145*x79 + x150*x211 - x198*&
                 x59 - x198*x64 - x215*x61 - x215*x62 + x252*x61 + x252*x62 +  &
                 x252*x63 + x253*x59 + x253*x64
          x255 = co(3)*x49
          x256 = x11*x255
          x257 = x143*x214
          x258 = x212*x61
          x259 = x212*x63
          x260 = x200*x59
          x261 = x200*x64
          x262 = co(1)*x20
          x263 = x149*x17
          x264 = x255*x61
          x265 = x110*x31
          x266 = x141*x79
          x267 = x255*x62
          x268 = x104*x215
          x269 = x255*x63
          x270 = -P2(3)*x158
          x271 = co(0)*x19
          x272 = co(2)*x48
          x273 = x272*x59
          x274 = x272*x64
          x275 = x109*x31
          x276 = -x67 + x68 + x72
          x277 = -x75 + x76 + x80
          x278 = co(0)*x48
          x279 = P2(2)*co(2)*wl(2,j)
          x280 = co(1)*x47
          x281 = co(0)*x16
          x282 = co(1)*x15
          x283 = co(0)*x27
          x284 = co(1)*x27
          x285 = co(3)*x79
          x286 = x285*x61
          x287 = x113*x212
          x288 = x110*x215
          x289 = x285*x62
          x290 = x285*x63
          x291 = x244*x59
          x292 = x244*x64
          x293 = co(1)*x13
          x294 = x11*x285
          x295 = x17*x173
          x296 = x143*x211
          x297 = x234*x62
          x298 = x104*x31
          x299 = x183*x79
          x300 = x197*x59
          x301 = x197*x64
          x302 = -P2(2)*x129
          x303 = co(0)*x12
          x304 = x105*x31
          x305 = co(0)*x52
          x306 = P2(3)*co(2)*wl(3,j)
          x307 = co(0)*x20
          x308 = co(1)*x12
          x309 = co(0)*x13
          x310 = co(0)*x28
          x311 = co(1)*x28
          x312 = -x31
          x313 = x242 + x283 + x312
          x315 = -x199
          x316 = x124 + x31 + x315
          x320 = x210 + x213 - x216
          x321 = wl(0,j)*x25
          x322 = -wl(0,j)*x100
          x323 = P2(0)*x283
          x324 = P2(3)*x230
          x325 = P2(1)*x216
          x326 = P2(3)*x238
          x327 = P2(2)*x206
          x328 = P2(1)*x219
          x329 = x227*x30
          x330 = co(2)*wl(3,j)
          x331 = x25*x330
          x332 = co(2)*x58
          x333 = -wl(3,j)*x332
          x334 = P2(3)*x207
          x335 = -P2(1)*x224
          x336 = P2(2)*x210 + x329 + x331 + x333 + x334 + x335
          x337 = P2(3)*x206
          x338 = -P2(1)*x232
          x339 = wl(2,j)*x332
          x340 = x218*x30
          x341 = -x340
          x342 = wl(2,j)*x25
          x343 = -co(2)*x342
          x344 = P2(1)*x236
          x345 = P2(2)*x207
          x346 = P2(3)*x210 + x339 + x341 + x343 + x344 - x345
          x347 = x223 + x224 - x225
          x348 = P2(0)*x250
          x349 = x33*x330
          x350 = -P2(3)*x279
          x351 = P2(1)*x223 + x329 + x333 + x334 + x349 + x350
          x352 = wl(0,j)*x33
          x353 = P2(3)*x236
          x354 = P2(1)*x206 + x322
          x355 = P2(3)*x219
          x356 = -P2(3)*x222
          x357 = wl(1,j)*x332
          x358 = x203*x30
          x359 = -x358
          x360 = co(2)*wl(1,j)
          x361 = x33*x360
          x362 = P2(2)*x238
          x363 = -P2(1)*x207
          x364 = P2(3)*x223 + x357 + x359 - x361 + x362 + x363
          x365 = x233 + x236 - x238
          x366 = P2(0)*x271
          x367 = co(2)*x35
          x368 = wl(2,j)*x367
          x369 = P2(3)*x216
          x370 = P2(1)*x233 - x339 + x340 + x345 + x368 - x369
          x371 = P2(0)*x303
          x372 = x35*x360
          x373 = P2(3)*x225
          x374 = P2(2)*x233 + x357 + x359 + x363 - x372 + x373
          x375 = co(1)*x35
          x376 = co(1)*x58
          x377 = P2(0)*x216
          x378 = P2(2)*x250
          x379 = P2(3)*x200
          x380 = wl(1,j)*x139
          x381 = P2(3)*x271 + x380
          x382 = P2(2)*x155
          x383 = P2(1)*x278
          x384 = P2(3)*x155
          x385 = -P2(1)*x305
          x386 = x242 - x243 + x31
          x387 = x310 + x312 + x315
          x388 = -P2(0)*x252 + x329 + x331 + x335 + x349 + x350
          x389 = -x198 + x252 + x253
          x390 = P2(3)*x272
          x391 = -P2(1)*x199
          x392 = P2(3)*x247
          x393 = P2(3)*x250
          x394 = -x196*x30
          x395 = -co(2)*x321
          x396 = -co(2)*x352
          x397 = P2(1)*x197
          x398 = P2(0)*x279
          x399 = P2(3)*x252 + x394 + x395 + x396 + x397 + x398
          x400 = P2(0)*x255 + x341 + x343 + x344 - x368 + x369
          x401 = -x200 + x255 + x272
          x402 = P2(1)*x303
          x403 = -wl(0,j)*x367
          x404 = P2(3)*x198
          x405 = P2(2)*x255 + x394 + x395 + x397 + x403 + x404
          x406 = wl(2,j)*x165
          x407 = P2(3)*x197
          x408 = P2(1)*x281
          x409 = P2(3)*x303
          x410 = P2(0)*x225
          x411 = P2(0)*x282
          x412 = P2(3)*x278
          x413 = -P2(3)*x280
          x414 = P2(1)*x253
          x415 = -P2(2)*x199 + x406
          x416 = P2(3)*x281
          x417 = P2(3)*x282
          x418 = x283 - x284 + x31
          x419 = -P2(0)*x285 + x358 + x361 - x362 + x372 - x373
          x420 = P2(1)*x285 + x394 + x396 + x398 + x403 + x404
          x421 = -x197 + x244 + x285
          x422 = P2(0)*x238
          x423 = P2(1)*x307
          x424 = P2(2)*x197
          x425 = wl(3,j)*x184
          x426 = P2(3)*x283 + x425
          x427 = P2(0)*x191
          x428 = P2(0)*x308
          x429 = co(1)*wl(3,j)
          x430 = P2(1)*x272
          x431 = -P2(3)*x199
          x432 = P2(1)*x308
          x433 = x31 + x310 - x311
          wp(0,j) = -x137*(-P1(0)*x101 - P1(0)*x102 + P1(0)*x121 + P1(0)*x122  &
                     + P1(0)*x123 + P1(0)*x125 + P1(0)*x126 + P1(0)*x32 + P1(0 &
                    )*x34 + P1(0)*x36 + x10*x9 - x103*x9 - x106*x107 - x108*x9 &
                     + x11*x24 - x11*x93 - x11*x94 - x111*(x109 - x110) - x112*&
                    x9 - x115*x116 - x117*x118 - x118*x119 - x118*x120 + x127* &
                    x61 + x127*x62 + x128*x129 - x130*x131 - x130*x133 - x131* &
                    x132 - x132*x133 - x134*x135 - x134*x136 - x24*x61 - x24*  &
                    x62 - x24*x63 + x37*x45 + x37*x56 + x57*x60 + x57*x65 + x59&
                    *x83 + x64*x83 + x66*x74 + x66*x82 + x84*x85 + x85*x89 +   &
                    x90*x91 + x90*x92)
          wp(1,j) = -x137*(P1(0)*x156 + P1(0)*x157 - P1(0)*x159 - P1(1)*x102 + &
                    P1(1)*x122 + P1(1)*x123 + P1(1)*x140 + P1(1)*x32 + P1(1)*  &
                    x34 + P1(1)*x36 + x10*x44 + x10*x55 - x103*x44 - x103*x55  &
                     - x108*x44 - x108*x55 + x111*x144 - x112*x44 - x112*x55 - &
                    x116*x154 - x119*x148 - x120*x148 - x127*x150 - x135*x162  &
                     - x136*x162 + x138*(-x104 + x105) - x14*x151 - x14*x152 + &
                    x141*x73 + x141*x81 + x142*x59 + x142*x64 + x145*x84 + x145&
                    *x89 + x146*x91 + x146*x92 + x147*x148 - x149*x9 - x150*x94&
                     + x158*x62 + x158*x63 - x160*x61 - x160*x62 - x161*x61 -  &
                    x161*x62 + x45*x61 + x56*x61)
          wp(2,j) = -x137*(-P1(0)*x177 - P1(2)*x102 + P1(2)*x121 + P1(2)*x123  &
                     + P1(2)*x166 + P1(2)*x32 + P1(2)*x34 + P1(2)*x36 + x10*x73&
                     + x10*x81 - x103*x73 - x103*x81 - x107*x144 - x108*x73 -  &
                    x108*x81 - x112*x73 - x112*x81 + x113*x45 + x113*x56 + x116&
                    *x171 - x117*x172 - x120*x172 - x127*x153 - x130*x179 -    &
                    x130*x180 - x132*x179 - x132*x180 + x138*x163 + x147*x172  &
                     - x151*x174 - x152*x174 + x164*x60 + x164*x65 + x167*x84  &
                     + x167*x89 + x168*x169 + x169*x170 - x173*x23 - x173*x9 + &
                    x175*x59 + x175*x64 + x176*x61 + x176*x63 - x178*x59 - x178&
                    *x64 + x62*x74 + x62*x82)
          wp(3,j) = -x137*(P1(0)*x188 + P1(0)*x189 - P1(0)*x190 - P1(1)*x192 - &
                    P1(1)*x193 - P1(3)*x102 + P1(3)*x121 + P1(3)*x122 + P1(3)* &
                    x185 + P1(3)*x32 + P1(3)*x34 + P1(3)*x36 + x10*x84 + x10*  &
                    x89 - x103*x84 - x103*x89 + x104*x74 + x104*x82 + x107*x154&
                     - x108*x84 - x108*x89 + x110*x45 + x110*x56 - x111*x171 - &
                    x112*x84 - x112*x89 - x117*x186 - x119*x186 - x127*x143 +  &
                    x129*x61 + x129*x62 + x138*(-x113 + x114) - x143*x93 - x143&
                    *x94 + x147*x186 - x151*x17 - x152*x17 + x168*x182 + x170* &
                    x182 + x181*x59 + x181*x64 + x183*x84 + x183*x89 - x194*x59&
                     - x194*x64 - x195*x59 - x195*x64)
          if(rankInc .lt. 1) cycle
          sp2(0,0) = co(1)*x137*x98 + x101*x137 - x106*x137*x197 - x115*x137*  &
                     x198 - x122*x137 - x125*x137 - x126*x137 + x137*x163*x200 &
                      - x137*x196*x23 - x137*x196*x9 + x137*x199*x64 - x137*   &
                     x202
          sp2(0,1) = -P2(1)*x137*x24 + co(1)*x137*x70 - x106*x137*x207 + x137* &
                     x144*x200 - x137*x154*x198 - 2*x137*x159 - x137*x203*x9 + &
                     x137*x204 + x137*x205 + x137*x206*x64 - x137*x208*x59 -   &
                     x137*x208*x64 + x137*x217
          sp2(0,2) = -P2(2)*x137*x24 + co(1)*x137*x39 - x137*x144*x197 + x137* &
                     x163*x207 + x137*x171*x198 - 2*x137*x177 - x137*x218*x9 - &
                     x137*x219*x59 - x137*x219*x64 + x137*x220 + x137*x221 +   &
                     x137*x222*x64 - x137*x226
          sp2(0,3) = x134*x137 + x137*x154*x197 - x137*x171*x200 - 2*x137*x190 &
                      - x137*x227*x23 - x137*x227*x9 + x137*x228 + x137*x229 + &
                     x137*x230*x64 - x137*x231*x29 - x137*x232*x59 - x137*x232*&
                     x64 + x137*x239
          sp2(1,0) = co(1)*x137*x69 - x106*x137*x240 - x115*x137*x225 - x137*  &
                     x156 - x137*x157 + x137*x159 + x137*x163*x238 - x137*x196*&
                     x44 - x137*x196*x55 - 2*x137*x204 + x137*x205 - x137*x217 &
                      + x137*x241*x64
          sp2(1,1) = co(1)*x137*x95 - x106*x137*x244 + x123*x137 + x137*x140 + &
                     x137*x144*x238 - x137*x154*x225 - x137*x203*x44 - x137*   &
                     x203*x55 + x137*x242*x64 - x137*x243*x59 - x137*x243*x64  &
                      + x137*x246
          sp2(1,2) = co(1)*x137*x4 - x137*x144*x240 + x137*x163*x244 + x137*   &
                     x171*x225 - x137*x218*x44 - x137*x218*x55 - x137*x247*x59 &
                      - x137*x247*x64 + x137*x248 + x137*x249 + x137*x250*x64  &
                      - 2*x137*x251 - x137*x254
          sp2(1,3) = -x115*x137*x244 + x137*x154*x240 + x137*x162 - x137*x171* &
                     x238 - x137*x227*x44 - x137*x227*x55 - x137*x256 - x137*  &
                     x257 - x137*x258 - x137*x259 - x137*x260 - x137*x261 -    &
                     x137*x262*x59 - x137*x262*x64 + x137*x263 + x137*x264 +   &
                     x137*x265 + x137*x266 + x137*x267 + x137*x268 + x137*x269 &
                      - x137*x270 + x137*x271*x64 + x137*x273 + x137*x274 - 2* &
                     x137*x275
          sp2(2,0) = co(1)*x137*x38 - x106*x137*x236 - x115*x137*x216 + x137*  &
                     x163*x279 + x137*x177 + x137*x196*x276 + x137*x196*x277 - &
                     2*x137*x220 + x137*x221 + x137*x226 + x137*x278*x64 - x137&
                     *x280*x59 - x137*x280*x64
          sp2(2,1) = co(1)*x137*x3 - x106*x137*x272 + x137*x144*x279 - x137*   &
                     x154*x216 + x137*x203*x276 + x137*x203*x277 - 2*x137*x248 &
                      + x137*x249 + x137*x251 + x137*x254 + x137*x281*x64 -    &
                     x137*x282*x59 - x137*x282*x64
          sp2(2,2) = co(1)*x137*x96 - x137*x144*x236 + x137*x163*x272 + x137*  &
                     x166 + x137*x171*x216 + x137*x202 + x137*x218*x276 + x137*&
                     x218*x277 + x137*x245 + x137*x283*x64 - x137*x284*x59 -   &
                     x137*x284*x64
          sp2(2,3) = co(1)*x1*x137 - x115*x137*x272 + x137*x154*x236 - x137*   &
                     x171*x279 - x137*x227*x73 - x137*x227*x81 - x137*x286 -   &
                     x137*x287 - x137*x288 - x137*x289 - x137*x290 - x137*x291 &
                      - x137*x292 - x137*x293*x59 - x137*x293*x64 + x137*x294  &
                      + x137*x295 + x137*x296 + x137*x297 + x137*x298 + x137*  &
                     x299 + x137*x300 + x137*x301 - x137*x302 + x137*x303*x64  &
                      - 2*x137*x304
          sp2(3,0) = co(1)*x137*x41 - x106*x137*x224 + x137*x163*x213 - x137*  &
                     x188 - x137*x189 + x137*x190 - x137*x196*x84 - x137*x196* &
                     x89 - 2*x137*x228 + x137*x229 - x137*x231*x28 - x137*x239 &
                      + x137*x305*x64
          sp2(3,1) = co(1)*x137*x6 - x106*x137*x253 + x137*x144*x213 - x137*   &
                     x154*x306 - x137*x192 - x137*x193 - x137*x203*x84 - x137* &
                     x203*x89 + x137*x256 + x137*x257 + x137*x258 + x137*x259  &
                      + x137*x260 + x137*x261 - x137*x263 - x137*x264 - 2*x137*&
                     x265 - x137*x266 - x137*x267 - x137*x268 - x137*x269 -    &
                     x137*x270 - x137*x273 - x137*x274 + x137*x275 + x137*x307*&
                     x64
          sp2(3,2) = co(1)*x0*x137 - x137*x144*x224 + x137*x163*x253 + x137*   &
                     x171*x306 - x137*x218*x84 - x137*x218*x89 + x137*x286 +   &
                     x137*x287 + x137*x288 + x137*x289 + x137*x290 + x137*x291 &
                      + x137*x292 - x137*x294 - x137*x295 - x137*x296 - x137*  &
                     x297 - 2*x137*x298 - x137*x299 - x137*x300 - x137*x301 -  &
                     x137*x302 + x137*x304 - x137*x308*x59 - x137*x308*x64 +   &
                     x137*x309*x64
          sp2(3,3) = co(1)*x137*x97 - x115*x137*x253 + x121*x137 + x137*x154*  &
                     x224 - x137*x171*x213 + x137*x185 - x137*x227*x84 - x137* &
                     x227*x89 + x137*x246 + x137*x310*x64 - x137*x311*x59 -    &
                     x137*x311*x64
          sp3(0,0,0) = x124*x314 - x310*x314 - x313*x314
          sp3(0,0,1) = x316*x317
          sp3(0,0,2) = x316*x318
          sp3(0,0,3) = x316*x319
          sp3(0,1,0) = -x206*x314 + x208*x314 - x314*x320
          sp3(0,1,1) = -P2(1)*x137*x210 + co(1)*x137*x321 + x137*x322 + x137*  &
                       x323 + x137*x324 + x137*x325 - x137*x326
          sp3(0,1,2) = -x137*x327 + x137*x328 - x137*x336
          sp3(0,1,3) = -x137*x337 - x137*x338 - x137*x346
          sp3(0,2,0) = x219*x314 - x222*x314 + x314*x347
          sp3(0,2,1) = x137*x328 - x137*x348 + x137*x351
          sp3(0,2,2) = co(1)*x137*x352 + co(3)*x137*x22 + x137*x324 - x137*x325&
                        + x137*x353 + x137*x354
          sp3(0,2,3) = x137*x355 + x137*x356 + x137*x364
          sp3(0,3,0) = -x230*x314 + x232*x314 - x314*x365
          sp3(0,3,1) = -x137*x338 - x137*x366 - x137*x370
          sp3(0,3,2) = x137*x355 - x137*x371 - x137*x374
          sp3(0,3,3) = wl(0,j)*x137*x375 - x137*x235 + x137*x323 + x137*x326 - &
                       x137*x353 + x137*x354
          sp3(1,0,0) = P2(0)*x137*x210 + wl(1,j)*x137*x376 - x137*x377 - x137* &
                       x378 + x137*x379 - x137*x381
          sp3(1,0,1) = x155*x317 - x241*x317 + x317*x320
          sp3(1,0,2) = x137*x336 + x137*x382 - x137*x383
          sp3(1,0,3) = x137*x346 + x137*x384 + x137*x385
          sp3(1,1,0) = -x314*x386
          sp3(1,1,1) = x243*x317 + x283*x317 + x317*x387
          sp3(1,1,2) = -x318*x386
          sp3(1,1,3) = -x319*x386
          sp3(1,2,0) = -x137*x348 + x137*x382 - x137*x388
          sp3(1,2,1) = x247*x317 - x250*x317 + x317*x389
          sp3(1,2,2) = co(1)*wl(1,j)*x137*x33 + co(3)*x137*x54 - x137*x377 +   &
                       x137*x381 + x137*x390 + x137*x391
          sp3(1,2,3) = x137*x392 - x137*x393 + x137*x399
          sp3(1,3,0) = -x137*x366 + x137*x384 - x137*x400
          sp3(1,3,1) = x262*x317 - x271*x317 - x317*x401
          sp3(1,3,2) = x137*x392 - x137*x402 - x137*x405
          sp3(1,3,3) = -co(3)*x137*x50 + wl(1,j)*x137*x375 + x137*x378 + x137* &
                       x379 + x137*x380 - x137*x390 + x137*x391
          sp3(2,0,0) = -P2(0)*x137*x223 + wl(2,j)*x137*x376 - x137*x406 - x137*&
                       x407 - x137*x408 - x137*x409 + x137*x410
          sp3(2,0,1) = -x137*x351 - x137*x383 + x137*x411
          sp3(2,0,2) = -x278*x318 + x280*x318 - x318*x347
          sp3(2,0,3) = -x137*x364 - x137*x412 - x137*x413
          sp3(2,1,0) = -x137*x327 + x137*x388 + x137*x411
          sp3(2,1,1) = co(1)*x137*x342 - co(3)*x137*x75 + x137*x409 + x137*x410&
                        - x137*x414 + x137*x415
          sp3(2,1,2) = -x281*x318 + x282*x318 - x318*x389
          sp3(2,1,3) = -x137*x399 - x137*x416 + x137*x417
          sp3(2,2,0) = -x314*x418
          sp3(2,2,1) = -x317*x418
          sp3(2,2,2) = x242*x318 + x284*x318 + x318*x387
          sp3(2,2,3) = -x319*x418
          sp3(2,3,0) = -x137*x371 - x137*x413 - x137*x419
          sp3(2,3,1) = -x137*x402 + x137*x417 + x137*x420
          sp3(2,3,2) = x293*x318 - x303*x318 + x318*x421
          sp3(2,3,3) = co(3)*x137*x80 + wl(2,j)*x137*x375 - x137*x407 + x137*  &
                       x408 + x137*x414 + x137*x415
          sp3(3,0,0) = wl(3,j)*x137*x376 + x137*x237 - x137*x422 - x137*x423 + &
                       x137*x424 - x137*x426
          sp3(3,0,1) = x137*x370 + x137*x385 + x137*x427
          sp3(3,0,2) = x137*x374 - x137*x412 + x137*x428
          sp3(3,0,3) = x187*x319 - x305*x319 + x319*x365
          sp3(3,1,0) = -x137*x337 + x137*x400 + x137*x427
          sp3(3,1,1) = co(3)*x137*x88 + x137*x25*x429 - x137*x422 + x137*x426  &
                        + x137*x430 + x137*x431
          sp3(3,1,2) = x137*x405 - x137*x416 + x137*x432
          sp3(3,1,3) = x191*x319 - x307*x319 + x319*x401
          sp3(3,2,0) = x137*x356 + x137*x419 + x137*x428
          sp3(3,2,1) = -x137*x393 - x137*x420 + x137*x432
          sp3(3,2,2) = -co(3)*x137*x87 + x137*x33*x429 + x137*x423 + x137*x424 &
                        + x137*x425 - x137*x430 + x137*x431
          sp3(3,2,3) = x308*x319 - x309*x319 - x319*x421
          sp3(3,3,0) = -x314*x433
          sp3(3,3,1) = -x317*x433
          sp3(3,3,2) = -x318*x433
          sp3(3,3,3) = x311*x319 + x313*x319 + x315*x319
          do mu = 0, 3
            riOut = incRI(mu, j)
            wp(:,riOut) = wp(:,riOut) + sp2(:,mu)
            if(rankInc .lt. 2) cycle
            do nu = 0, 3
              riOut = incRI(nu, incRI(mu, j))
              wp(:,riOut) = wp(:,riOut) + sp3(:,nu,mu)
            end do 
          end do 
        end do 
      case(VSV1)
!       P(1,3)*P(3,2)*c0
!       Metric(1,3)*P(-1,2)*P(-1,3)*c1
!       Epsilon(-1,-2,1,3)*P(-1,2)*P(-2,3)*c2
        x3 = P2(2)*co(2)
        x7 = P2(1)**2
        x8 = co(1)*x7
        x9 = P2(2)**2
        x10 = co(1)*x9
        x11 = P2(3)**2
        x15 = P2(1)*co(2)
        x20 = P2(3)*co(2)
        x24 = P2(0)**2
        x37 = P2(3)*co(1)
        x38 = P1(0)*P2(0)
        x39 = cima*w2(0)
        x44 = P2(0)*co(2)
        x49 = P2(1)*co(1)
        x54 = P2(0)*co(1)
        x62 = P1(2)*P2(2)
        x71 = cima*w2(0)*(co(0) + co(1))
        do j = riMaxIn, 0, -1
          x0 = P1(1)*wl(3,j)
          x1 = P1(3)*wl(1,j)
          x2 = x0 - x1
          x4 = P2(1)*wl(3,j)
          x5 = P2(3)*wl(1,j)
          x6 = x4 - x5
          x12 = co(1)*x11
          x13 = P1(3)*wl(2,j)
          x14 = P1(2)*wl(3,j) - x13
          x16 = P2(2)*wl(3,j)
          x17 = P2(3)*wl(2,j)
          x18 = x16 - x17
          x19 = P1(1)*wl(2,j) - P1(2)*wl(1,j)
          x21 = P2(1)*wl(2,j)
          x22 = P2(2)*wl(1,j)
          x23 = x21 - x22
          x25 = co(0)*wl(0,j)
          x26 = co(1)*x24
          x27 = P2(0)*wl(1,j)
          x28 = co(0)*x27
          x29 = P2(1)*wl(0,j)
          x30 = co(1)*x29
          x31 = P2(0)*wl(2,j)
          x32 = co(0)*x31
          x33 = P1(2)*wl(0,j)
          x34 = P2(0)*wl(3,j)
          x35 = co(0)*x34
          x36 = P1(3)*wl(0,j)
          x40 = P1(0)*wl(3,j) - x36
          x41 = P2(3)*wl(0,j)
          x42 = x34 - x41
          x43 = co(0)*wl(1,j)
          x45 = P1(0)*wl(2,j)
          x46 = -x33 + x45
          x47 = P2(2)*wl(0,j)
          x48 = x31 - x47
          x50 = co(0)*x21
          x51 = co(1)*x22
          x52 = co(0)*x4
          x53 = P1(0)*wl(1,j)
          x55 = co(0)*x29
          x56 = -P1(1)*wl(0,j) + x53
          x57 = x27 - x29
          x58 = co(0)*wl(2,j)
          x59 = co(1)*wl(2,j)
          x60 = co(1)*x21
          x61 = co(0)*x22
          x63 = co(0)*x16
          x64 = co(0)*x47
          x65 = co(0)*wl(3,j)
          x66 = co(0)*x5
          x67 = co(1)*x16
          x68 = co(0)*x17
          x69 = co(1)*x34
          x70 = co(0)*x41
          x72 = co(2)*x16
          x73 = co(2)*x17
          x74 = co(2)*x5
          x75 = co(2)*x4
          x76 = co(2)*x21
          x77 = co(2)*x22
          x78 = co(2)*x41
          x79 = co(2)*x34
          x80 = co(2)*x31
          x81 = co(2)*x47
          x82 = co(2)*x29
          x83 = co(2)*x27
          wp(0,j) = -x39*(P1(1)*x28 + P1(1)*x30 + P1(2)*x32 + P1(3)*x35 + P2(1 &
                    )*x28 + P2(2)*co(1)*x33 + P2(2)*x32 + P2(3)*x35 - co(1)*wl(&
                    0,j)*x38 + wl(0,j)*x10 + wl(0,j)*x12 - wl(0,j)*x26 + wl(0,j&
                    )*x8 - x14*x15 - x15*x18 - x19*x20 + x2*x3 - x20*x23 - x24*&
                    x25 - x25*x38 + x3*x6 + x36*x37)
          wp(1,j) = -x39*(-P1(0)*x55 + P1(1)*P2(1)*x43 + P1(1)*wl(1,j)*x49 + P1&
                    (2)*x50 + P1(2)*x51 + P1(3)*x52 - P2(0)*x55 + P2(2)*x50 +  &
                    P2(3)*x52 + wl(1,j)*x10 + wl(1,j)*x12 - wl(1,j)*x26 + wl(1,&
                    j)*x8 + x1*x37 - x14*x44 - x18*x44 - x20*x46 - x20*x48 + x3&
                    *x40 + x3*x42 + x43*x7 - x53*x54)
          wp(2,j) = -x39*(-P1(0)*x64 + P1(1)*x60 + P1(1)*x61 + P1(3)*x63 - P2(0&
                    )*x64 + P2(1)*x61 + P2(3)*x63 - wl(2,j)*x26 + x11*x59 + x13&
                    *x37 - x15*x40 - x15*x42 + x2*x44 + x20*x56 + x20*x57 + x44&
                    *x6 - x45*x54 + x58*x62 + x58*x9 + x59*x62 + x59*x7 + x59* &
                    x9)
          wp(3,j) = -x39*(-P1(0)*x69 - P1(0)*x70 + P1(1)*x66 + P1(2)*x67 + P1(2&
                    )*x68 + P1(3)*P2(3)*x65 + P1(3)*wl(3,j)*x37 - P2(0)*x70 +  &
                    P2(1)*x66 + P2(2)*x68 + wl(3,j)*x10 + wl(3,j)*x12 - wl(3,j &
                    )*x26 + wl(3,j)*x8 + x0*x49 + x11*x65 + x15*x46 + x15*x48  &
                     - x19*x44 - x23*x44 - x3*x56 - x3*x57)
          if(rankInc .lt. 1) cycle
          sp2(0,0) = P2(0)*wl(0,j)*x71
          sp2(0,1) = x28*x39 + x30*x39 + x39*x72 - x39*x73
          sp2(0,2) = co(1)*x39*x47 + x32*x39 + x39*x74 - x39*x75
          sp2(0,3) = co(1)*x39*x41 + x35*x39 + x39*x76 - x39*x77
          sp2(1,0) = co(1)*x27*x39 + x39*x55 - x39*x72 + x39*x73
          sp2(1,1) = P2(1)*wl(1,j)*x71
          sp2(1,2) = x39*x50 + x39*x51 + x39*x78 - x39*x79
          sp2(1,3) = co(1)*x39*x5 + x39*x52 + x39*x80 - x39*x81
          sp2(2,0) = co(1)*x31*x39 + x39*x64 - x39*x74 + x39*x75
          sp2(2,1) = x39*x60 + x39*x61 - x39*x78 + x39*x79
          sp2(2,2) = P2(2)*wl(2,j)*x71
          sp2(2,3) = co(1)*x17*x39 + x39*x63 + x39*x82 - x39*x83
          sp2(3,0) = x39*x69 + x39*x70 - x39*x76 + x39*x77
          sp2(3,1) = co(1)*x39*x4 + x39*x66 - x39*x80 + x39*x81
          sp2(3,2) = x39*x67 + x39*x68 - x39*x82 + x39*x83
          sp2(3,3) = P2(3)*wl(3,j)*x71
          do mu = 0, 3
            riOut = incRI(mu, j)
            wp(:,riOut) = wp(:,riOut) + sp2(:,mu)
          end do 
        end do 
      case(VSV2)
!       Metric(1,3)*c0
        do j = riMaxIn, 0, -1
          wp(:,j) = -cima*co(0)*w2(0)*wl(:,j)
        end do 
      case(VSV3)
!       c0*(-P(-1,1)*P(-1,2)*P(1,3)*P(3,2) + P(-1,1)*P(-1,3)*P(1,2)*P(3,2) - P(-1
!       ,2)*P(-1,3)*P(1,2)*P(3,1))
!       Metric(1,3)*P(-1,1)*P(-1,2)**2*P(-1,3)*c1
!       c2*(Epsilon(-1,-2,-3,3)*P(-1,1)*P(-2,2)*P(-3,3)*P(1,2) - Epsilon(-2,-3,1,
!       3)*P(-1,1)*P(-1,2)*P(-2,2)*P(-3,3))
        x5 = P2(0)**2
        x6 = co(0)*x5
        x25 = P1(1)*P2(1)*co(2)
        x37 = P1(2)*P2(3)
        x38 = P1(3)*P2(2)
        x41 = P1(2)*P2(2)*co(2)
        x42 = P1(3)*P2(3)*co(2)
        x43 = P1(1)*P2(2)
        x44 = P1(2)*P2(1)
        x50 = P1(0)*P2(0)*co(2)
        x51 = P2(1)**2
        x53 = P2(2)**2
        x55 = P2(3)**2
        x57 = P1(1)*P2(3)
        x58 = P1(3)*P2(1)
        x60 = -x5 + x51 + x53 + x55
        x62 = P1(1)*P2(1)
        x63 = P1(2)*P2(2)
        x64 = P1(3)*P2(3)
        x65 = P1(0)*P2(0)
        x66 = x62 + x63 + x64 - x65
        x70 = P2(3)*x60
        x71 = P2(3)*x66
        x79 = P1(3)*P2(0)
        x81 = cima*w2(0)
        x97 = P1(0)*P2(2)
        x98 = P1(2)*P2(0)
        x100 = co(0)*x51
        x102 = P1(0)*P2(3)
        x109 = P1(2)*P2(2)*x66
        x111 = P1(0)*P2(0)*x66
        x127 = co(0)*x53
        x129 = P1(0)*P2(1)
        x130 = P1(1)*P2(0)
        x135 = P1(2)*P2(2)*x60
        x137 = P1(0)*P2(0)*x60
        x142 = co(0)*x55
        x150 = P2(0)*co(2)
        x154 = P2(1)*co(2)
        x162 = P2(2)*co(2)
        x170 = P2(3)*co(2)
        x219 = P2(0)*cima*w2(0)
        x222 = P2(1)*cima*w2(0)
        x223 = P2(2)*cima*w2(0)
        x224 = P2(3)*cima*w2(0)
        do j = riMaxIn, 0, -1
          x0 = P1(1)*wl(1,j)
          x1 = P1(2)*wl(2,j)
          x2 = P1(3)*wl(3,j)
          x3 = P1(0)*wl(0,j)
          x4 = x0 + x1 + x2 - x3
          x7 = x4*x6
          x8 = P2(1)*wl(1,j)
          x9 = P2(2)*wl(2,j)
          x10 = P2(3)*wl(3,j)
          x11 = P2(0)*wl(0,j)
          x12 = x10 - x11 + x8 + x9
          x13 = co(0)*x12
          x14 = x13*x5
          x15 = P1(2)*wl(3,j)
          x16 = P1(3)*wl(2,j)
          x17 = x15 - x16
          x18 = P1(1)*wl(2,j)
          x19 = P1(2)*wl(1,j)
          x20 = x18 - x19
          x21 = P1(1)*wl(3,j)
          x22 = P1(3)*wl(1,j)
          x23 = x21 - x22
          x24 = P2(1)*x17 - P2(2)*x23 + P2(3)*x20
          x26 = P2(2)*wl(3,j)
          x27 = P2(3)*wl(2,j)
          x28 = x26 - x27
          x29 = P2(1)*wl(2,j)
          x30 = P2(2)*wl(1,j)
          x31 = x29 - x30
          x32 = P2(3)*x31
          x33 = P2(1)*wl(3,j)
          x34 = P2(3)*wl(1,j)
          x35 = x33 - x34
          x36 = P2(1)*x28 - P2(2)*x35 + x32
          x39 = x37 - x38
          x40 = P1(1)*co(2)*x12
          x45 = x43 - x44
          x46 = P1(3)*co(2)*x12
          x47 = P1(1)**2*co(0)*x12
          x48 = P1(2)**2*co(0)*x12
          x49 = P1(3)**2*co(0)*x12
          x52 = x13*x51
          x54 = x13*x53
          x56 = x13*x55
          x59 = co(2)*x12*(x57 - x58)
          x61 = P1(1)*P2(1)*co(1)*wl(0,j)
          x67 = P1(2)*P2(2)*co(1)*wl(0,j)
          x68 = P1(3)*wl(0,j)
          x69 = co(1)*x68
          x72 = x13*x62
          x73 = x13*x63
          x74 = x13*x64
          x75 = co(1)*x11
          x76 = x60*x75
          x77 = x66*x75
          x78 = P2(0)*co(0)*x4
          x80 = P2(3)*co(0)*x4
          x82 = P1(0)*co(2)*x12
          x83 = P1(0)*wl(2,j)
          x84 = P1(2)*wl(0,j)
          x85 = x83 - x84
          x86 = P1(0)*wl(3,j)
          x87 = -x68 + x86
          x88 = P2(0)*x17 - P2(2)*x87 + P2(3)*x85
          x89 = P2(0)*wl(2,j)
          x90 = P2(2)*wl(0,j)
          x91 = x89 - x90
          x92 = P2(0)*wl(3,j)
          x93 = P2(3)*wl(0,j)
          x94 = x92 - x93
          x95 = P2(0)*x28 - P2(2)*x94 + P2(3)*x91
          x96 = co(2)*x95
          x99 = x97 - x98
          x101 = x100*x4
          x103 = co(2)*x12*(x102 - x79)
          x104 = P1(0)**2*co(0)*x12
          x105 = x13*x65
          x106 = P2(1)*co(0)*x4
          x107 = co(1)*wl(1,j)*x60
          x108 = co(1)*wl(1,j)
          x110 = co(1)*x22
          x112 = x13*x57
          x113 = P2(0)*x23
          x114 = P1(0)*wl(1,j)
          x115 = P1(1)*wl(0,j)
          x116 = x114 - x115
          x117 = P2(3)*x116
          x118 = P2(1)*x87
          x119 = x113 + x117 - x118
          x120 = P2(0)*x35
          x121 = P2(0)*wl(1,j)
          x122 = P2(1)*wl(0,j)
          x123 = x121 - x122
          x124 = P2(3)*x123
          x125 = P2(1)*x94
          x126 = x120 + x124 - x125
          x128 = x127*x4
          x131 = co(2)*x12*(x129 - x130)
          x132 = P2(2)*co(0)*x4
          x133 = P1(1)*P2(1)*co(1)*wl(2,j)
          x134 = co(1)*wl(2,j)
          x136 = P1(3)*P2(3)*co(1)*wl(2,j)
          x138 = x13*x37
          x139 = co(2)*(P2(0)*x20 - P2(1)*x85 + P2(2)*x116)
          x140 = P2(0)*x31
          x141 = -P2(1)*x91 + P2(2)*x123 + x140
          x143 = x142*x4
          x144 = x13*x79
          x145 = co(1)*x33
          x146 = x145*x60
          x147 = x145*x66
          x148 = co(1)*wl(3,j)
          x149 = P1(3)*P2(3)*co(1)*wl(3,j)
          x151 = co(0)*x11
          x152 = -x14
          x153 = x152 + x52 + x54 + x56 + x72 + x73
          x155 = x129*x13
          x156 = P2(0)*x106
          x157 = co(0)*x121
          x158 = co(1)*x122
          x159 = x13*x130
          x160 = co(2)*x28
          x161 = x160*x62 + x160*x63 + x160*x64 - x160*x65
          x163 = co(1)*x90
          x164 = x13*x97
          x165 = P2(2)*x78
          x166 = co(0)*x89
          x167 = x13*x98
          x168 = co(2)*x35
          x169 = x168*x62 + x168*x63 + x168*x64 - x168*x65
          x171 = x102*x13
          x172 = P2(3)*x78
          x173 = co(0)*x92
          x174 = co(1)*x93
          x175 = co(2)*x31
          x176 = co(2)*x32
          x177 = co(2)*x140
          x178 = -P1(0)*x177 + P1(3)*x176 + x175*x62 + x175*x63
          x179 = co(1)*x121
          x180 = co(0)*x122
          x181 = co(0)*x8
          x182 = co(1)*x8
          x183 = -x105
          x184 = x152 + x183 + x52 + x54 + x56 + x74
          x185 = co(1)*x30
          x186 = x13*x43
          x187 = P2(2)*x106
          x188 = co(0)*x29
          x189 = x13*x44
          x190 = co(2)*x94
          x191 = x190*x62 + x190*x63 + x190*x64 - x190*x65
          x192 = P2(3)*x106
          x193 = co(0)*x33
          x194 = co(1)*x34
          x195 = x13*x58
          x196 = co(2)*x91
          x197 = x196*x62 + x196*x63 + x196*x64 - x196*x65
          x198 = co(0)*x90
          x199 = co(1)*x89
          x200 = co(0)*x30
          x201 = co(1)*x29
          x202 = co(0)*x9
          x203 = co(1)*x9
          x204 = co(1)*x27
          x205 = P2(2)*x80
          x206 = co(0)*x26
          x207 = x13*x38
          x208 = co(2)*x123
          x209 = x208*x62 + x208*x63 + x208*x64 - x208*x65
          x210 = co(1)*x92
          x211 = co(0)*x93
          x212 = co(0)*x34
          x213 = co(0)*x27
          x214 = co(1)*x26
          x215 = co(0)*x10
          x216 = co(1)*x10
          x217 = -x13
          x218 = x181 + x202 + x217
          x220 = -x151
          x221 = x13 + x220 + x75
          x225 = co(1)*wl(0,j)
          x226 = P2(3)*x173
          x227 = -wl(0,j)*x6
          x228 = P2(0)*x202 + x227
          x229 = P2(2)*x157
          x230 = P2(1)*x163
          x231 = x12*x170
          x232 = P2(2)*x160 + x231
          x233 = P2(3)*x157
          x234 = -P2(1)*x174
          x235 = x12*x162
          x236 = -x235
          x237 = P2(3)*x160 + x236
          x238 = P2(0)*x188
          x239 = P2(1)*x168 + x231
          x240 = P2(1)*x157
          x241 = P2(3)*x166
          x242 = -P2(3)*x163
          x243 = x12*x154
          x244 = -P2(3)*x168 + x243
          x245 = P2(0)*x193
          x246 = P2(1)*x175 + x235
          x247 = P2(0)*x206
          x248 = P2(2)*x175 - x243
          x249 = P2(3)*x193
          x250 = wl(1,j)*x100
          x251 = P2(2)*x188 + x250
          x252 = P2(2)*x179
          x253 = P2(1)*x198
          x254 = P2(3)*x179
          x255 = -P2(1)*x211
          x256 = x13 + x181 - x182
          x257 = x215 + x217 + x220
          x258 = -P2(0)*x190 + x231
          x259 = -P2(1)*x151
          x260 = P2(3)*x188
          x261 = P2(3)*x185
          x262 = x12*x150
          x263 = -P2(3)*x190 + x262
          x264 = P2(0)*x196 + x236
          x265 = P2(1)*x206
          x266 = -P2(2)*x196 + x262
          x267 = P2(1)*x200
          x268 = wl(2,j)*x127
          x269 = P2(3)*x206 + x268
          x270 = P2(0)*x201
          x271 = P2(3)*x199
          x272 = -P2(3)*x198
          x273 = -P2(2)*x151
          x274 = P2(3)*x201
          x275 = P2(3)*x200
          x276 = x13 + x202 - x203
          x277 = -P2(0)*x208 + x243
          x278 = -P2(1)*x208 + x262
          x279 = P2(3)*x202
          x280 = wl(3,j)*x142
          x281 = P2(1)*x212 + x280
          x282 = P2(0)*x145
          x283 = P2(0)*x214
          x284 = -P2(3)*x151
          x285 = P2(1)*x214
          x286 = x13 + x215 - x216
          wp(0,j) = x81*(P1(0)*x14 - P1(0)*x52 - P1(0)*x54 - P1(0)*x56 + P1(0)*&
                    x7 - P1(0)*x72 - P1(0)*x73 - P1(0)*x74 - P1(0)*x76 - P1(0)*&
                    x77 - P1(2)*x59 + P2(0)*x47 + P2(0)*x48 + P2(0)*x49 + x24* &
                    x25 + x24*x41 + x24*x42 - x24*x50 + x25*x36 + x36*x41 + x36&
                    *x42 - x36*x50 + x39*x40 + x45*x46 + x60*x61 + x60*x67 +   &
                    x61*x66 - x62*x78 - x63*x78 + x66*x67 + x69*x70 + x69*x71  &
                     - x79*x80)
          wp(1,j) = x81*(P1(1)*P2(1)*x108*x66 - P1(1)*x101 + P1(1)*x105 + P1(1 &
                    )*x14 - P1(1)*x52 - P1(1)*x54 - P1(1)*x56 - P1(1)*x73 - P1(&
                    2)*x103 - P1(3)*x112 - P2(1)*x104 + P2(1)*x48 + P2(1)*x49  &
                     - x106*x63 - x106*x64 + x106*x65 + x107*x62 + x107*x63 -  &
                    x107*x65 + x108*x109 - x108*x111 + x110*x70 + x110*x71 +   &
                    x25*x88 + x39*x82 + x41*x88 + x41*x95 + x42*x88 + x46*x99  &
                     - x50*x88 - x50*x95 + x62*x96 + x64*x96)
          wp(2,j) = x81*(-P1(0)*x59 + P1(1)*x103 + P1(2)*x105 - P1(2)*x128 + P1&
                    (2)*x14 - P1(2)*x52 - P1(2)*x54 - P1(2)*x56 - P1(2)*x72 -  &
                    P1(3)*x131 - P1(3)*x138 - P2(2)*x104 + P2(2)*x47 + P2(2)*  &
                    x49 + x109*x134 - x111*x134 - x119*x25 - x119*x41 - x119*  &
                    x42 + x119*x50 - x126*x25 - x126*x41 - x126*x42 + x126*x50 &
                     - x132*x62 - x132*x64 + x132*x65 + x133*x60 + x133*x66 +  &
                    x134*x135 - x134*x137 + x136*x60 + x136*x66)
          wp(3,j) = x81*(P1(0)*x144 + P1(1)*x146 + P1(1)*x147 + P1(2)*x131 + P1&
                    (3)*x14 - P1(3)*x143 - P1(3)*x52 - P1(3)*x54 - P1(3)*x56 - &
                    P1(3)*x72 - P1(3)*x73 - P2(3)*x104 + P2(3)*x47 + P2(3)*x48 &
                     - x106*x57 + x109*x148 - x111*x148 + x135*x148 - x137*x148&
                     + x139*x62 + x139*x63 + x139*x64 - x139*x65 + x141*x25 +  &
                    x141*x41 + x141*x42 - x141*x50 + x149*x60 + x149*x66 - x40*&
                    x99 + x45*x82 - x63*x80 + x65*x80)
          if(rankInc .lt. 1) cycle
          sp2(0,0) = co(1)*x3*x81 - x150*x24*x81 - x150*x36*x81 + x151*x66*x81 &
                      - x153*x81 + x7*x81 - x74*x81 - x76*x81 - x77*x81
          sp2(0,1) = co(1)*x115*x81 - x154*x24*x81 - x154*x36*x81 + x155*x81 + &
                     x156*x81 + x157*x66*x81 - x158*x60*x81 - x158*x66*x81 - 2*&
                     x159*x81 + x161*x81
          sp2(0,2) = co(1)*x81*x84 - x162*x24*x81 - x162*x36*x81 - x163*x60*x81&
                      - x163*x66*x81 + x164*x81 + x165*x81 + x166*x66*x81 - 2* &
                     x167*x81 - x169*x81
          sp2(0,3) = -2*x144*x81 - x170*x24*x81 - x170*x36*x81 + x171*x81 +    &
                     x172*x81 + x173*x66*x81 - x174*x60*x81 - x174*x66*x81 +   &
                     x178*x81 + x69*x81
          sp2(1,0) = co(1)*x114*x81 - x150*x81*x88 - x150*x81*x95 - 2*x155*x81 &
                      + x156*x81 + x159*x81 - x161*x81 - x179*x60*x81 - x179*  &
                     x66*x81 + x180*x66*x81
          sp2(1,1) = co(1)*x0*x81 + x101*x81 - x154*x81*x88 - x154*x81*x95 +   &
                     x181*x66*x81 - x182*x60*x81 - x182*x66*x81 + x184*x81 +   &
                     x73*x81
          sp2(1,2) = co(1)*x19*x81 - x162*x81*x88 - x162*x81*x95 - x185*x60*x81&
                      - x185*x66*x81 + x186*x81 + x187*x81 + x188*x66*x81 - 2* &
                     x189*x81 - x191*x81
          sp2(1,3) = x110*x81 + x112*x81 - x170*x81*x88 - x170*x81*x95 + x192* &
                     x81 + x193*x66*x81 - x194*x60*x81 - x194*x66*x81 - 2*x195*&
                     x81 + x197*x81
          sp2(2,0) = co(1)*x81*x83 + x119*x150*x81 + x126*x150*x81 - 2*x164*x81&
                      + x165*x81 + x167*x81 + x169*x81 + x198*x66*x81 - x199*  &
                     x60*x81 - x199*x66*x81
          sp2(2,1) = co(1)*x18*x81 + x119*x154*x81 + x126*x154*x81 - 2*x186*x81&
                      + x187*x81 + x189*x81 + x191*x81 + x200*x66*x81 - x201*  &
                     x60*x81 - x201*x66*x81
          sp2(2,2) = co(1)*x1*x81 + x119*x162*x81 + x126*x162*x81 + x128*x81 + &
                     x184*x81 + x202*x66*x81 - x203*x60*x81 - x203*x66*x81 +   &
                     x72*x81
          sp2(2,3) = co(1)*x16*x81 + x113*x170*x81 + x117*x170*x81 - x118*x170*&
                     x81 + x120*x170*x81 + x124*x170*x81 - x125*x170*x81 + x138&
                     *x81 - x204*x60*x81 - x204*x66*x81 + x205*x81 + x206*x66* &
                     x81 - 2*x207*x81 - x209*x81
          sp2(3,0) = -P2(0)*x139*x81 + co(1)*x81*x86 - x141*x150*x81 + x144*x81&
                      - 2*x171*x81 + x172*x81 - x178*x81 - x210*x60*x81 - x210*&
                     x66*x81 + x211*x66*x81
          sp2(3,1) = -P2(1)*x139*x81 + co(1)*x21*x81 - 2*x112*x81 - x141*x154* &
                     x81 - x146*x81 - x147*x81 + x192*x81 + x195*x81 - x197*x81&
                      + x212*x66*x81
          sp2(3,2) = -P2(2)*x139*x81 + co(1)*x15*x81 - 2*x138*x81 - x141*x162* &
                     x81 + x205*x81 + x207*x81 + x209*x81 + x213*x66*x81 - x214&
                     *x60*x81 - x214*x66*x81
          sp2(3,3) = -P2(3)*x139*x81 + co(1)*x2*x81 - x141*x170*x81 + x143*x81 &
                      + x153*x81 + x183*x81 + x215*x66*x81 - x216*x60*x81 -    &
                     x216*x66*x81
          sp3(0,0,0) = -x215*x219 - x218*x219 + x219*x75
          sp3(0,0,1) = x221*x222
          sp3(0,0,2) = x221*x223
          sp3(0,0,3) = x221*x224
          sp3(0,1,0) = -x157*x219 + x158*x219 - x160*x219
          sp3(0,1,1) = -P2(1)*x160*x81 + x225*x51*x81 + x226*x81 + x228*x81
          sp3(0,1,2) = -x229*x81 + x230*x81 - x232*x81
          sp3(0,1,3) = -x233*x81 - x234*x81 - x237*x81
          sp3(0,2,0) = x163*x219 - x166*x219 + x168*x219
          sp3(0,2,1) = x230*x81 - x238*x81 + x239*x81
          sp3(0,2,2) = P2(2)*x168*x81 + x225*x53*x81 + x226*x81 + x227*x81 +   &
                       x240*x81
          sp3(0,2,3) = -x241*x81 - x242*x81 - x244*x81
          sp3(0,3,0) = -x173*x219 + x174*x219 - x175*x219
          sp3(0,3,1) = -x234*x81 - x245*x81 - x246*x81
          sp3(0,3,2) = -x242*x81 - x247*x81 - x248*x81
          sp3(0,3,3) = -x176*x81 + x225*x55*x81 + x228*x81 + x240*x81
          sp3(1,0,0) = P2(0)*x160*x81 + x108*x5*x81 - x249*x81 - x251*x81
          sp3(1,0,1) = x160*x222 + x179*x222 - x180*x222
          sp3(1,0,2) = x232*x81 + x252*x81 - x253*x81
          sp3(1,0,3) = x237*x81 + x254*x81 + x255*x81
          sp3(1,1,0) = -x219*x256
          sp3(1,1,1) = x182*x222 + x202*x222 + x222*x257
          sp3(1,1,2) = -x223*x256
          sp3(1,1,3) = -x224*x256
          sp3(1,2,0) = -x238*x81 + x252*x81 - x258*x81
          sp3(1,2,1) = x185*x222 - x188*x222 + x190*x222
          sp3(1,2,2) = P2(2)*x190*x81 + x108*x53*x81 + x249*x81 + x250*x81 +   &
                       x259*x81
          sp3(1,2,3) = -x260*x81 + x261*x81 - x263*x81
          sp3(1,3,0) = -x245*x81 + x254*x81 - x264*x81
          sp3(1,3,1) = -x193*x222 + x194*x222 - x196*x222
          sp3(1,3,2) = x261*x81 - x265*x81 + x266*x81
          sp3(1,3,3) = -P2(3)*x196*x81 + x108*x55*x81 + x251*x81 + x259*x81
          sp3(2,0,0) = -P2(0)*x168*x81 + x134*x5*x81 - x267*x81 - x269*x81
          sp3(2,0,1) = -x239*x81 - x253*x81 + x270*x81
          sp3(2,0,2) = -x168*x223 - x198*x223 + x199*x223
          sp3(2,0,3) = x244*x81 + x271*x81 + x272*x81
          sp3(2,1,0) = -x229*x81 + x258*x81 + x270*x81
          sp3(2,1,1) = -co(2)*x125*x81 + x134*x51*x81 + x269*x81 + x273*x81
          sp3(2,1,2) = -x190*x223 - x200*x223 + x201*x223
          sp3(2,1,3) = x263*x81 + x274*x81 - x275*x81
          sp3(2,2,0) = -x219*x276
          sp3(2,2,1) = -x222*x276
          sp3(2,2,2) = x181*x223 + x203*x223 + x223*x257
          sp3(2,2,3) = -x224*x276
          sp3(2,3,0) = -x247*x81 + x271*x81 - x277*x81
          sp3(2,3,1) = -x265*x81 + x274*x81 - x278*x81
          sp3(2,3,2) = x204*x223 - x206*x223 + x208*x223
          sp3(2,3,3) = P2(3)*x208*x81 + x134*x55*x81 + x267*x81 + x268*x81 +   &
                       x273*x81
          sp3(3,0,0) = x148*x5*x81 + x177*x81 - x279*x81 - x281*x81
          sp3(3,0,1) = x246*x81 + x255*x81 + x282*x81
          sp3(3,0,2) = x248*x81 + x272*x81 + x283*x81
          sp3(3,0,3) = x175*x224 + x210*x224 - x211*x224
          sp3(3,1,0) = -x233*x81 + x264*x81 + x282*x81
          sp3(3,1,1) = P2(1)*x196*x81 + x148*x51*x81 + x279*x81 + x280*x81 +   &
                       x284*x81
          sp3(3,1,2) = -x266*x81 - x275*x81 + x285*x81
          sp3(3,1,3) = x145*x224 + x196*x224 - x212*x224
          sp3(3,2,0) = -x241*x81 + x277*x81 + x283*x81
          sp3(3,2,1) = -x260*x81 + x278*x81 + x285*x81
          sp3(3,2,2) = -P2(2)*x208*x81 + x148*x53*x81 + x281*x81 + x284*x81
          sp3(3,2,3) = -x208*x224 - x213*x224 + x214*x224
          sp3(3,3,0) = -x219*x286
          sp3(3,3,1) = -x222*x286
          sp3(3,3,2) = -x223*x286
          sp3(3,3,3) = x216*x224 + x218*x224 + x220*x224
          do mu = 0, 3
            riOut = incRI(mu, j)
            wp(:,riOut) = wp(:,riOut) + sp2(:,mu)
            if(rankInc .lt. 2) cycle
            do nu = 0, 3
              riOut = incRI(nu, incRI(mu, j))
              wp(:,riOut) = wp(:,riOut) + sp3(:,nu,mu)
            end do 
          end do 
        end do 
      case(VSV4)
!       c0*(P(1,2)*P(3,1) + P(1,3)*P(3,2))
!       c1*(-Metric(1,3)*P(-1,1)*P(-1,2) - Metric(1,3)*P(-1,2)*P(-1,3))
!       c2*(-Epsilon(-1,-2,1,3)*P(-1,1)*P(-2,2) - Epsilon(-1,-2,1,3)*P(-1,2)*P(-2
!       ,3))
        x3 = P1(2)*co(2)
        x5 = P2(1)*co(2)
        x10 = P2(3)*co(2)
        x14 = P2(0)**2
        x16 = P1(1)*co(2)
        x17 = P1(3)*co(2)
        x20 = P2(2)*co(2)
        x21 = P2(1)**2
        x23 = P2(2)**2
        x25 = P2(3)**2
        x35 = P2(1)*co(0)
        x38 = P2(3)*co(0)
        x39 = cima*w2(0)
        x42 = P2(0)*co(2)
        x46 = P1(0)*co(2)
        x60 = P1(2)*co(0)
        x65 = P1(3)*co(0)
        x70 = cima*co(0)*w2(0)
        x71 = 2*co(2)
        do j = riMaxIn, 0, -1
          x0 = P2(1)*wl(3,j)
          x1 = P2(3)*wl(1,j)
          x2 = x0 - x1
          x4 = P1(2)*wl(3,j) - P1(3)*wl(2,j)
          x6 = P2(2)*wl(3,j)
          x7 = P2(3)*wl(2,j)
          x8 = x6 - x7
          x9 = P1(1)*wl(2,j) - P1(2)*wl(1,j)
          x11 = P2(1)*wl(2,j)
          x12 = P2(2)*wl(1,j)
          x13 = x11 - x12
          x15 = co(1)*x14
          x18 = P1(1)*wl(3,j)
          x19 = -P1(3)*wl(1,j) + x18
          x22 = co(1)*x21
          x24 = co(1)*x23
          x26 = co(1)*x25
          x27 = P2(0)*wl(1,j)
          x28 = co(0)*x27
          x29 = P2(0)*wl(2,j)
          x30 = co(0)*x29
          x31 = P2(0)*wl(3,j)
          x32 = co(0)*x31
          x33 = P2(2)*co(0)*wl(2,j)
          x34 = P1(0)*wl(1,j)
          x36 = P1(0)*wl(2,j)
          x37 = P1(0)*wl(3,j)
          x40 = P2(3)*wl(0,j)
          x41 = x31 - x40
          x43 = -P1(2)*wl(0,j) + x36
          x44 = P2(2)*wl(0,j)
          x45 = x29 - x44
          x47 = -P1(3)*wl(0,j) + x37
          x48 = P2(0)*co(0)*wl(0,j)
          x49 = co(0)*x11
          x50 = co(0)*x0
          x51 = P2(3)*wl(3,j)
          x52 = P2(1)*wl(0,j)
          x53 = co(0)*x52
          x54 = P2(0)*wl(0,j)
          x55 = -P1(1)*wl(0,j) + x34
          x56 = x27 - x52
          x57 = wl(2,j)*x23
          x58 = co(0)*x44
          x59 = P2(1)*co(0)*wl(1,j)
          x61 = co(0)*x12
          x62 = co(0)*x6
          x63 = co(0)*x1
          x64 = co(0)*x7
          x66 = P2(2)*wl(2,j)
          x67 = co(0)*x40
          x68 = P2(1)*wl(1,j)
          x69 = x51 + x68
          x72 = x6*x71
          x73 = x7*x71
          x74 = x1*x71
          x75 = x0*x71
          x76 = x11*x71
          x77 = x12*x71
          x78 = -x54
          x79 = x66 + x78
          x80 = x40*x71
          x81 = x31*x71
          x82 = x29*x71
          x83 = x44*x71
          x84 = x52*x71
          x85 = x27*x71
          wp(0,j) = -x39*(P1(1)*x28 + P1(2)*x30 + P1(3)*x32 + P2(0)*x33 + P2(1 &
                    )*x28 - P2(2)*co(0)*x36 + P2(3)*x32 - co(0)*wl(0,j)*x14 +  &
                    wl(0,j)*x15 - wl(0,j)*x22 - wl(0,j)*x24 - wl(0,j)*x26 + x10&
                    *x13 + x10*x9 - x13*x17 - x16*x8 - x19*x20 - x2*x20 + x2*x3&
                     - x34*x35 - x37*x38 + x4*x5 + x5*x8)
          wp(1,j) = -x39*(-P1(0)*x53 - P1(1)*x33 + P1(1)*x48 + P1(2)*x49 + P1(3&
                    )*x50 + P2(2)*x49 + co(0)*wl(1,j)*x21 + wl(1,j)*x15 - wl(1,&
                    j)*x22 - wl(1,j)*x24 - wl(1,j)*x26 + x10*x43 + x10*x45 -   &
                    x17*x45 - x18*x38 - x20*x41 - x20*x47 + x3*x41 + x35*x51 - &
                    x35*x54 + x4*x42 + x42*x8 - x46*x8)
          wp(2,j) = x39*(P1(0)*x58 - P1(1)*x61 + P1(2)*x59 - P1(3)*x62 - P2(1)*&
                    x61 + P2(2)*x48 - P2(3)*x62 - co(0)*x57 + co(1)*x57 - wl(2,&
                    j)*x15 + wl(2,j)*x22 + wl(2,j)*x26 + x10*x55 + x10*x56 +   &
                    x16*x41 - x17*x56 + x19*x42 + x2*x42 - x2*x46 - x41*x5 -   &
                    x47*x5 + x51*x60 - x54*x60)
          wp(3,j) = -x39*(-P1(0)*x67 + P1(1)*x63 + P1(2)*x64 - P1(3)*x59 + P2(3&
                    )*x59 + co(0)*wl(3,j)*x25 + wl(3,j)*x15 - wl(3,j)*x22 - wl(&
                    3,j)*x24 - wl(3,j)*x26 + x13*x42 - x13*x46 + x16*x45 + x20*&
                    x55 + x20*x56 - x3*x56 - x38*x54 + x38*x66 + x42*x9 - x43* &
                    x5 - x45*x5 + x54*x65 - x65*x66)
          if(rankInc .lt. 1) cycle
          sp2(0,0) = x66*x70 + x69*x70
          sp2(0,1) = x28*x39 - x39*x72 + x39*x73
          sp2(0,2) = x30*x39 - x39*x74 + x39*x75
          sp2(0,3) = x32*x39 - x39*x76 + x39*x77
          sp2(1,0) = x39*x53 + x39*x72 - x39*x73
          sp2(1,1) = -x51*x70 - x70*x79
          sp2(1,2) = x39*x49 - x39*x80 + x39*x81
          sp2(1,3) = x39*x50 - x39*x82 + x39*x83
          sp2(2,0) = x39*x58 + x39*x74 - x39*x75
          sp2(2,1) = x39*x61 + x39*x80 - x39*x81
          sp2(2,2) = -x69*x70 - x70*x78
          sp2(2,3) = x39*x62 - x39*x84 + x39*x85
          sp2(3,0) = x39*x67 + x39*x76 - x39*x77
          sp2(3,1) = x39*x63 + x39*x82 - x39*x83
          sp2(3,2) = x39*x64 + x39*x84 - x39*x85
          sp2(3,3) = -x68*x70 - x70*x79
          do mu = 0, 3
            riOut = incRI(mu, j)
            wp(:,riOut) = wp(:,riOut) + sp2(:,mu)
          end do 
        end do 
      case(VSV5)
!       P(1,2)*P(3,1)*c0
!       P(1,3)*P(3,2)*c1
!       -Metric(1,3)*P(-1,1)*P(-1,2)*c2
!       -Metric(1,3)*P(-1,2)*P(-1,3)*c3
!       Epsilon(-1,-2,1,3)*P(-1,2)*P(-2,3)*c4
!       -Epsilon(-1,-2,1,3)*P(-1,1)*P(-2,2)*c5
        x3 = P1(1)*co(5)
        x7 = P1(3)*co(5)
        x11 = P2(1)*co(4)
        x15 = P2(3)*co(4)
        x16 = P2(0)**2
        x17 = P2(1)**2
        x19 = P2(2)**2
        x21 = P2(3)**2
        x25 = P1(2)*co(5)
        x29 = P2(2)*co(4)
        x35 = P2(1)*co(0)
        x37 = P2(2)*co(0)
        x39 = P2(3)*co(0)
        x51 = cima*w2(0)
        x52 = P1(0)*co(5)
        x55 = P2(0)*co(4)
        x63 = P2(0)*co(2)
        x71 = P2(0)*co(3)
        x73 = P2(0)*co(0)
        do j = riMaxIn, 0, -1
          x0 = P2(2)*wl(3,j)
          x1 = P2(3)*wl(2,j)
          x2 = x0 - x1
          x4 = P2(1)*wl(2,j)
          x5 = P2(2)*wl(1,j)
          x6 = x4 - x5
          x8 = P1(2)*wl(3,j)
          x9 = P1(3)*wl(2,j)
          x10 = x8 - x9
          x12 = P1(1)*wl(2,j)
          x13 = P1(2)*wl(1,j)
          x14 = x12 - x13
          x18 = co(3)*wl(0,j)
          x20 = co(3)*x19
          x22 = P2(1)*wl(3,j)
          x23 = P2(3)*wl(1,j)
          x24 = x22 - x23
          x26 = P1(1)*wl(3,j)
          x27 = P1(3)*wl(1,j)
          x28 = x26 - x27
          x30 = co(3)*x16
          x31 = P2(0)*wl(0,j)
          x32 = co(1)*x31
          x33 = co(2)*x31
          x34 = P1(0)*wl(1,j)
          x36 = P1(0)*wl(2,j)
          x38 = P1(0)*wl(3,j)
          x40 = P1(1)*P2(1)*wl(0,j)
          x41 = P1(2)*P2(2)*wl(0,j)
          x42 = P1(3)*P2(3)*wl(0,j)
          x43 = co(0)*x31
          x44 = co(3)*x31
          x45 = P2(0)*wl(1,j)
          x46 = co(1)*x45
          x47 = P2(0)*wl(2,j)
          x48 = co(1)*x47
          x49 = P2(0)*wl(3,j)
          x50 = co(1)*x49
          x53 = P2(2)*wl(0,j)
          x54 = x47 - x53
          x56 = P1(2)*wl(0,j)
          x57 = x36 - x56
          x58 = co(3)*wl(1,j)
          x59 = P2(3)*wl(0,j)
          x60 = x49 - x59
          x61 = P1(3)*wl(0,j)
          x62 = x38 - x61
          x64 = P2(1)*wl(0,j)
          x65 = co(1)*x64
          x66 = P2(1)*wl(1,j)
          x67 = co(0)*x66
          x68 = co(3)*x66
          x69 = co(3)*x5
          x70 = P1(3)*P2(3)*wl(1,j)
          x72 = P1(1)*wl(0,j)
          x74 = co(1)*x66
          x75 = co(2)*x66
          x76 = co(1)*x4
          x77 = co(2)*x5
          x78 = co(1)*x22
          x79 = x45 - x64
          x80 = x34 - x72
          x81 = co(1)*wl(2,j)
          x82 = co(3)*wl(2,j)
          x83 = co(2)*x4
          x84 = co(1)*x5
          x85 = P2(2)*x81
          x86 = P2(2)*wl(2,j)
          x87 = co(2)*x86
          x88 = co(1)*x0
          x89 = co(2)*x1
          x90 = co(1)*x53
          x91 = co(3)*x4
          x92 = co(0)*x86
          x93 = P2(2)*x82
          x94 = co(3)*x1
          x95 = co(3)*wl(3,j)
          x96 = co(1)*wl(3,j)
          x97 = co(2)*x49
          x98 = co(1)*x59
          x99 = P1(1)*P2(1)*wl(3,j)
          x100 = co(3)*x0
          x101 = P2(3)*wl(3,j)
          x102 = co(0)*x101
          x103 = P2(3)*x95
          x104 = co(3)*x49
          x105 = co(1)*x23
          x106 = co(2)*x0
          x107 = co(1)*x1
          x108 = P2(3)*x96
          x109 = co(2)*x101
          x110 = x102 - x43 + x67 + x92
          x111 = co(4)*x0
          x112 = co(5)*x1
          x113 = co(5)*x0
          x114 = co(4)*x1
          x115 = co(5)*x22
          x116 = co(4)*x23
          x117 = co(4)*x22
          x118 = co(5)*x23
          x119 = co(4)*x4
          x120 = co(5)*x5
          x121 = co(5)*x4
          x122 = co(4)*x5
          x123 = co(5)*x49
          x124 = co(4)*x59
          x125 = co(4)*x49
          x126 = co(5)*x59
          x127 = co(4)*x47
          x128 = co(5)*x53
          x129 = co(5)*x47
          x130 = co(4)*x53
          x131 = co(5)*x45
          x132 = co(4)*x64
          x133 = co(4)*x45
          x134 = co(5)*x64
          wp(0,j) = x51*(P1(0)*x32 + P1(0)*x33 - P1(0)*x43 - P1(0)*x44 - P1(1)*&
                    x46 - P1(2)*x48 - P1(3)*x50 - P2(1)*x46 - P2(2)*x48 - P2(3 &
                    )*x50 + co(1)*wl(0,j)*x16 - co(2)*x40 - co(2)*x41 - co(2)* &
                    x42 + co(3)*x40 + co(3)*x41 + co(3)*x42 + wl(0,j)*x20 - wl(&
                    0,j)*x30 + x10*x11 + x11*x2 + x14*x15 + x15*x6 + x17*x18 + &
                    x18*x21 + x2*x3 - x24*x25 - x24*x29 - x28*x29 + x34*x35 +  &
                    x36*x37 + x38*x39 + x6*x7)
          wp(1,j) = x51*(P1(0)*x65 + P1(1)*x67 + P1(1)*x68 - P1(1)*x74 - P1(1)*&
                    x75 + P1(2)*x69 - P1(2)*x76 - P1(2)*x77 - P1(3)*x78 + P2(0 &
                    )*x65 - P2(2)*x76 - P2(3)*x78 - co(1)*wl(1,j)*x17 - co(2)* &
                    x70 + co(3)*x70 + wl(1,j)*x20 - wl(1,j)*x30 + x10*x55 + x12&
                    *x37 + x15*x54 + x15*x57 + x17*x58 + x2*x52 + x2*x55 + x21*&
                    x58 - x25*x60 + x26*x39 - x29*x60 - x29*x62 + x34*x63 - x34&
                    *x71 + x54*x7 - x72*x73)
          wp(2,j) = -x51*(-P1(0)*x90 + P1(1)*x83 + P1(1)*x84 - P1(1)*x91 + P1(2&
                    )*x85 + P1(2)*x87 - P1(2)*x92 - P1(2)*x93 + P1(3)*x88 + P1(&
                    3)*x89 - P1(3)*x94 - P2(0)*x90 + P2(1)*x84 + P2(3)*x88 -   &
                    x11*x60 - x11*x62 - x13*x35 + x15*x79 + x15*x80 + x16*x82  &
                     - x17*x82 + x19*x81 - x19*x82 - x21*x82 + x24*x52 + x24*  &
                    x55 + x28*x55 - x3*x60 - x36*x63 + x36*x71 - x39*x8 + x56* &
                    x73 + x7*x79)
          wp(3,j) = x51*(-P1(0)*x104 + P1(0)*x97 + P1(0)*x98 - P1(1)*x105 + P1(&
                    2)*x100 - P1(2)*x106 - P1(2)*x107 + P1(3)*x102 + P1(3)*x103&
                     - P1(3)*x108 - P1(3)*x109 + P2(0)*x98 - P2(1)*x105 - P2(2 &
                    )*x107 - co(2)*x99 + co(3)*x99 + wl(3,j)*x20 - x11*x54 -   &
                    x11*x57 + x14*x55 - x16*x95 + x17*x95 + x21*x95 - x21*x96  &
                     + x25*x79 + x27*x35 + x29*x79 + x29*x80 - x3*x54 + x37*x9 &
                     + x52*x6 + x55*x6 - x61*x73)
          if(rankInc .lt. 1) cycle
          sp2(0,0) = x110*x51 + x32*x51 + x33*x51 - x44*x51
          sp2(0,1) = co(2)*x51*x64 - co(3)*x51*x64 + x111*x51 + x112*x51 - x113&
                     *x51 - x114*x51 + x46*x51
          sp2(0,2) = co(2)*x51*x53 - co(3)*x51*x53 + x115*x51 + x116*x51 - x117&
                     *x51 - x118*x51 + x48*x51
          sp2(0,3) = co(2)*x51*x59 - co(3)*x51*x59 + x119*x51 + x120*x51 - x121&
                     *x51 - x122*x51 + x50*x51
          sp2(1,0) = co(2)*x45*x51 - co(3)*x45*x51 - x111*x51 - x112*x51 + x113&
                     *x51 + x114*x51 + x51*x65
          sp2(1,1) = -x110*x51 - x51*x68 + x51*x74 + x51*x75
          sp2(1,2) = x123*x51 + x124*x51 - x125*x51 - x126*x51 - x51*x69 + x51*&
                     x76 + x51*x77
          sp2(1,3) = co(2)*x23*x51 - co(3)*x23*x51 + x127*x51 + x128*x51 - x129&
                     *x51 - x130*x51 + x51*x78
          sp2(2,0) = co(2)*x47*x51 - co(3)*x47*x51 - x115*x51 - x116*x51 + x117&
                     *x51 + x118*x51 + x51*x90
          sp2(2,1) = -x123*x51 - x124*x51 + x125*x51 + x126*x51 + x51*x83 + x51&
                     *x84 - x51*x91
          sp2(2,2) = -x110*x51 + x51*x85 + x51*x87 - x51*x93
          sp2(2,3) = x131*x51 + x132*x51 - x133*x51 - x134*x51 + x51*x88 + x51*&
                     x89 - x51*x94
          sp2(3,0) = -x104*x51 - x119*x51 - x120*x51 + x121*x51 + x122*x51 +   &
                     x51*x97 + x51*x98
          sp2(3,1) = co(2)*x22*x51 - co(3)*x22*x51 + x105*x51 - x127*x51 - x128&
                     *x51 + x129*x51 + x130*x51
          sp2(3,2) = -x100*x51 + x106*x51 + x107*x51 - x131*x51 - x132*x51 +   &
                     x133*x51 + x134*x51
          sp2(3,3) = -x103*x51 + x108*x51 + x109*x51 - x110*x51
          do mu = 0, 3
            riOut = incRI(mu, j)
            wp(:,riOut) = wp(:,riOut) + sp2(:,mu)
          end do 
        end do 
      case(VSV6)
!       P(1,2)*P(3,1)*c0
!       Metric(1,3)*P(-1,1)*P(-1,2)*c1
!       Epsilon(-1,-2,1,3)*P(-1,1)*P(-2,2)*c2
        x3 = P1(2)*co(2)
        x7 = P1(1)*co(2)
        x26 = cima*w2(0)
        x29 = P1(0)*co(2)
        x32 = P1(3)*co(2)
        do j = riMaxIn, 0, -1
          x0 = P2(1)*wl(3,j)
          x1 = P2(3)*wl(1,j)
          x2 = x0 - x1
          x4 = P2(2)*wl(3,j)
          x5 = P2(3)*wl(2,j)
          x6 = x4 - x5
          x8 = P2(1)*wl(2,j)
          x9 = P2(2)*wl(1,j)
          x10 = co(2)*(x8 - x9)
          x11 = P2(1)*wl(1,j)
          x12 = co(0)*x11
          x13 = P2(2)*wl(2,j)
          x14 = co(0)*x13
          x15 = P2(3)*wl(3,j)
          x16 = co(0)*x15
          x17 = P2(1)*wl(0,j)
          x18 = co(1)*x17
          x19 = P2(2)*wl(0,j)
          x20 = co(1)*x19
          x21 = P2(3)*wl(0,j)
          x22 = co(1)*x21
          x23 = P2(0)*wl(0,j)
          x24 = co(0)*x23
          x25 = co(1)*x23
          x27 = P2(0)*wl(3,j)
          x28 = -x21 + x27
          x30 = P2(0)*wl(2,j)
          x31 = -x19 + x30
          x33 = co(1)*x11
          x34 = co(1)*x9
          x35 = co(1)*x1
          x36 = P2(0)*wl(1,j)
          x37 = co(1)*x36
          x38 = -x17 + x36
          x39 = co(1)*x8
          x40 = co(1)*x13
          x41 = co(1)*x5
          x42 = co(1)*x30
          x43 = co(1)*x0
          x44 = co(1)*x4
          x45 = co(1)*x15
          x46 = co(1)*x27
          x47 = x12 + x14 + x16 - x24
          x48 = co(2)*x5
          x49 = co(2)*x4
          x50 = co(2)*x0
          x51 = co(2)*x1
          x52 = co(2)*x9
          x53 = co(2)*x8
          x54 = co(2)*x27
          x55 = co(2)*x21
          x56 = co(2)*x19
          x57 = co(2)*x30
          x58 = co(2)*x36
          x59 = co(2)*x17
          wp(0,j) = x26*(P1(0)*x12 + P1(0)*x14 + P1(0)*x16 - P1(0)*x24 - P1(0)*&
                    x25 + P1(1)*x18 + P1(2)*x20 - P1(3)*x10 + P1(3)*x22 + x2*x3&
                     - x6*x7)
          wp(1,j) = x26*(-P1(0)*x37 + P1(1)*x12 + P1(1)*x14 + P1(1)*x16 - P1(1 &
                    )*x24 + P1(1)*x33 + P1(2)*x34 + P1(3)*x35 + x28*x3 - x29*x6&
                     - x31*x32)
          wp(2,j) = x26*(-P1(0)*x42 + P1(1)*x39 + P1(2)*x12 + P1(2)*x14 + P1(2 &
                    )*x16 - P1(2)*x24 + P1(2)*x40 + P1(3)*x41 + x2*x29 - x28*x7&
                     + x32*x38)
          wp(3,j) = x26*(-P1(0)*x10 - P1(0)*x46 + P1(1)*x43 + P1(2)*x44 + P1(3 &
                    )*x12 + P1(3)*x14 + P1(3)*x16 - P1(3)*x24 + P1(3)*x45 - x3*&
                    x38 + x31*x7)
          if(rankInc .lt. 1) cycle
          sp2(0,0) = -x25*x26 + x26*x47
          sp2(0,1) = -x18*x26 - x26*x48 + x26*x49
          sp2(0,2) = -x20*x26 - x26*x50 + x26*x51
          sp2(0,3) = -x22*x26 - x26*x52 + x26*x53
          sp2(1,0) = -x26*x37 + x26*x48 - x26*x49
          sp2(1,1) = -x26*x33 - x26*x47
          sp2(1,2) = -x26*x34 - x26*x54 + x26*x55
          sp2(1,3) = -x26*x35 - x26*x56 + x26*x57
          sp2(2,0) = -x26*x42 + x26*x50 - x26*x51
          sp2(2,1) = -x26*x39 + x26*x54 - x26*x55
          sp2(2,2) = -x26*x40 - x26*x47
          sp2(2,3) = -x26*x41 - x26*x58 + x26*x59
          sp2(3,0) = -x26*x46 + x26*x52 - x26*x53
          sp2(3,1) = -x26*x43 + x26*x56 - x26*x57
          sp2(3,2) = -x26*x44 + x26*x58 - x26*x59
          sp2(3,3) = -x26*x45 - x26*x47
          do mu = 0, 3
            riOut = incRI(mu, j)
            wp(:,riOut) = wp(:,riOut) + sp2(:,mu)
          end do 
        end do 
      case(VSV7)
!       c0*(-P(-1,1)*P(-1,2)*P(1,3)*P(3,2) + P(-1,1)*P(-1,3)*P(1,2)*P(3,2) - P(-1
!       ,2)*P(-1,3)*P(1,2)*P(3,1))
!       Metric(1,3)*P(-1,1)*P(-1,2)**2*P(-1,3)*c1
!       c2*(-Epsilon(-1,-2,-3,1)*P(-1,1)*P(-2,2)*P(-3,3)*P(3,2) - Epsilon(-1,-2,1
!       ,3)*P(-1,1)*P(-2,2)*P(-3,2)*P(-3,3))
        x0 = P2(1)**2
        x8 = P2(2)**2
        x10 = P2(3)**2
        x12 = P1(1)*P2(0)
        x34 = P2(0)**2
        x37 = P1(1)*P2(1)
        x38 = P1(2)*P2(2)
        x39 = P1(3)*P2(3)
        x40 = P1(0)*P2(0)
        x43 = P1(2)*P2(0)
        x65 = P1(3)*P2(0)*co(2)
        x97 = P1(3)*P2(0)
        x106 = cima*w2(0)
        x107 = co(0)*x0
        x109 = P1(2)*P2(1)*co(2)
        x111 = P1(3)*P2(1)
        x116 = P1(0)*P2(1)
        x127 = P1(1)*P2(2)
        x129 = co(0)*x8
        x131 = P1(3)*P2(2)*co(2)
        x135 = P1(0)*P2(2)*co(2)
        x140 = P1(2)*P2(3)
        x146 = P1(1)*P2(3)
        x151 = P1(0)*P2(3)
        x157 = P1(3)*P2(2)
        x160 = P1(2)*P2(1)
        x173 = P1(0)*P2(2)
        x246 = P2(0)*cima*w2(0)
        x249 = P2(1)*cima*w2(0)
        x250 = P2(2)*cima*w2(0)
        x251 = P2(3)*cima*w2(0)
        x278 = co(2)*x8
        x282 = co(1)*x8
        x289 = P2(1)*co(2)
        do j = riMaxIn, 0, -1
          x1 = P2(1)*wl(1,j)
          x2 = P2(2)*wl(2,j)
          x3 = P2(3)*wl(3,j)
          x4 = P2(0)*wl(0,j)
          x5 = x1 + x2 + x3 - x4
          x6 = co(0)*x5
          x7 = x0*x6
          x9 = x6*x8
          x11 = x10*x6
          x13 = P1(2)*wl(3,j)
          x14 = P1(3)*wl(2,j)
          x15 = x13 - x14
          x16 = P1(0)*wl(2,j)
          x17 = P1(2)*wl(0,j)
          x18 = x16 - x17
          x19 = P1(0)*wl(3,j)
          x20 = P1(3)*wl(0,j)
          x21 = x19 - x20
          x22 = co(2)*(P2(0)*x15 - P2(2)*x21 + P2(3)*x18)
          x23 = P2(2)*wl(3,j)
          x24 = P2(3)*wl(2,j)
          x25 = x23 - x24
          x26 = P2(0)*wl(2,j)
          x27 = P2(2)*wl(0,j)
          x28 = x26 - x27
          x29 = P2(0)*wl(3,j)
          x30 = P2(3)*wl(0,j)
          x31 = x29 - x30
          x32 = co(2)*(P2(0)*x25 - P2(2)*x31 + P2(3)*x28)
          x33 = -x23 + x24
          x35 = x0 + x10 - x34 + x8
          x36 = P1(1)*co(2)*x35
          x41 = x37 + x38 + x39 - x40
          x42 = P1(1)*co(2)*x41
          x44 = P1(1)*wl(3,j)
          x45 = P1(3)*wl(1,j)
          x46 = x44 - x45
          x47 = P1(0)*wl(1,j)
          x48 = P1(1)*wl(0,j)
          x49 = x47 - x48
          x50 = -P2(0)*x46 + P2(1)*x21 - P2(3)*x49
          x51 = co(2)*x50
          x52 = P2(1)*wl(3,j)
          x53 = P2(3)*wl(1,j)
          x54 = x52 - x53
          x55 = P2(0)*wl(1,j)
          x56 = P2(1)*wl(0,j)
          x57 = x55 - x56
          x58 = -P2(0)*x54 + P2(1)*x31 - P2(3)*x57
          x59 = co(2)*x58
          x60 = P1(2)*co(2)*x54
          x61 = P1(1)*wl(2,j)
          x62 = P1(2)*wl(1,j)
          x63 = x61 - x62
          x64 = P2(0)*x63 - P2(1)*x18 + P2(2)*x49
          x66 = P2(1)*wl(2,j)
          x67 = P2(2)*wl(1,j)
          x68 = x66 - x67
          x69 = P2(0)*x68
          x70 = -P2(1)*x28 + P2(2)*x57 + x69
          x71 = -x66 + x67
          x72 = P1(3)*co(2)*x35
          x73 = P1(3)*co(2)*x41
          x74 = P2(1)*x15 - P2(2)*x46 + P2(3)*x63
          x75 = co(2)*x74
          x76 = P2(3)*x68
          x77 = P2(1)*x25 - P2(2)*x54 + x76
          x78 = co(2)*x77
          x79 = P1(1)*wl(1,j)
          x80 = P1(2)*wl(2,j)
          x81 = P1(3)*wl(3,j)
          x82 = P1(0)*wl(0,j)
          x83 = x79 + x80 + x81 - x82
          x84 = co(0)*x34
          x85 = x83*x84
          x86 = x34*x6
          x87 = P1(1)**2*co(0)*x5
          x88 = P1(2)**2*co(0)*x5
          x89 = P1(3)**2*co(0)*x5
          x90 = x37*x6
          x91 = x38*x6
          x92 = x39*x6
          x93 = co(1)*x4
          x94 = x35*x93
          x95 = x41*x93
          x96 = P2(0)*co(0)*x83
          x98 = P2(3)*co(0)*x83
          x99 = co(1)*x35
          x100 = P1(1)*P2(1)*wl(0,j)
          x101 = co(1)*x41
          x102 = P1(2)*P2(2)*wl(0,j)
          x103 = co(1)*x20
          x104 = P2(3)*x35
          x105 = P2(3)*x41
          x108 = x107*x83
          x110 = P1(2)*co(2)*x31
          x112 = co(2)*x64
          x113 = co(2)*x70
          x114 = -x26 + x27
          x115 = P1(0)**2*co(0)*x5
          x117 = P1(0)*co(2)*x35
          x118 = P1(0)*co(2)*x41
          x119 = co(1)*x55
          x120 = x119*x35
          x121 = x119*x41
          x122 = P2(1)*co(0)*x83
          x123 = x40*x6
          x124 = co(1)*wl(1,j)*x35
          x125 = co(1)*wl(1,j)*x41
          x126 = co(1)*x45
          x128 = -x29 + x30
          x130 = x129*x83
          x132 = co(2)*x35
          x133 = P1(3)*x57
          x134 = co(2)*x41
          x136 = -x52 + x53
          x137 = co(1)*wl(2,j)*x35
          x138 = co(1)*wl(2,j)*x41
          x139 = P2(2)*co(0)*x83
          x141 = x140*x6
          x142 = co(1)*x61
          x143 = P2(1)*x35
          x144 = P2(1)*x41
          x145 = P1(3)*P2(3)*wl(2,j)
          x147 = P1(1)*co(2)*x28
          x148 = P1(2)*(-x55 + x56)
          x149 = co(0)*x10
          x150 = x149*x83
          x152 = co(1)*wl(3,j)*x35
          x153 = co(1)*wl(3,j)*x41
          x154 = x6*x97
          x155 = co(1)*x44
          x156 = P1(3)*P2(3)*co(1)*wl(3,j)
          x158 = x140 - x157
          x159 = co(2)*x55
          x161 = x127 - x160
          x162 = co(2)*x29
          x163 = co(0)*x4
          x164 = -x111 + x146
          x165 = co(2)*x26
          x166 = -x86
          x167 = x11 + x166 + x7 + x9 + x90 + x92
          x168 = x116*x6
          x169 = P2(0)*x122
          x170 = co(0)*x55
          x171 = x151 - x97
          x172 = P2(0)*co(2)*wl(0,j)
          x174 = x173 - x43
          x175 = co(1)*x56
          x176 = x12*x6
          x177 = co(2)*x25
          x178 = co(2)*x54
          x179 = co(2)*x28
          x180 = co(2)*x24
          x181 = co(2)*x31
          x182 = co(2)*x68
          x183 = co(2)*x23
          x184 = -x111*x182 + x160*x178 - x177*x37 + x177*x40 + x179*x97 + x180&
                 *x35 + x180*x41 - x181*x43 - x183*x35 - x183*x41
          x185 = co(1)*x27
          x186 = x173*x6
          x187 = P2(2)*x96
          x188 = co(0)*x26
          x189 = x116 - x12
          x190 = x43*x6
          x191 = co(2)*x53
          x192 = co(2)*x52
          x193 = -x12*x181 + x127*x177 + x131*x68 - x178*x38 + x178*x40 + x191*&
                 x35 + x191*x41 - x192*x35 - x192*x41 + x57*x65
          x194 = x151*x6
          x195 = P2(3)*x96
          x196 = co(0)*x29
          x197 = co(1)*x30
          x198 = co(2)*x57
          x199 = co(2)*x67
          x200 = co(2)*x66
          x201 = P1(0)*co(2)*x69 - P1(3)*co(2)*x76 - x12*x179 + x140*x178 -    &
                 x146*x177 + x198*x43 + x199*x35 + x199*x41 - x200*x35 - x200* &
                 x41
          x202 = P2(1)*co(2)*wl(1,j)
          x203 = co(0)*x56
          x204 = co(0)*x1
          x205 = co(1)*x1
          x206 = co(2)*x56
          x207 = -x123
          x208 = x11 + x166 + x207 + x7 + x9 + x91
          x209 = co(1)*x67
          x210 = x127*x6
          x211 = P2(2)*x122
          x212 = co(0)*x66
          x213 = x160*x6
          x214 = co(2)*x30
          x215 = x111*x198 + x116*x178 + x135*x25 + x157*x179 - x162*x35 - x162&
                 *x41 - x181*x37 - x181*x38 + x214*x35 + x214*x41
          x216 = x146*x6
          x217 = P2(3)*x122
          x218 = co(0)*x52
          x219 = co(1)*x53
          x220 = x111*x6
          x221 = co(2)*x27
          x222 = x109*x57 + x116*x182 + x140*x181 - x151*x177 - x165*x35 - x165&
                 *x41 - x179*x37 - x179*x39 + x221*x35 + x221*x41
          x223 = co(0)*x27
          x224 = P2(2)*co(2)*wl(2,j)
          x225 = co(1)*x26
          x226 = co(0)*x67
          x227 = co(1)*x66
          x228 = co(0)*x2
          x229 = co(1)*x2
          x230 = P2(2)*x98
          x231 = co(0)*x23
          x232 = co(1)*x24
          x233 = x157*x6
          x234 = -x127*x179 + x135*x68 - x146*x181 + x151*x178 + x159*x35 +    &
                 x159*x41 + x198*x38 + x198*x39 - x206*x35 - x206*x41
          x235 = co(1)*x29
          x236 = P2(3)*co(2)*wl(3,j)
          x237 = co(0)*x30
          x238 = co(1)*x52
          x239 = co(0)*x53
          x240 = co(1)*x23
          x241 = co(0)*x24
          x242 = co(0)*x3
          x243 = co(1)*x3
          x244 = -x6
          x245 = x204 + x242 + x244
          x247 = -x163
          x248 = x247 + x6 + x93
          x252 = x180 - x183
          x253 = wl(0,j)*x0
          x254 = -wl(0,j)*x84
          x255 = P2(0)*x228
          x256 = P2(0)*x242
          x257 = P2(1)*x183
          x258 = P2(3)*x200
          x259 = P2(2)*x175
          x260 = -P2(2)*x170
          x261 = co(2)*x34
          x262 = wl(3,j)*x261
          x263 = wl(3,j)*x0
          x264 = co(2)*x263
          x265 = P2(1)*x191
          x266 = -P2(3)*x172
          x267 = x262 - x264 + x265 + x266
          x268 = P2(3)*x170
          x269 = P2(3)*x175
          x270 = wl(2,j)*x261
          x271 = wl(2,j)*x0
          x272 = -co(2)*x271
          x273 = P2(1)*x199
          x274 = -P2(2)*x172
          x275 = x270 + x272 + x273 + x274
          x276 = -x191 + x192
          x277 = P2(0)*x212
          x279 = wl(3,j)*x278
          x280 = P2(3)*x224
          x281 = x262 + x266 - x279 + x280
          x283 = P2(3)*x199
          x284 = P2(1)*x170 + x254
          x285 = P2(3)*x185
          x286 = -P2(3)*x188
          x287 = wl(1,j)*x261
          x288 = wl(1,j)*x278
          x290 = x2*x289
          x291 = -x289*x4
          x292 = x287 - x288 + x290 + x291
          x293 = x199 - x200
          x294 = P2(0)*x218
          x295 = co(2)*x10
          x296 = -wl(2,j)*x295
          x297 = P2(3)*x183
          x298 = x270 + x274 + x296 + x297
          x299 = P2(0)*x231
          x300 = wl(1,j)*x295
          x301 = P2(3)*x192
          x302 = x287 + x291 - x300 + x301
          x303 = co(1)*x10
          x304 = co(1)*x34
          x305 = P2(0)*x183
          x306 = P2(1)*x228
          x307 = P2(3)*x165
          x308 = wl(1,j)*x107
          x309 = P2(3)*x218 + x308
          x310 = P2(2)*x203
          x311 = -P2(2)*x119
          x312 = P2(3)*x119
          x313 = P2(3)*x203
          x314 = x204 - x205 + x6
          x315 = x228 + x244 + x247
          x316 = x264 - x265 + x279 - x280
          x317 = x162 - x214
          x318 = P2(3)*x221
          x319 = -P2(1)*x163
          x320 = P2(3)*x209
          x321 = P2(3)*x212
          x322 = -co(2)*x253
          x323 = -wl(0,j)*x278
          x324 = P2(1)*x159
          x325 = P2(0)*x224
          x326 = x322 + x323 + x324 + x325
          x327 = x272 + x273 + x296 + x297
          x328 = x165 - x221
          x329 = P2(1)*x231
          x330 = -wl(0,j)*x295
          x331 = P2(0)*x236
          x332 = x322 + x324 + x330 + x331
          x333 = P2(3)*x159
          x334 = P2(3)*x231
          x335 = P2(0)*x192
          x336 = wl(2,j)*x129
          x337 = P2(1)*x226 + x336
          x338 = P2(0)*x227
          x339 = P2(3)*x223
          x340 = -P2(3)*x225
          x341 = -P2(2)*x163
          x342 = P2(3)*x206
          x343 = P2(3)*x226
          x344 = P2(3)*x227
          x345 = x228 - x229 + x6
          x346 = x288 - x290 + x300 - x301
          x347 = x323 + x325 + x330 + x331
          x348 = x159 - x206
          x349 = wl(3,j)*x149
          x350 = P2(0)*x200
          x351 = P2(1)*x239
          x352 = P2(3)*x228
          x353 = P2(2)*x159
          x354 = P2(0)*x238
          x355 = P2(0)*x240
          x356 = P2(2)*x206
          x357 = -P2(3)*x163 + x349
          x358 = P2(1)*x240
          x359 = x242 - x243 + x6
          wp(0,j) = -x106*(P1(0)*x11 + P1(0)*x7 - P1(0)*x85 - P1(0)*x86 + P1(0 &
                    )*x9 + P1(0)*x90 + P1(0)*x91 + P1(0)*x92 + P1(0)*x94 + P1(0&
                    )*x95 - P2(0)*x87 - P2(0)*x88 - P2(0)*x89 - x100*x101 -    &
                    x100*x99 - x101*x102 - x102*x99 - x103*x104 - x103*x105 +  &
                    x12*x22 + x12*x32 + x33*x36 + x33*x42 + x35*x60 + x37*x96  &
                     + x38*x96 - x40*x75 - x40*x78 + x41*x60 + x43*x51 + x43*  &
                    x59 + x64*x65 + x65*x70 + x71*x72 + x71*x73 + x97*x98)
          wp(1,j) = -x106*(P1(0)*x120 + P1(0)*x121 + P1(1)*x108 + P1(1)*x11 -  &
                    P1(1)*x123 + P1(1)*x7 - P1(1)*x86 + P1(1)*x9 + P1(1)*x91 + &
                    P1(1)*x92 + P2(1)*x115 - P2(1)*x88 - P2(1)*x89 - x104*x126 &
                     - x105*x126 + x109*x50 + x109*x58 + x110*x35 + x110*x41 + &
                    x111*x112 + x111*x113 + x114*x72 + x114*x73 - x116*x75 -   &
                    x116*x78 - x117*x25 - x118*x25 + x122*x38 + x122*x39 - x122&
                    *x40 - x124*x37 - x124*x38 - x125*x37 - x125*x38 + x22*x37 &
                     + x32*x37)
          wp(2,j) = -x106*(P1(2)*x11 - P1(2)*x123 + P1(2)*x130 + P1(2)*x7 - P1(&
                    2)*x86 + P1(2)*x9 + P1(2)*x90 + P1(3)*x141 + P2(2)*x115 -  &
                    P2(2)*x87 - P2(2)*x89 - x101*x145 - x117*x136 - x118*x136  &
                     + x127*x22 + x127*x32 + x128*x36 + x128*x42 + x131*x64 +  &
                    x131*x70 + x132*x133 + x133*x134 - x135*x74 - x135*x77 -   &
                    x137*x38 + x137*x40 - x138*x38 + x138*x40 + x139*x37 + x139&
                    *x39 - x139*x40 - x142*x143 - x142*x144 - x145*x99 + x38*  &
                    x51 + x38*x59)
          wp(3,j) = -x106*(-P1(0)*x154 + P1(3)*x11 + P1(3)*x150 + P1(3)*x7 - P1&
                    (3)*x86 + P1(3)*x9 + P1(3)*x90 + P1(3)*x91 + P2(3)*x115 -  &
                    P2(3)*x87 - P2(3)*x88 + x112*x39 + x113*x39 - x117*x68 -   &
                    x118*x68 + x132*x148 + x134*x148 + x140*x51 + x140*x59 -   &
                    x143*x155 - x144*x155 + x146*x22 + x146*x32 + x147*x35 +   &
                    x147*x41 - x151*x75 - x151*x78 - x152*x38 + x152*x40 - x153&
                    *x38 + x153*x40 - x156*x35 - x156*x41 + x37*x98 + x38*x98  &
                     - x40*x98)
          if(rankInc .lt. 1) cycle
          sp2(0,0) = co(1)*x106*x82 - x106*x158*x159 - x106*x161*x162 + x106*  &
                     x163*x41 + x106*x164*x165 - x106*x167 + x106*x85 - x106*  &
                     x91 - x106*x94 - x106*x95
          sp2(0,1) = co(1)*x106*x48 - x106*x158*x172 - x106*x162*x174 + x106*  &
                     x165*x171 + x106*x168 + x106*x169 + x106*x170*x41 - x106* &
                     x175*x35 - x106*x175*x41 - 2*x106*x176 + x106*x184
          sp2(0,2) = co(1)*x106*x17 - x106*x159*x171 + x106*x162*x189 + x106*  &
                     x164*x172 - x106*x185*x35 - x106*x185*x41 + x106*x186 +   &
                     x106*x187 + x106*x188*x41 - 2*x106*x190 - x106*x193
          sp2(0,3) = x103*x106 - 2*x106*x154 + x106*x159*x174 - x106*x161*x172 &
                      - x106*x165*x189 + x106*x194 + x106*x195 + x106*x196*x41 &
                      - x106*x197*x35 - x106*x197*x41 + x106*x201
          sp2(1,0) = co(1)*x106*x47 - x106*x120 - x106*x121 - x106*x158*x202 - &
                     x106*x161*x192 + x106*x164*x200 - 2*x106*x168 + x106*x169 &
                      + x106*x176 - x106*x184 + x106*x203*x41
          sp2(1,1) = co(1)*x106*x79 + x106*x108 - x106*x158*x206 + x106*x171*  &
                     x200 - x106*x174*x192 + x106*x204*x41 - x106*x205*x35 -   &
                     x106*x205*x41 + x106*x208 + x106*x92
          sp2(1,2) = co(1)*x106*x62 + x106*x164*x206 - x106*x171*x202 + x106*  &
                     x189*x192 - x106*x209*x35 - x106*x209*x41 + x106*x210 +   &
                     x106*x211 + x106*x212*x41 - 2*x106*x213 - x106*x215
          sp2(1,3) = x106*x126 - x106*x161*x206 + x106*x174*x202 - x106*x189*  &
                     x200 + x106*x216 + x106*x217 + x106*x218*x41 - x106*x219* &
                     x35 - x106*x219*x41 - 2*x106*x220 + x106*x222
          sp2(2,0) = co(1)*x106*x16 - x106*x158*x199 - x106*x161*x183 + x106*  &
                     x164*x224 - 2*x106*x186 + x106*x187 + x106*x190 + x106*   &
                     x193 + x106*x223*x41 - x106*x225*x35 - x106*x225*x41
          sp2(2,1) = x106*x142 - x106*x158*x221 + x106*x171*x224 - x106*x174*  &
                     x183 - 2*x106*x210 + x106*x211 + x106*x213 + x106*x215 +  &
                     x106*x226*x41 - x106*x227*x35 - x106*x227*x41
          sp2(2,2) = co(1)*x106*x80 + x106*x130 + x106*x164*x221 + x106*x167 - &
                     x106*x171*x199 + x106*x183*x189 + x106*x207 + x106*x228*  &
                     x41 - x106*x229*x35 - x106*x229*x41
          sp2(2,3) = co(1)*x106*x14 + x106*x141 - x106*x161*x221 + x106*x174*  &
                     x199 - x106*x189*x224 + x106*x230 + x106*x231*x41 - x106* &
                     x232*x35 - x106*x232*x41 - 2*x106*x233 + x106*x234
          sp2(3,0) = co(1)*x106*x19 + x106*x154 - x106*x158*x191 - x106*x161*  &
                     x236 + x106*x164*x180 - 2*x106*x194 + x106*x195 - x106*   &
                     x201 - x106*x235*x35 - x106*x235*x41 + x106*x237*x41
          sp2(3,1) = x106*x155 - x106*x158*x214 + x106*x171*x180 - x106*x174*  &
                     x236 - 2*x106*x216 + x106*x217 + x106*x220 - x106*x222 -  &
                     x106*x238*x35 - x106*x238*x41 + x106*x239*x41
          sp2(3,2) = co(1)*x106*x13 - 2*x106*x141 + x106*x164*x214 - x106*x171*&
                     x191 + x106*x189*x236 + x106*x230 + x106*x233 - x106*x234 &
                      - x106*x240*x35 - x106*x240*x41 + x106*x241*x41
          sp2(3,3) = co(1)*x106*x81 + x106*x150 - x106*x161*x214 + x106*x174*  &
                     x191 - x106*x180*x189 + x106*x208 + x106*x242*x41 - x106* &
                     x243*x35 - x106*x243*x41 + x106*x90
          sp3(0,0,0) = -x228*x246 - x245*x246 + x246*x93
          sp3(0,0,1) = x248*x249
          sp3(0,0,2) = x248*x250
          sp3(0,0,3) = x248*x251
          sp3(0,1,0) = -x170*x246 + x175*x246 - x246*x252
          sp3(0,1,1) = co(1)*x106*x253 + x106*x254 + x106*x255 + x106*x256 +   &
                       x106*x257 - x106*x258
          sp3(0,1,2) = x106*x259 + x106*x260 + x106*x267
          sp3(0,1,3) = -x106*x268 + x106*x269 - x106*x275
          sp3(0,2,0) = x185*x246 - x188*x246 - x246*x276
          sp3(0,2,1) = x106*x259 - x106*x277 - x106*x281
          sp3(0,2,2) = wl(0,j)*x106*x282 + x106*x256 - x106*x257 + x106*x283 + &
                       x106*x284
          sp3(0,2,3) = x106*x285 + x106*x286 + x106*x292
          sp3(0,3,0) = -x196*x246 + x197*x246 - x246*x293
          sp3(0,3,1) = x106*x269 - x106*x294 + x106*x298
          sp3(0,3,2) = x106*x285 - x106*x299 - x106*x302
          sp3(0,3,3) = wl(0,j)*x106*x303 + x106*x255 + x106*x258 - x106*x283 + &
                       x106*x284
          sp3(1,0,0) = wl(1,j)*x106*x304 - x106*x305 - x106*x306 + x106*x307 - &
                       x106*x309
          sp3(1,0,1) = x119*x249 - x203*x249 + x249*x252
          sp3(1,0,2) = -x106*x267 - x106*x310 - x106*x311
          sp3(1,0,3) = x106*x275 + x106*x312 - x106*x313
          sp3(1,1,0) = -x246*x314
          sp3(1,1,1) = x205*x249 + x242*x249 + x249*x315
          sp3(1,1,2) = -x250*x314
          sp3(1,1,3) = -x251*x314
          sp3(1,2,0) = -x106*x277 - x106*x311 - x106*x316
          sp3(1,2,1) = x209*x249 - x212*x249 - x249*x317
          sp3(1,2,2) = wl(1,j)*x106*x282 - x106*x305 + x106*x309 + x106*x318 + &
                       x106*x319
          sp3(1,2,3) = x106*x320 - x106*x321 + x106*x326
          sp3(1,3,0) = -x106*x294 + x106*x312 - x106*x327
          sp3(1,3,1) = -x218*x249 + x219*x249 + x249*x328
          sp3(1,3,2) = x106*x320 - x106*x329 - x106*x332
          sp3(1,3,3) = wl(1,j)*x106*x303 + x106*x306 + x106*x307 + x106*x308 - &
                       x106*x318 + x106*x319
          sp3(2,0,0) = wl(2,j)*x106*x304 - x106*x333 - x106*x334 + x106*x335 - &
                       x106*x337
          sp3(2,0,1) = x106*x281 - x106*x310 + x106*x338
          sp3(2,0,2) = -x223*x250 + x225*x250 + x250*x276
          sp3(2,0,3) = -x106*x292 - x106*x339 - x106*x340
          sp3(2,1,0) = x106*x260 + x106*x316 + x106*x338
          sp3(2,1,1) = co(1)*x106*x271 + x106*x334 + x106*x335 + x106*x336 +   &
                       x106*x341 - x106*x342
          sp3(2,1,2) = -x226*x250 + x227*x250 + x250*x317
          sp3(2,1,3) = -x106*x326 - x106*x343 + x106*x344
          sp3(2,2,0) = -x246*x345
          sp3(2,2,1) = -x249*x345
          sp3(2,2,2) = x229*x250 + x245*x250 + x247*x250
          sp3(2,2,3) = -x251*x345
          sp3(2,3,0) = -x106*x299 - x106*x340 - x106*x346
          sp3(2,3,1) = -x106*x329 + x106*x344 + x106*x347
          sp3(2,3,2) = -x231*x250 + x232*x250 - x250*x348
          sp3(2,3,3) = wl(2,j)*x106*x303 - x106*x333 + x106*x337 + x106*x341 + &
                       x106*x342
          sp3(3,0,0) = wl(3,j)*x106*x304 - x106*x349 - x106*x350 - x106*x351 - &
                       x106*x352 + x106*x353
          sp3(3,0,1) = -x106*x298 - x106*x313 + x106*x354
          sp3(3,0,2) = x106*x302 - x106*x339 + x106*x355
          sp3(3,0,3) = x235*x251 - x237*x251 + x251*x293
          sp3(3,1,0) = -x106*x268 + x106*x327 + x106*x354
          sp3(3,1,1) = co(1)*x106*x263 - x106*x350 + x106*x352 + x106*x356 +   &
                       x106*x357
          sp3(3,1,2) = x106*x332 - x106*x343 + x106*x358
          sp3(3,1,3) = x238*x251 - x239*x251 - x251*x328
          sp3(3,2,0) = x106*x286 + x106*x346 + x106*x355
          sp3(3,2,1) = -x106*x321 - x106*x347 + x106*x358
          sp3(3,2,2) = wl(3,j)*x106*x282 + x106*x351 + x106*x353 - x106*x356 + &
                       x106*x357
          sp3(3,2,3) = x240*x251 - x241*x251 + x251*x348
          sp3(3,3,0) = -x246*x359
          sp3(3,3,1) = -x249*x359
          sp3(3,3,2) = -x250*x359
          sp3(3,3,3) = x204*x251 + x243*x251 + x251*x315
          do mu = 0, 3
            riOut = incRI(mu, j)
            wp(:,riOut) = wp(:,riOut) + sp2(:,mu)
            if(rankInc .lt. 2) cycle
            do nu = 0, 3
              riOut = incRI(nu, incRI(mu, j))
              wp(:,riOut) = wp(:,riOut) + sp3(:,nu,mu)
            end do 
          end do 
        end do 
      case(VSV8)
!       c0*(-P(1,2)*P(3,1) + P(1,3)*P(3,2))
!       c1*(Metric(1,3)*P(-1,1)*P(-1,2) - Metric(1,3)*P(-1,2)*P(-1,3))
!       c2*(Epsilon(-1,-2,1,3)*P(-1,1)*P(-2,2) - Epsilon(-1,-2,1,3)*P(-1,2)*P(-2,
!       3))
        x3 = P1(1)*co(2)
        x7 = P1(3)*co(2)
        x11 = P2(1)*co(2)
        x15 = P2(3)*co(2)
        x16 = P2(0)**2
        x21 = P1(2)*co(2)
        x25 = P2(2)*co(2)
        x27 = P2(1)**2
        x29 = P2(2)**2
        x31 = P2(3)**2
        x32 = co(1)*x31
        x34 = P2(1)*co(0)
        x36 = P2(2)*co(0)
        x38 = P2(3)*co(0)
        x48 = 2*co(1)
        x51 = 2*P2(2)*co(1)
        x53 = 2*P2(3)*co(1)
        x54 = 2*P2(0)*co(1)
        x56 = cima*w2(0)
        x57 = P1(0)*co(2)
        x60 = P2(0)*co(2)
        x70 = P2(0)*co(0)
        do j = riMaxIn, 0, -1
          x0 = P2(2)*wl(3,j)
          x1 = P2(3)*wl(2,j)
          x2 = x0 - x1
          x4 = P2(1)*wl(2,j)
          x5 = P2(2)*wl(1,j)
          x6 = x4 - x5
          x8 = P1(2)*wl(3,j)
          x9 = P1(3)*wl(2,j)
          x10 = x8 - x9
          x12 = P1(1)*wl(2,j)
          x13 = P1(2)*wl(1,j)
          x14 = x12 - x13
          x17 = co(1)*x16
          x18 = P2(1)*wl(3,j)
          x19 = P2(3)*wl(1,j)
          x20 = x18 - x19
          x22 = P1(1)*wl(3,j)
          x23 = P1(3)*wl(1,j)
          x24 = x22 - x23
          x26 = co(0)*wl(0,j)
          x28 = co(1)*x27
          x30 = co(1)*x29
          x33 = P1(0)*wl(1,j)
          x35 = P1(0)*wl(2,j)
          x37 = P1(0)*wl(3,j)
          x39 = P2(0)*wl(1,j)
          x40 = co(0)*x39
          x41 = P2(0)*wl(2,j)
          x42 = co(0)*x41
          x43 = P2(0)*wl(3,j)
          x44 = co(0)*x43
          x45 = P2(0)*x26
          x46 = 2*x45
          x47 = P2(1)*wl(0,j)
          x49 = x47*x48
          x50 = P1(2)*wl(0,j)
          x52 = P1(3)*wl(0,j)
          x55 = wl(0,j)*x54
          x58 = P2(2)*wl(0,j)
          x59 = x41 - x58
          x61 = x35 - x50
          x62 = co(0)*wl(1,j)
          x63 = P2(3)*wl(0,j)
          x64 = x43 - x63
          x65 = x37 - x52
          x66 = co(0)*x4
          x67 = co(0)*x18
          x68 = co(0)*x47
          x69 = P1(1)*wl(0,j)
          x71 = P2(1)*wl(1,j)*x48
          x72 = x48*x5
          x73 = P2(1)*x62
          x74 = 2*x73
          x75 = x39 - x47
          x76 = x33 - x69
          x77 = wl(2,j)*x29
          x78 = co(0)*x58
          x79 = co(0)*x5
          x80 = co(0)*x0
          x81 = wl(2,j)*x36
          x82 = 2*x81
          x83 = x4*x48
          x84 = wl(2,j)*x51
          x85 = co(0)*wl(3,j)
          x86 = co(0)*x19
          x87 = co(0)*x1
          x88 = co(0)*x63
          x89 = x18*x48
          x90 = x0*x48
          x91 = P2(3)*wl(3,j)*x48
          x92 = P2(3)*x85
          x93 = 2*x92
          x94 = x81 + x92
          x95 = -x45
          x96 = x73 + x95
          wp(0,j) = -x56*(-P1(0)*x46 + P1(0)*x55 + P1(1)*x40 - P1(1)*x49 + P1(2&
                    )*x42 + P1(3)*x44 + P2(1)*x40 + P2(2)*x42 + P2(3)*x44 + wl(&
                    0,j)*x17 - wl(0,j)*x28 - wl(0,j)*x30 - wl(0,j)*x32 + x10*  &
                    x11 + x11*x2 + x14*x15 + x15*x6 - x16*x26 + x2*x3 - x20*x21&
                     - x20*x25 - x24*x25 + x33*x34 + x35*x36 + x37*x38 - x50*  &
                    x51 - x52*x53 + x6*x7)
          wp(1,j) = -x56*(-P1(0)*x68 - P1(1)*x71 + P1(1)*x74 + P1(2)*x66 - P1(2&
                    )*x72 + P1(3)*x67 - P2(0)*x68 + P2(2)*x66 + P2(3)*x67 + wl(&
                    1,j)*x17 - wl(1,j)*x28 - wl(1,j)*x30 - wl(1,j)*x32 + x10*  &
                    x60 + x12*x36 + x15*x59 + x15*x61 + x2*x57 + x2*x60 - x21* &
                    x64 + x22*x38 - x23*x53 - x25*x64 - x25*x65 + x27*x62 + x33&
                    *x54 + x59*x7 - x69*x70)
          wp(2,j) = x56*(P1(0)*x78 - P1(1)*x79 + P1(1)*x83 - P1(2)*x82 + P1(2)*&
                    x84 - P1(3)*x80 + P2(0)*x78 - P2(1)*x79 - P2(3)*x80 - co(0 &
                    )*x77 + co(1)*x77 - wl(2,j)*x17 + wl(2,j)*x28 + wl(2,j)*x32&
                     - x11*x64 - x11*x65 - x13*x34 + x15*x75 + x15*x76 + x20*  &
                    x57 + x20*x60 + x24*x60 - x3*x64 - x35*x54 - x38*x8 + x50* &
                    x70 + x53*x9 + x7*x75)
          wp(3,j) = -x56*(-P1(0)*x88 + P1(1)*x86 - P1(1)*x89 + P1(2)*x87 - P1(2&
                    )*x90 - P1(3)*x91 + P1(3)*x93 - P2(0)*x88 + P2(1)*x86 + wl(&
                    3,j)*x17 - wl(3,j)*x28 - wl(3,j)*x30 - wl(3,j)*x32 + x1*x36&
                     - x11*x59 - x11*x61 + x14*x60 + x21*x75 + x23*x34 + x25*  &
                    x75 + x25*x76 - x3*x59 + x31*x85 + x36*x9 + x37*x54 - x52* &
                    x70 + x57*x6 + x6*x60)
          if(rankInc .lt. 1) cycle
          sp2(0,0) = x46*x56 - x55*x56 - x56*x73 - x56*x94
          sp2(0,1) = x40*x56 - x49*x56
          sp2(0,2) = x42*x56 - x48*x56*x58
          sp2(0,3) = x44*x56 - x48*x56*x63
          sp2(1,0) = -x39*x48*x56 + x56*x68
          sp2(1,1) = -x56*x71 + x56*x74 + x56*x94 + x56*x95
          sp2(1,2) = x56*x66 - x56*x72
          sp2(1,3) = -x19*x48*x56 + x56*x67
          sp2(2,0) = -x41*x48*x56 + x56*x78
          sp2(2,1) = x56*x79 - x56*x83
          sp2(2,2) = x56*x82 - x56*x84 + x56*x92 + x56*x96
          sp2(2,3) = -x1*x48*x56 + x56*x80
          sp2(3,0) = -x43*x48*x56 + x56*x88
          sp2(3,1) = x56*x86 - x56*x89
          sp2(3,2) = x56*x87 - x56*x90
          sp2(3,3) = x56*x81 - x56*x91 + x56*x93 + x56*x96
          do mu = 0, 3
            riOut = incRI(mu, j)
            wp(:,riOut) = wp(:,riOut) + sp2(:,mu)
          end do 
        end do 
      case(VSV9)
!       c0*(-P(-1,1)*P(-1,2)*P(1,3)*P(3,2) + P(-1,1)*P(-1,3)*P(1,2)*P(3,2) - P(-1
!       ,2)*P(-1,3)*P(1,2)*P(3,1))
!       Metric(1,3)*P(-1,1)*P(-1,2)**2*P(-1,3)*c1
        x0 = P2(0)**3
        x1 = P2(1)**3
        x2 = P2(2)**3
        x3 = P2(3)**3
        x4 = P2(0)**2
        x6 = P2(1)**2
        x8 = P2(2)**2
        x10 = P2(3)**2
        x16 = P1(1)*P2(1)
        x17 = P1(2)*P2(2)
        x18 = P1(3)*P2(3)
        x19 = P1(0)*P2(0)
        x21 = P1(1)**2
        x22 = P1(2)**2
        x23 = P1(3)**2
        x24 = P1(0)**2
        x0vec = P2(:)*co(0)
        x25 = cima*w2(0)
        do j = riMaxIn, 0, -1
          x5 = P1(0)*wl(0,j)
          x7 = P1(1)*wl(1,j)
          x9 = P1(2)*wl(2,j)
          x11 = P1(3)*wl(3,j)
          x12 = P2(1)*wl(1,j)
          x13 = P2(2)*wl(2,j)
          x14 = P2(3)*wl(3,j)
          x15 = P2(0)*wl(0,j)
          x20 = co(0)*(wl(0,j)*x0 + wl(1,j)*x1 + wl(2,j)*x2 + wl(3,j)*x3 + x10*&
                x11 + x10*x12 + x10*x13 - x10*x15 + x12*x17 + x12*x18 - x12*x19&
                 - x12*x4 + x12*x8 + x13*x16 + x13*x18 - x13*x19 - x13*x4 + x13&
                *x6 + x14*x16 + x14*x17 - x14*x19 - x14*x4 + x14*x6 + x14*x8 - &
                x15*x16 - x15*x17 - x15*x18 - x15*x6 - x15*x8 + x4*x5 + x6*x7  &
                 + x8*x9)
          x1vec = co(1)*wl(:,j)
          x2vec = co(1)*wl(:,j)*x4
          x3vec = co(1)*wl(:,j)*x6
          x4vec = co(1)*wl(:,j)*x8
          x5vec = co(1)*wl(:,j)*x10
          x6vec = 2*P1(2)*P2(2)*co(1)*wl(:,j)
          x7vec = 2*P1(3)*P2(3)*co(1)*wl(:,j)
          wp(:,j) = -P1(:)*x20*x25 + x0vec*(-x11*x16*x25 - x11*x17*x25 + x11*  &
                    x19*x25 + x12*x22*x25 + x12*x23*x25 - x12*x24*x25 + x13*x21&
                    *x25 + x13*x23*x25 - x13*x24*x25 + x14*x21*x25 + x14*x22*  &
                    x25 - x14*x24*x25 - x15*x21*x25 - x15*x22*x25 - x15*x23*x25&
                     + x16*x25*x5 - x16*x25*x9 + x17*x25*x5 - x17*x25*x7 + x18*&
                    x25*x5 - x18*x25*x7 - x18*x25*x9 + x19*x25*x7 + x19*x25*x9 &
                    ) + x1vec*(-2*P1(0)*P1(1)*P2(0)*P2(1)*x25 + P1(0)*x0*x25 + &
                    P1(1)*x1*x25 + P1(2)*x2*x25 + P1(3)*x25*x3) + x2vec*(-x16* &
                    x25 - x17*x25 - x18*x25 + x24*x25) + x3vec*(x17*x25 + x18* &
                    x25 - x19*x25 + x21*x25) + x4vec*(x16*x25 + x18*x25 - x19* &
                    x25 + x22*x25) + x5vec*(x16*x25 + x17*x25 - x19*x25 + x23* &
                    x25) + x6vec*(x16*x25 + x18*x25 - x19*x25) + x7vec*(x16*x25&
                     - x19*x25)
          if(rankInc .lt. 1) cycle
          do mu = 0, 3
            x26 = 2*P1(mu)
            x27 = P2(mu)*co(0)*(x12 + x13 + x14 - x15)
            x8vec = P2(mu)*co(1)*wl(:,j)
            riOut = incRI(mu, j)
            wp(:,riOut) = wp(:,riOut) + P1(:)*x25*x27 + P1(mu)*x1vec*x25 + P2( &
                          mu)*x25*x2vec - P2(mu)*x25*x4vec - gg(:,mu)*x20*x25  &
                           + x0vec*(P2(mu)*x11*x25 - P2(mu)*x25*x5 + P2(mu)*x25&
                          *x7 + P2(mu)*x25*x9 + wl(mu,j)*x16*x25 + wl(mu,j)*x17&
                          *x25 + wl(mu,j)*x18*x25 - wl(mu,j)*x19*x25 - x12*x25*&
                          x26 - x13*x25*x26 - x14*x25*x26 + x15*x25*x26) +     &
                          x8vec*(-x10*x25 - x16*x25 - x17*x25 - x18*x25 + x19* &
                          x25 - x25*x6)
            if(rankInc .lt. 2) cycle
            do nu = 0, 3
              riOut = incRI(nu, incRI(mu, j))
              wp(:,riOut) = wp(:,riOut) + P2(nu)*x25*x8vec + gg(:,nu)*x25*x27  &
                             + x0vec*(-P2(mu)*wl(nu,j)*x25 - gg(nu,mu)*x12*x25 &
                             - gg(nu,mu)*x13*x25 - gg(nu,mu)*x14*x25 + gg(nu,mu&
                            )*x15*x25)
            end do 
          end do 
        end do 
      end select 
    end subroutine loopVSV
end module lcVSV
